What is WBS Schedule Pro?
         Next Topic

WBS Schedule Pro is a Windows-based project management software application used to create, display and manage projects using a WBS (Work Breakdown Structure) Chart, Network Chart, Gantt Chart and Task Sheet.

WBS Schedule Pro can be used for Project Planning and Project Management

As a planning tool, you can use WBS Schedule Pro to quickly sketch a project plan on the screen using a “Top-Down” approach. In the WBS Chart, define Phases (Summary Tasks) and Subtasks with a click of the mouse. Double-click a Task to add schedule information like Duration, Start Date, Finish Date, Cost, Work, etc... WBS Schedule Pro automatically rolls up the core task data to each summary level of the project.

An example of a WBS Chart is shown here:

In the Network Chart, define the project's schedule. Link tasks to define the relationships between Tasks and determine the Critical Path.

An example of a Network Chart is shown here:

You can also use the Gantt Chart to create and schedule the project. Create Summary Tasks and Tasks. Link Tasks to create the schedule and Critical Path.

An example of a Gantt Chart is shown here:

Plans can be displayed in a Task Sheet view. An example of a Task Sheet is shown here:

Start Milestone | 0d | 1/1/2014 | 1/1/2014
Design Task 2 | 20d | 1/1/2014 | 1/28/2014
Design Task 1 | 10d | 1/1/2014 | 1/14/2014
Design Task 3 | 10d | 1/29/2014 | 2/11/2014
End Milestone | 0d | 2/11/2014 | 2/11/2014

Projects created in WBS Schedule Pro can be maintained and managed separately, or transferred to Microsoft Project or any program that can read the Microsoft Project XML file format.

WBS Schedule Pro can be used with Microsoft Project

WBS Schedule Pro can be used to generate WBS, Network and Gantt Charts directly from existing Microsoft Project files. WBS Schedule Pro uses the Outline created in Microsoft Project to generate a hierarchical view of the data. Buttons can be installed into Microsoft Project for easy transfer of data. As you organize and change your project in Microsoft Project using the outlining features, a WBS, Network or Gantt Chart of that data is only a click away.

When you create a chart of an existing Microsoft Project plan, all changes made in the chart are immediately reflected in the Microsoft Project plan. You can add/delete/reorganize/update your Microsoft Project plan using WBS Schedule Pro as it contains a seamless integration between the two programs.

Additionally, charts can be created first in WBS Schedule Pro and then transferred directly to Microsoft Project. WBS Schedule Pro can be used as a front-end planning tool for Microsoft Project.


What is a WBS Chart?

A WBS (Work Breakdown Structure) Chart is a way of organizing a project into varying levels of detail using a hierarchical diagram. The traditional Work Breakdown Structure chart displays varying levels of detail starting with the highest or broadest at the top. Then, each phase or component of the project is defined at subsequent levels until the appropriate level of detail is achieved. The lowest level items in the chart are the Tasks in the project. Those with subordinate items are the Summary Tasks in the project.

WBS codes are used to label and identify the different levels of the hierarchy. Usually, the highest level summary is labeled 1, the second level 1.1, 1.2, 1.3, the third level 1.1.1, 1.1.2, 1.1.3, and so on. The following diagram is an example of WBS codes:

In WBS Schedule Pro, this effect is achieved by creating Summary Tasks and Tasks in the WBS Chart or by "Indenting" Tasks in the Gantt Chart and Task Sheet. By creating a Summary Task you are specifying that the summary is a higher level than the tasks below it and will rollup or "summarize" the information of its subtasks.

For detailed information on how to use the WBS Chart in WBS Schedule Pro, see Using the WBS Chart


What is a Network Chart?

A Network Chart (sometimes referred to as a Network Diagram, PERT Chart, Dependency Diagram or Precedence Diagram) is a way of creating and displaying a project by showing tasks as boxes and the dependencies between tasks as lines between these boxes.

The following diagram is an example of a simple Network chart:

A Network Chart is useful for defining the workflow or schedule of the project. By clicking and dragging between the Tasks in the Network Chart, a link is defined between the tasks specifying that one task cannot start until another has finished or that one task cannot start until another has started and worked for a certain number of days. Various links can be defined depending on the relationship that exists between the tasks. By using the Task's Duration and Calendar, the schedule and Critical Path for the project is derived from this information.

The Critical Path (shown in red) in a Network Chart is constantly and dynamically changing based on the links and information you enter. The Critical Path tells you which tasks in the project must be completed on time for the project to be on time. The non-critical tasks (shown in blue) are those that can slip and not affect the project completion. Non-critical tasks have "Slack" which is the amount of time they can slip and not affect the completion of the project.

For detailed information on how to use the Network Chart in WBS Schedule Pro, see Using the Network Chart


What is a Gantt Chart?

A Gantt chart is a way of creating and displaying a project by showing columns of data (Fields) along with Summary Tasks, Tasks and Milestones proportional to a timescale. Each row in the Gantt chart corresponds to a Summary Task, Task or Milestone in the project with links displayed between the Tasks and Milestones in the project. The Critical Path can be easily displayed along with other information about the Tasks in the project.

The following diagram is an example of a simple Gantt chart:

A Gantt Chart can be used to break down a project by defining Tasks in the Sheet portion of the chart and Indenting to create Summary Tasks.

A Gantt Chart can also be used like a Network Chart when it comes to defining the workflow or schedule of the project. Click and drag between the Tasks in the Gantt Chart to create links. These links specify that one task cannot start until another has finished or that one task cannot start until another has started and worked for a certain number of days. Various links can be defined depending on the relationship that exists between the tasks. By using the Task's Duration and Calendar, the schedule and Critical Path for the project is derived from this information.

The Critical Path (shown in red) in a Gantt Chart is constantly and dynamically changing based on the links and information you enter. The Critical Path tells you which tasks in the project must be completed on time for the project to be on time. The non-critical tasks (shown in blue) are those that can slip and not affect the project completion. Non-critical tasks have "Slack" which is the amount of time they can slip and not affect the completion of the project.

For detailed information on how to use the Gantt Chart in WBS Schedule Pro, see Using the Gantt Chart


What's New in WBS Schedule Pro?

For previous users of our WBS Chart Pro and PERT Chart EXPERT software, here is a list of new features in WBS Schedule Pro:

Combined WBS Chart Pro and PERT Chart EXPERT - WBS Schedule Pro combines the features of WBS Chart Pro (for creating WBS charts) and PERT Chart EXPERT (for creating Network charts) plus adds many new and exciting features to make it a complete, full-featured project planning application.

Gantt Charts - WBS Schedule Pro version 5.1 contains a new Gantt Chart feature. The original release of WBS Schedule Pro (5.0) in mid-2014 did not contain Gantt Charts. These were added around the middle of 2015.

New User Interface - WBS Schedule Pro contains an all new user interface complete with dockable Panes (see below) and a new Ribbon instead of a Toolbar. On the Ribbon, common commands can be found on the Home tab, program-wide settings on the View tab, Project-wide settings on the Project tab and to modify settings of the current View, select the Format tab (the options under Format change based on the View you have selected. See Ribbons, Tabs & Buttons

Tasks Pane, Views Pane and Notes Panes - The three Panes on the left side of the screen make working with your project easier by displaying certain data in addition to the main chart on the screen. The Tasks Pane is a Directory-style listing of Task Names in your project. The Views Pane lists the various Views to display your chart in various styles and the Notes Pane is useful for editing the Notes field in a project. See Panes

Task Sheet View - Used for displaying data in a Spreadsheet-style view. Customize the Task Sheet by Inserting or Hiding the Columns to display the information you need to see.

Multiple Hierarchies (Grouping) - Display various breakdowns of your project using many different fields. This feature is called Grouping. A "Grouped" WBS chart is a top-down representation of the different levels of a project. A Grouped Network chart displays horizontal bands across the page to represent the various levels of a project. A Grouped Task Sheet uses an Indented list to represent the various levels. See Groups and Outlining Defined

Support for the Notes field - The Notes field allows you to enter extensive descriptive text for a task. You can access the Notes field by doubleclicking a task, by displaying the Notes field in a Task Sheet or by using the Notes Pane. See Notes

Annotate WBS and Network Charts - Add free-form Text Boxes to the WBS or Network Charts. This feature is useful for displaying information in a chart that can be placed anywhere in a chart. You can optionally link the Text Box to a task or to multiple tasks. Right-click in the chart or over a task to add the Text Box. See Adding Text Boxes to a Chart

Create a WBS Dictionary via the MS Word Export - Export a WBS Schedule Pro project to Microsoft Word and merge into a pre-defined WBS Dictionary. Several templates are provided or you can create your own. See Exporting to Word

Exporting to Excel - Export to Microsoft Excel using the Excel Wizard. Specify the fields you wish to export and the resulting Excel spreadsheet is nicely formatted complete with indenting and grouping. If you have ever exported your MS Project plans to Excel you may have noticed that the Indenting is lost in the Excel file. Exporting WBS Schedule Pro files to Excel maintains the indenting of the tasks and clearly displays Summary Tasks and Tasks with proper indenting. See Exporting to Excel

Importing from Excel - Import hierarchical data into WBS Schedule Pro from Excel. Use a variety of hierarchical data to create breakdowns of projects or anything that needs to be displayed in a hierarchical format. See Importing from Excel

Additional ways to Link Tasks - Create links (dependencies between tasks) in any View using a variety of techniques. Use the Link button on the Ribbon to link the selected tasks. Select a group of tasks (Ctrl-click) and select the "One to Many" option to link the active task (with the red box) to the other selected tasks. Select the "Many to One" option to link the selected tasks to the active one. See Linking Tasks

Multiple task selection - Select multiple tasks in a chart to set certain attributes on all selected tasks at once. See Multi-Task Editing

Box Style Attributes Combined - Define how tasks are displayed in the chart by combining styles. In prior versions you could define how a Critical Task was displayed or how a task is displayed when the Flag field was set but you could not combine these. Now, for example, you could define that the task's shadow displays the Critical Path information but that the interior color of the task displays using a Flag field. See Boxes

Date Pickers - Select dates in certain date fields from a drop-down calendar.

Value and Pick Lists - Define value and pick lists for Text and Outline Code fields. See Fields

Spell Checker - Click the Spell check toolbar button or press F7 to start the Spell check.

Copy Picture - Use the Copy Picture command to paste charts into other applications instead of using Save As Picture. These are a higher quality image then the other available options and are scalable.

Save As Picture to a .EMF file - This scalable format is better for pasting chart images into other applications such as Word or PowerPoint.

More Colors - More Colors available in the color picker in addition to allowing unlimited custom colors.


System Requirements

WBS Schedule Pro is a Windows based project planning software application. WBS Schedule Pro can be used as a standalone project planning tool or as an add-on to Microsoft Project.

WBS Schedule Pro system requirements:

Windows 7, Windows 8 or Windows 10*

25 MB free disk space

Runs on all major Networks

* WBS Schedule Pro works with Windows XP and Windows Vista with the exception of a few minor display issues. Due to the fact that Microsoft has stopped supporting Windows XP and Vista, we may not be able to help should issues arise.

WBS Schedule Pro is compatible, and integrates seamlessly, with the following versions of Microsoft Project:

Microsoft Project 98

Microsoft Project 2000

Microsoft Project 2002

Microsoft Project 2003

Microsoft Project 2007

Microsoft Project 2010

Microsoft Project 2013

Microsoft Project 2016
Microsoft Project 2019

If you are using a version of Microsoft Project later than the ones listed above, go to our website at www.criticaltools.com for information on newer versions of WBS Schedule Pro.

WBS Schedule Pro does not require Microsoft Project.


Installing on a Local Computer

WBS Schedule Pro can be used as a standalone project planning tool or it can be used with Microsoft Project. To install WBS Schedule Pro on a local computer, run the Setup program that was downloaded or run the Setup program contained on the CD. Follow the prompts to complete the setup to your local hard drive.

For Windows XP computers

Setup installs the program files into the C:\Prorgam Files\WBS Schedule Pro folder by default.

Setup installs the sample files and views and templates into the My Documents\WBS Schedule Pro folder.

Windows Vista, Windows 7, Windows 8 and Windows 10

Setup installs the program files into the C:\Prorgam Files (x86)\WBS Schedule Pro folder by default.

Setup installs the sample files and views and templates into the My Documents\WBS Schedule Pro folder.

Using WBS Schedule Pro by itself

The Setup program installs various icons for starting WBS Schedule Pro. Choose one to start the program. The first time you start WBS Schedule Pro it will ask you to Register. If you have purchased the full version of the software, choose Register to begin the Registration process. If you have not purchased the software you can use the software in Demo mode by selecting the Demo option.

After asking to Register the software, WBS Schedule Pro asks if you would like to use the software with Microsoft Project. To use WBS Schedule Pro as a standalone software application if you do not have Microsoft Project, select the option to not configure Microsoft Project. If you want to configure Microsoft Project at a later time you can choose the Microsoft Project drop down list on the Ribbon and select the option to Configure MS Project.

Using WBS Schedule Pro with Microsoft Project

You can use WBS Schedule Pro with Microsoft Project to create projects that you can transfer to Microsoft Project or to create WBS/Network charts of existing Microsoft Project plans. If you want to integrate WBS Schedule Pro with MS Project, choose the option to do so when prompted when you first start WBS Schedule Pro.

See also:

Configuring MS Project for use with WBS Schedule Pro

Installing on a Network


Installing on a Network

Installing WBS Schedule Pro on a Network

WBS Schedule Pro Licensing for Network Use

WBS Schedule Pro utilizes “named user” licensing and not “concurrent user” network licensing. This means that each user who accesses WBS Schedule Pro on a network must have a license. For example, if you have 10 people who need to use the version of WBS Schedule Pro on your network you must have a 10 User Network License. User licenses can be transferred. If a user no longer accesses WBS Schedule Pro on the network they can be replaced by another user.

Installing WBS Schedule Pro on your Network

    1. Install WBS Schedule Pro into a directory on the Network.

    2. Assign users access to this folder.

    3. The first time a user starts the program it will be in Demo mode until the software is Registered. To Register WBS Schedule Pro click the Register option when a user starts the program and follow the instructions to Register the software.

Configuring the Network version of Microsoft Project for use with WBS Schedule Pro

If you wish to use WBS Schedule Pro with a network installation of Microsoft Project, refer to the Help topic Configuring a Network Version of MS Project for WBS Schedule Pro


Configuring MS Project 98 to Project 2007

The following are instructions for configuring Microsoft Project 98, Project 2000, Project 2002, Project 2003 or Project 2007 for use with WBS Schedule Pro.

WBS Schedule Pro can be accessed from within Microsoft Project through the use of Quick Access Toolbar buttons or buttons on the Ribbon. The WBS, Network and Sheet View buttons look like this:

With the WBS Schedule Pro Toolbar buttons you can open a Microsoft Project plan and click a button to create a WBS chart, Network chart or Task Sheet of the current plan. The first time you run WBS Schedule Pro Setup you are prompted to configure Microsoft Project to add these buttons. If you chose to do this and you see the buttons when you start Microsoft Project then you are ready to create charts from your Microsoft Project plans.

If you do not see the WBS Schedule Pro buttons in Microsoft Project, check the following:

    1. Are you using Microsoft Project installed on a network? If so, there may not be sufficient rights (Read/Write Permission) to modify Microsoft Project on the network. Therefore, the WBS Schedule Pro Toolbar buttons are not be saved as part of Microsoft Project. See "Configuring a Network Version of MS Project" for more information.

    2. Did you answer "No" and "Do not ask me again" when prompted to configure Microsoft Project? If so, follow the instructions below to add the buttons.

Adding the Buttons to Microsoft Project

    1. Start Microsoft Project.

    2. Select Tools-Macro-Security...

    3. Select Medium and click OK.

    4. Start WBS Schedule Pro, select the MS Project drop-down list and select Setup MS Project.

    5. You will be asked to configure the version of Project that is open. Click Yes.

    6. Switch to MS Project and click Enable Macros when (if) prompted.

This should add the toolbar buttons into MS Project. There may be times when WBS Schedule Pro will not be able to configure MS Project. If the above does not work to configure MS Project, follow the instructions below to manually install the Toolbar.

Manually installing the WBS Schedule Pro Toolbar button into Microsoft Project:

    1. Start Microsoft Project.

    2. Go to Tools-Options-Security. If you see the option on the bottom of this form that says "Allow loading files with legacy or non default file formats", select it. If not, go to step #3.

    3. Click the Macro Security... button. Set it to Medium and click OK and OK again.

    4. Choose the File menu and select Open.

    5. Open the Folder where you installed WBS Schedule Pro (the default is C:\Program Files (x86)\WBS Schedule Pro).

    6. Open the Setup file for the appropriate version of Microsoft Project:

SetupWBS5_98.mpp if you are using Project 98.

SetupWBS5_2000.mpp if you are using Project 2000.

SetupWBS5_2002.mpp if you are using Project 2002.

SetupWBS5_2003.mpp if you are using Project 2003.

SetupWBS5_2007.mpp if you are using Project 2007.

These Setup files contain macros that are automatically run when opened (you must choose to Enable Macros if you receive a message). These macros install the appropriate items into Microsoft Project to configure it to work with WBS Schedule Pro. Once opened, close the Setup file without saving.

If, after closing and reopening Microsoft Project the Toolbar is no longer there then there is a problem saving information to the GLOBAL.MPT file. The Global.mpt file is a Microsoft Project file where the WBS Schedule Pro integration items are stored. You need to obtain Read/Write Permission to modify and save the Global.mpt file.

See also:

Creating WBS charts from Microsoft Project plans


Configuring MS Project 2010, 2013, 2016 and 2019

The following are instructions for configuring Microsoft Project 2010, 2013, 2016 and Project 2019 for use with WBS Schedule Pro.

WBS Schedule Pro can be accessed from within Microsoft Project 2010, 2013, 2016 and 2019 through the use of Buttons on the Quick Access Toolbar or from buttons within the WBS Schedule Tab.

The WBS Schedule Pro Quick Access Toolbar buttons (highlighted) and the Buttons in the WBS Schedule Pro tab in MS Project

With the WBS Schedule Pro buttons you can open a Microsoft Project plan and click a button to create a WBS chart, Network chart or Task Sheet of the current plan. The first time you run WBS Schedule Pro Setup you are prompted to configure Microsoft Project to add these buttons. If you chose to do this and you see the buttons when you start Microsoft Project then you are ready to create charts from your Microsoft Project plans.

If you do not see the WBS Schedule Pro buttons in Microsoft Project, check the following:

  1. Are you using Microsoft Project installed on a network? If so, there may not be sufficient rights (Read/Write Permission) to modify Microsoft Project on the network. Therefore, the WBS Schedule Pro buttons will not be saved as part of Microsoft Project. See "Configuring a Network Version of MS Project" for more information.

  2. Did you answer "No" and "Do not ask me again" when prompted to configure Microsoft Project? If so, follow the instructions below to add the buttons.

Adding the Buttons to Microsoft Project

    1. Start Microsoft Project.

    2. Select File-Options-Trust Center-Trust Center Settings...

    3. Select "Disable all macros with notification". Click OK and OK again.

    4. Start WBS Schedule Pro, select the MS Project drop-down list and select Setup MS Project.

    5. You will be asked to configure the version of Project that is open. Click Yes.

    6. Select to add buttons to the Quick Access Toolbar or to a Tab on the Ribbon. Click OK.

    7. Switch to MS Project, close it and reopen it to display the buttons.

There may be times when WBS Schedule Pro will not be able to automatically configure MS Project. If the above does not work to configure MS Project, follow the instructions below to manually install the buttons.

Manually installing the WBS Schedule Pro Buttons into Microsoft Project 2010, 2013, 2016 or 2019:

    1. Start Microsoft Project.

    2. Go to File-Options-Trust Center-Trust Center Settings... and select "Disable all macros with notification". Click OK and OK again.

    3. Choose the File menu and select Open.

    4. Open the Folder where you installed WBS Schedule Pro (the default is C:\Program Files (x86)\WBS Schedule Pro).

    5. Open the Setup file for the appropriate version of Microsoft Project:

SetupWBS5_2010.mpp if you are using Project 2010.

SetupWBS5_2013.mpp if you are using Project 2013.

SetupWBS5_2016.mpp if you are using Project 2016 or 2019.

These Setup files contain macros that are automatically run when opened (select "Enable Macros" if prompted). These macros install the appropriate items into Microsoft Project to configure it to work with WBS Schedule Pro. Once opened, close the Setup file without saving.

The above process does not automatically add the Buttons to Project. You must do this manually.

To add buttons to the Quick Access Toolbar:

    1. Start Project, select the drop down arrow in the upper left corner of the screen and select "More Commands..."

    2. Select Macros from the drop down list in the left column.

    3. Select the GotoWBSChart macro in the left column and then click the Add>> button to copy this to the right column.

    4. Select Modify and choose an image for the button.

    5. Repeat for the GotoNetworkChart and GotoTaskSheet macros.

Note: You can only choose from the pre-defined list of images.

To add a Tab and Button to the Ribbon in Project 2010, Project 2013, Project 2016 or Project 2019:

    1. Start Project, right click on the Ribbon and select "Customize the Ribbon..."

    2. Select a Tab in the Main Tabs section in the right column and select the New Tab button. Select this New Tab, click Rename, type WBS Schedule Pro and click OK.

    3. Choose Macros from the drop down list in the left column.

    4. Select New Group in the right column.

    5. Select the GotoWBSChart macro in the left column and then click the Add>> button to copy this to the New Group.

    6. Select Rename and choose an image for the button. Note: You can only choose from the pre-defined list of images.

    7. Repeat for GotoNetworkChart and GotoTaskSheet.

    8. Select New Group and Rename if you wish to rename this group.

See also:

Creating WBS charts from Microsoft Project plans


Configuring a Network Version of MS Project

When Microsoft Project is configured for use with WBS Schedule Pro, several items are copied into Microsoft Project and stored in the Global.mpt file. The Global.mpt file is a Microsoft Project file used to store things like Macros, Tables, Views, Toolbar Buttons, etc. If you install Microsoft Project on your local computer the Global.mpt file is accessible to you on your local hard drive but if Microsoft Project is installed on a Network, the Global.mpt may be locked and not accessible for you to modify it.

WBS Schedule Pro requires some items to be copied and stored in the Global.mpt file to allow a seamless integration between the two programs. If you have Microsoft Project installed on a network and don't have sufficient rights (Read/Write Permission) to modify the Global.mpt file, you have three options:

    1. Copy the necessary items into Microsoft Project each time you use WBS Schedule Pro. To do this, start Microsoft Project and then start WBS Schedule Pro. In WBS Schedule Pro choose MS Project-Setup MS Project. This copies the necessary Tables, Views, Macros and (if you are using Project 2007 or earlier), a Toolbar button into Microsoft Project. These items will remain there until Microsoft Project is closed.

    2. Obtain temporary Read/Write access to the Global.mpt file on the network, and follow the instructions in the previous two sections of Help to configure MS Project. The disadvantage to this procedure is that everyone who uses the version of Microsoft Project on the network will see this WBS Schedule Pro buttons but may not have access to the WBS Schedule Pro program.

    3. Create a copy of the Global.mpt file and store it on your local computer. This way, Microsoft Project can be run from the network, but all custom settings (Views, Tables, Macros, Reports, Toolbars, etc…) are stored on the local computer. You can then instruct Microsoft Project to use the Global.mpt on your local computer instead of the one on the network. To do this, copy the Global.mpt file from the network to a local folder. Then, right-click the icon you use to start MS Project, select Properties and enter this location in the Start In field. For example:


Tips for using WBS Schedule Pro on a Network

Tips for running WBS Schedule Pro on a Network Server

If WBS Schedule Pro is installed on a Network Server, users can access a single installation of the program. This also means that the Views and Templates within the software are accessed by many individuals. Understanding how this works is an important part of using WBS Schedule Pro in a multi-user environment.

The following explanation assumes that when WBS Schedule Pro is installed on your Network Server the folder containing the software is a Read-Only folder where users cannot modify the files in this folder. This is a typical Network Server Installation. With this in mind, here are some tips for working in this environment.

Registering

The first time a user runs the software from the Network Server they are prompted to Register. Register the software by using the Purchase Code that was sent after the purchase of the software. At startup, follow the prompts to Register the software using the Purchase Code or if this is not readily available the user can run the software in Demo mode until the Purchase Code is obtained. Then, start WBS Schedule Pro, select the File menu and choose Register.

Registration information is stored in each user’s local profile.

Views and Templates

Views and Templates determine how Charts and Output appear. The various types of Views and Templates are described here:

  1. Views (*.wbv) – These include WBS Charts, Network Charts and Task Sheets and contain formatting options for each of these types of Charts in WBS Schedule Pro.
  2. Page Layouts (*.wbp) – These contains various Header and Footer layouts for WBS and Network Charts.
  3. Word Templates (*.docx and *.doc) – These are the WBS Dictionary Templates used to export the WBS Dictionary to Microsoft Word.
  4. HTML Templates (*.html) – These include various templates for exporting a project to HTML files.

For Views and Page Layouts, in a typical desktop installation these are automatically updated as you change formatting options in a chart. This allows you to change a style or appearance for a particular View and have these options saved as part of that View in addition to being saved in the project. Each New project will then contain these new options for that View.

With Views and Page Layouts installed on the Network Server, changes make to these are not saved since they are Read-Only. The advantage to this is:

  1. You don’t have many users changing the Views and potentially overwriting other’s changes.
  2. You can maintain a standard way of displaying data. You can modify a View in the software, save it to a Read/Write location and then get permissions to copy the file onto the Network Server. Once copied to the Server, it becomes the new default for displaying data. This also applies to the Word and HTML Templates which are configurable but not from within the software.

If you want each user to be able to modify and change the Views and Templates in WBS Schedule Pro, copy the contents of the Views and Templates folder from the Network Server to the My Documents/WBS Schedule Pro/Views and Templates folder on the user’s computer.

Then, to make WBS Schedule Pro use the Views and Templates on the Current User’s computer:

  1. Start WBS Schedule Pro.
  2. Select the File menu and choose Options.
  3. Click the Browse button next to Views & Templates and select the folder on the User’s computer. It will look similar to this:

C:\Users\UserName\Documents\WBS Schedule Pro\Views and Templates

Note: In File-Options, you can also specify whether or not to automatically save changes in Views and Templates by selecting the options under “When closing a chart”.

Text Boxes

TextBox.ctc – This file contains the default formatting for Text Boxes that are added to WBS or Network Charts by right-clicking in a Chart or on a Task. A default TextBox.ctc file is installed into the same folder where the WBS Schedule Pro program (.exe) file is installed.

A user can create their own custom TextBox file by right-clicking on a Text Box and selecting Set Style as Default. This copies a TextBox.ctc file to the current user’s My Documents/WBS Schedule Pro folder for individual use.

If you add a Text Box in a WBS or Network Chart the WBS Schedule Pro program first looks to the My Documents/WBS Schedule Pro folder to see if there is a custom TextBox.ctc file and displays using that one. If the TextBox.ctc file does not exist it then it loads the TextBox.ctc file from the Program Folder on the Network.

Resources

Resources.ctc – This file contains a list of Resources that are loaded in every new project. This file does not exist until a user clicks Set as Default in the Resources form found in the Project tab.

If the Resources.ctc file exists in the My Documents/WBS Schedule Pro folder when a user starts the software it will load this set of Resources into the project. If the Resources.ctc does not exist in the My Documents/WBS Schedule Pro folder but exists in the Program folder on the Network then it loads this set of Resources into new projects.

If there is no Resources.ctc file then the Resource list is empty for all new projects.

Calendars

Calendar.ctc – This file contains Calendar information and can be used to set standard Working and Nonworking days for all new projects. This file does not exist until a user clicks Set as Default in the Calendar form found in the Project tab.

If the Calendar.ctc file exists in the My Documents/WBS Schedule Pro folder when a user starts the software it will load this Calendar into a new project. If the Calendar.ctc does not exist in the My Documents/WBS Schedule Pro folder but exists in the Program folder on the Network then it loads this Calendar into new projects.

If there is no Calendar.ctc file then the Calendar defaults to a standard 5 day workweek schedule.


Quick Access Toolbar

The Quick Access Toolbar is located in the upper left corner of the WBS Schedule Pro screen and allows you one-click access to certain operations. Click the drop-down arrow to customize what is displayed on this toolbar.

Due to the limited space for the Quick Access Toolbar buttons only a certain number of buttons are allowed so as not to interfere with the chart type listed above the Format menu.


Status Bar

Status Bar

The Status Bar is the strip of information located at the bottom of the WBS Schedule Pro screen. The left side of the Status Bar displays messages about current operations. The right side of the Status Bar displays information about the current chart and allows you to perform certain operations.

If you right-click the Status Bar you can see how the Status Bar is configured. Select an option to turn On/Off the indicator.

Description of the Status Bar operations and indicators

The right side of the Status Bar contains six small box areas that describe the current state of a chart. They are, from left to right:

    1. Ready Status - Displays "Ready" when no current operations are being performed on the project.

    2. Locked Status - Displays "LOCKED" if the Network chart has manually positioned boxes. When locked, tasks in the Network chart are no longer automatically positioned based on their dependencies. In the Network Chart, choose Format-Auto Layout to automatically position boxes and remove the Locked indicator.

    3. Trace Status - Displays "TRACE" if the Network Chart is currently using a Trace to display tasks. The Trace feature displays predecessors and/or successors to a selected task in the Network Chart. In the Network Chart, choose Format and deselect the Trace checkbox to remove the Trace and display all tasks.

    4. Linked Status - Displays "LINKED" if the current project is linked to a datasource (such as a Microsoft Project plan, XML or Text file).

    5. Item Count - Displays the total number of visible items and hidden items in the current chart. Items include Tasks, Summary Tasks and/or Group Headers that are currently displayed in the chart. Hidden Items include Tasks that are collapsed into Summary Tasks, other Summary Tasks that are collapsed and not visible and Tasks/Summary Tasks that are filtered out in MS Project. In the Network Chart, hidden items include Summary Tasks that are not displayed when the Network is not Grouped.

    6. View Selector - Switches to the last used WBS chart, Network chart or Task Sheet.

    7. Scale - Displays the current Zoom factor (scale) of the current chart.

    8. Zoom Slider - Click to change the Zoom factor of the current chart.


Ribbon, Tabs & Buttons

Ribbon, Tabs and Buttons

The Ribbon contains the buttons and commands for the WBS Schedule Pro program. Select the Help topic for each Tab for a brief overview of the features within that tab.

To Hide (minimize) the Ribbon and just show the tabs, right-click anywhere on the Ribbon and choose Minimize the Ribbon. Right-click and deselect Minimize the Ribbon to display it again. You can also doubleclick on any Tab to Hide and Display the Ribbon.


File

New | Opens a blank chart for planning a new project.
Open | Displays the Open dialog box allowing you to open a saved project.
Close | Closes the current project.
Save | Saves the current project. Displays the Save As dialog if the chart has never been saved. Automatically saves (without prompting) to the same name if the file has been previously saved.
Save As | Saves the project with a new name.
Save As Picture | Saves the project as a .png, .jpeg or .bmp image.
Print | Displays the Printer dialog to select certain options before printing.
Print Preview | Displays the project in Print Preview mode. Print Preview uses the currently selected printer and paper size to display the project exactly how it will appear when printed.
Page Setup | Displays the Page Setup dialog to display options for configuring the page.
Options | Specify the default locations for Documents, Views and Layouts, and the Views to use when starting new projects or creating projects from an external data source.
Organizer | Manage the Views, Page Layouts and Calendars.
Register/Unregister | Displays the Registration form for Registering WBS Schedule Pro to turn it into the Full version. If already registered, this changes to Unregister where you can Unregister the software to free up a license.
Check for Updates | Logs on to the Critical Tools Server to check for available updates for the version of WBS Schedule Pro you have installed. If it finds available updates it prompts you to confirm whether you want to install these updates. This feature requires an internet connection.
About | Displays the About box for information on the version of WBS Schedule Pro and Registration information.


Home

WBS Chart

Select to switch to the last used WBS chart. Select the drop down arrow to choose from the list of WBS charts or to choose more options for creating new, copying, renaming or deleting WBS chart views.

Network Chart

Select to switch to the last used Network chart. Select the drop down arrow to choose from the list of Network charts or to choose more options for creating new, copying, renaming or deleting Network chart views.

Gantt Chart

Select to switch to the last used Gantt chart. Select the drop down arrow to choose from the list of Gantt charts or to choose more options for creating new, copying, renaming or deleting Gantt chart views.

Task Sheet

Select to switch to the last used Task Sheet. Select the drop down arrow to choose from the list of Task Sheets or to choose more options for creating new, copying, renaming or deleting Task Sheet views.

Paste

Pastes the contents of the Clipboard from cut or copied information.

Cut

Cuts the selected task/information and places it on the Clipboard .

Copy

Copies the selected task/information and places it on the Clipboard .

Copy Picture

Copies the current chart image to the Clipboard for pasting into other applications.

Insert

Select the icon to Insert a New Task after the currently selected task in the chart. Select the drop down arrow to insert a Task Before, a Summary Task, a Subtask, or a Text Box into the chart.

Delete

Deletes the currently selected item or items in the chart.

Task Info

Displays the Task Information dialog box for entering data for the selected task.

Select

Selects items in the chart based on the criteria in the drop down list.

Scroll to

Scrolls the selected Task into view.

Link

Creates a dependency between the selected task or tasks.

Unlink

Removes the dependency between the selected task or tasks.

One to Many

Creates a Dependency from the active Task (with the red box around it) to the selected Tasks (the highlighted ones).

Many to One

Creates a dependency from the selected Tasks (the highlighted ones) to the active Task (with the red box around it).

Indent

In the Task Sheet, makes the current Task or Summary Task a Subtask to the one above it.

Outdent

In the Task Sheet, moves the current Task or Summary Task up one outline level.

Expand

Reveals the hidden subtasks of the selected Summary Task in the chart.

Collapse

Hides the subtasks of the selected Summary Task in the chart.

Expand All

Reveals the hidden subtasks for all Summary Tasks in the chart.

Summary Only

Hides all Tasks in the chart and displays only the Summary Tasks.

Focus

Displays only the selected Summary Task and those items below it while hiding the rest of the chart.

Edit Groups

Modify the Grouping (Outlining) of the project.

Grouped

Select to display Groups in a Network Chart. Deselect to remove Grouping in a Network Chart. This option is only available in Network Charts.

Project Summary

Aligns the selected Summary Task at the Left edge of the tasks being summarized.

Independent

When selected, the current View uses the project-wide Grouping as defined in Edit Groups. Deselect to make the current View's Grouping independent from the project-wide Grouping.

Find

Find specified text in the project and Replace if desired.

Goto

Search for and goto the specified task.

Spell

Starts the Spell Checker. Select the drop down arrow to configure the Spell Checker settings.

Microsoft Project

Switches to Microsoft Project. If the current WBS Schedule Pro chart is a “standalone” chart (has never been transferred to Microsoft Project) then this button transfers the data in the current chart to Microsoft Project for further scheduling. The data is then stored in Microsoft Project and the chart is “linked” to this Microsoft Project plan.

If the current chart is linked to an open Microsoft Project plan then this button switches to that plan in Microsoft Project.


View

Zoom In | Increases the size of the chart on the screen. You can also Zoom In using the Zoom Slider in the lower right corner of the screen.
Zoom Out | Decreases the size of the chart on the screen. You can also Zoom Out using the Zoom Slider in the lower right corner of the screen.
Zoom Custom | Displays the Zoom dialog box for adjusting the chart to specific or custom factors. You can also display the Zoom dialog by selecting the Zoom factor displayed in the lower right corner of the screen.
Normal | Displays the chart in a regular window without page breaks or other output indicators.
Print Layout | Displays the chart in a window with page breaks as they would appear if printed. Page breaks are displayed based on the currently selected printer.
Task Pane | Displays the Task Pane. This is useful if the Task Pane was hidden by selecting the X on the Pane.
Views Pane | Displays the Views Pane. This is useful if the Views Pane was hidden by selecting the X on the Pane.
Notes Pane | Displays the Notes Pane. This is useful if the Notes Pane was hidden by selecting the X on the Pane.
Horizontal Split | Splits the screen Horizontally.
Vertical Split | Splits the screen Vertically.
Full Screen | Restores any split screens to one full screen.


Project

Options | Displays the Options dialog for changing File Locations, project Settings, properties and Viewer options.
Unlink | Removes the link to the current datasource, copies the data into the .wbs file and makes the current WBS Schedule Pro a standalone project.
Excel | Starts the Excel Wizard for exporting the current WBS Schedule Pro project to Microsoft Excel. Requires Excel 2003 or greater.
Word | Starts the Word Wizard for exporting the current WBS Schedule Pro project to Microsoft Word. Requires Word 2003 or greater.
Resources | Displays the Resources form for defining a list of resources for the project.
Calendar | Defines the workdays, hours in a workday and non- working days for your project. The Calendar option is not available when linked to a MS Project plan.
Baseline | Change and update the Baseline information in the current project. The Baseline option is not available when linked to a MS Project plan.
WBS Codes | Create and Edit the WBS Codes in the Project.
Fields | Displays the Customize Fields dialog for setting Field Titles and creating Value Lists for fields.
Undo | Removes the last command performed in WBS Schedule Pro.
Redo | Reverses the action of the Undo command.


Format (WBS Chart)

Fields | Displays options for modifying the fields that are displayed within the Summary Task and Task boxes in the WBS Chart.
Lines | Displays options for formatting the connector lines in the WBS Chart.
Boxes | Displays options for modifying how Summary Task and Task boxes appear in the WBS Chart.
Overall Style | Sets the chart-wide default style for the way boxes are arranged in the WBS Chart.
Orientation | Sets the chart-wide default orientation of boxes in the WBS Chart.
Between Summaries | Changes the default distance between the Summary Tasks in the WBS Chart.
Between Tasks | Changes the default distance between the Tasks in the WBS Chart.
To Subtasks | Changes the default distance between Summary Tasks and Tasks in the WBS Chart.
Org Chart Style | Changes the way the immediate subordinates are displayed below the selected Summary Task. This button displays all items directly below the selected Summary Task horizontally (like an Org chart).
WBS Chart Style | Changes the way the immediate subordinates are displayed below the selected Summary Task. This button displays Tasks vertically and other Summary Tasks horizontally below the selected Summary Task.
List All Style | Changes the way the immediate subordinates are displayed below the selected Summary Task. This button displays all items directly below the selected Summary Task vertically below the Summary Task.
WBS Style 2 Columns | Changes the way the immediate subordinates are displayed below the selected Summary Task. This button displays Tasks vertically in two columns below the selected Summary Task and other Summary Tasks below horizontally.
List All Style 2 Columns | Changes the way the immediate subordinates are displayed below the selected Summary Task. This button displays all items vertically in two columns below the selected Summary Task. This button works best if the selected Summary Task contains only tasks below it and not other Summary Tasks.
Reset | Resets Custom Box Positions, Arrangements and/or Custom Box Styles.
Left | Aligns the selected Summary Task at the Left edge of the tasks being summarized.
Center | Aligns the selected Summary Task over the Center of the tasks being summarized.
Right | Aligns the selected Summary Task at the Right edge of the tasks being summarized.
Align | Select to align the Summary Task over the nearest Task below it.
Align Boxes | Lines up all of the selected boxes. By selecting multiple tasks in the WBS chart and choosing the Align Boxes button you can line up all of these Tasks to be even with the currently selected Task.
Height | Select options for matching the Height of boxes in the chart.
Width | Select options for matching the Height of boxes in the chart.
Progress | Turns the Progress marks on and off.
Notes | Turns the Notes indicator on and off.
Constraints | Turns the Constraint indicator on and off.
Hyperlinks | Turns the Hyperlink indicator on and off.
Complete | Turns the Complete indicator on and off.
WBS Codes | Turns the WBS Codes next to the Name field on and off.


Format (Network Chart)

Fields | Displays options for modifying the fields that are displayed within Task boxes in the Network Chart.
Link Lines | Displays options for formatting the dependency lines.
Boxes | Displays options for modifying how Task boxes appear.
Group Headers | Displays options for modifying the Group Headers.
Arrange | Sets the chart-wide default style for the way boxes are arranged.
Reset | Resets Manual Box Positions and/or Custom Box Styles.
Rows | Click to increase or decrease the spacing between rows in the chart.
Columns | Click to increase or decrease the spacing between columns in the chart.
Timescale | Turns the Timescale On or Off.
Format Timescale | Displays options for formatting the Timescale.
Trace | Turns Trace On or Off.
Trace Options | Displays options for formatting Trace.
Locked | Displays whether the Network Chart is Locked or Unlocked.
Auto Layout | Select to Automatically Layout or automatically position tasks in the Network Chart if Locked.
Layout Selected | Select to automatically position the selected tasks in the chart.
Insert Row | Adds a blank row above the current task.
Insert Column | Add a blank column to the left of the current task.
Match Height | Makes all boxes in the chart equal in height to the tallest box.
Match Width | Makes all boxes in the chart equal in width to the widest box.
Progress | Turns the Progress marks on and off.
Notes | Turns the Notes indicator on and off.
Constraints | Turns the Constraint indicator on and off.
Hyperlinks | Turns the Hyperlink indicator on and off.
Complete | Turns the Complete indicator on and off.
WBS Codes | Turns the WBS Codes next to the Name field on and off.


Format (Gantt Chart)

Bar Styles | Change the style of Bar and Shapes for Summary Tasks, Tasks and Milestones in the Gantt Chart.
Bar Text | Change the text that appears next to or within the Gantt Bars and Shapes.
Text | Change Text styles based on Critical Path, Flags or Progress in the Task Sheet.
Select | Selects items in the chart based on the criteria in the drop down list.
Fill | Copies the contents of the selected (active) cell into other highlighted cells below (Fill-Down) or above (Fill-Up).
Clear | Clears the contents of the selected (highlighted) cells.
Insert | Select the icon to Insert a New Task after the currently selected task. Select the drop down arrow to insert a Task Before (above), a Summary Task or a Subtask.
Delete | Deletes the selected Row or Rows in the Task Sheet. This will delete blank rows and rows that contain task data. If the Row contains Task data this information will be deleted.
Indent | Makes the current Task (or Tasks) a Subtask (or Subtasks) to the one above it.
Outdent | Moves the current Task or Summary Task up one outline level.
Gridlines | Change the various Gridlines that appear in the Gantt Chart.
Timescale | Change the Timescale associated with the Gantt Chart.
Layout | Change how Links appear, how progress is displayed and other options in the Gantt Chart.
Insert Blank | Inserts a blank row into the Task Sheet.
Delete | Deletes the selected Row or Rows in the Task Sheet. This will delete blank rows and rows that contain task data. If the Row contains Task data this information will be deleted.
Insert | Inserts a Column to the left of the currently selected Column in the Task Sheet.
Hide | Removes the currently selected Column or Columns from the Task Sheet. This does not delete any of the data within the selected column(s).
Progress | Select to turn on/off the Progress Marks displayed in the Gantt Bars. Progress Marks are defined in the Layout menu.
WBS Codes | Turns the WBS Codes next to the Name field on and off.
Extended Headers | Extends the left edges of Summary Task/Group Headers down the page. Select a Small, Medium or Large size extension or None to turn this feature off. This is best used with a Fill color for each Level. To select Fill Colors, click the Text icon, select Fill then Level and choose a Fill color for each Summary Level.


Format (Task Sheet)

Text | Change Text styles based on Critical Path, Flags or Progress in the Task Sheet.
Select | Selects items in the chart based on the criteria in the drop down list.
Fill | Copies the contents of the selected (active) cell into other highlighted cells below (Fill-Down) or above (Fill-Up).
Clear | Clears the contents of the selected (highlighted) cells.
Insert | Select the icon to Insert a New Task after the currently selected task. Select the drop down arrow to insert a Task Before (above), a Summary Task or a Subtask.
Delete | Deletes the selected Row or Rows in the Task Sheet. This will delete blank rows and rows that contain task data. If the Row contains Task data this information will be deleted.
Indent | Makes the current Task (or Tasks) a Subtask (or Subtasks) to the one above it.
Outdent | Moves the current Task or Summary Task up one outline level.
Insert Blank | Inserts a blank row into the Task Sheet.
Delete | Deletes the selected Row or Rows in the Task Sheet. This will delete blank rows and rows that contain task data. If the Row contains Task data this information will be deleted.
Insert | Inserts a Column to the left of the currently selected Column in the Task Sheet.
Hide | Removes the currently selected Column or Columns from the Task Sheet. This does not delete any of the data with the selected column(s).
WBS Codes | Turns the WBS Codes next to the Name field on and off.
Extended Headers | Extends the left edges of Summary Task/Group Headers down the page. Select a Small, Medium or Large size extension or None to turn this feature off. This is best used with a Fill color for each Level. To select Fill Colors, click the Text icon, select Fill then Level and choose a Fill color for each Summary Level


Panes

Panes are the dockable windows that can be placed on the edge of the screen or floating in the middle of the screen. The Panes display the Views in the project, the Tasks in the Project and the Notes for a project.

Press the Auto Hide (push pin) button to dock the pane against the side or bottom of the chart. This hides the pane but leaves a tab for you to easily display the pane again by clicking on the tab. Click the Auto Hide button again at any time to display the pane in its full window.

Click the X to hide the pane completely. To display the pane again, go to the View tab and select the Panes you want to display


Tasks Pane

Tasks

Displays all of the Summary Tasks and Tasks in the project. Selecting a Task in this list also selects it in the chart. By default the WBS code is listed next to the Task name. Click the button in the upper left corner of the Tasks Pane to show the Full Codes, Short Code (the last or right-most value of the code) or No Codes preceding the Task Names.

Some tips for working with Panes

When Panes share space, select the tab of the Pane you wish to view.

Click the tab of the desired Pane and drag it to the middle of the chart to make it "float".

Click a floating Pane's title bar and drag it back over the other tabs to make it part of the same group of Panes.

Click the Auto Hide (Push Pin) icon to dock the pane against the side or bottom of the chart. Hover over the hidden tabs to quickly display the Pane. Click the Push Pin to anchor it again so it is always visible.

Click the title bar of a Pane and drag it over the displayed screen location to "dock" it at that location.

If you hide a Pane using the X, go to the View tab on the Ribbon and select the Pane you wish to view.


Views Pane

Views

Displays all of the WBS Chart, Network Chart and Task Sheet Views in the project. Select a View from this list to display the project using this View.

Some tips for working with Panes

When Panes share space, select the tab of the Pane you wish to view.

Click the tab of the desired Pane and drag it to the middle of the chart to make it "float".

Click a floating Pane's title bar and drag it back over the other tabs to make it part of the same group of Panes.

Click the Auto Hide (Push Pin) icon to dock the pane against the side or bottom of the chart. Hover over the hidden tabs to quickly display the Pane. Click the Push Pin to anchor it again so it is always visible.

Click the title bar of a Pane and drag it over the displayed screen location to "dock" it at that location.

If you hide a Pane using the X, go to the View tab on the Ribbon and select the Pane you wish to view.


Notes Pane

Notes

Displays the Notes for the selected Summary Task or Task in the project. Notes are handy for entering extensive descriptions for a task. Notes entered in WBS Schedule Pro can be transferred to MS Project. Notes from MS Project can also be displayed in WBS Schedule Pro, however, Notes from MS Project are read-only in WBS Schedule Pro and cannot be edited*.

Some tips for working with Panes

When Panes share space, select the tab of the Pane you wish to view.

Click the tab of the desired Pane and drag it to the middle of the chart to make it "float".

Click a floating Pane's title bar and drag it back over the other tabs to make it part of the same group of Panes.

Click the Auto Hide (Push Pin) icon to dock the pane against the side or bottom of the chart. Hover over the hidden tabs to quickly display the Pane. Click the Push Pin to anchor it again so it is always visible.

Click the title bar of a Pane and drag it over the displayed screen location to "dock" it at that location.

If you hide a Pane using the X, go to the View tab on the Ribbon and select the Pane you wish to view.

* See Adding Notes to a Task for an explanation.


Using the WBS Chart

Planning Projects using the WBS Chart

Using the WBS Chart is a great way to start creating a project. In a WBS Chart you break down the phases of your project into various levels of detail starting with the broadest levels at the top and working your way down to the lowest levels of detail at the bottom. Break the project down into "Phases", or Summary Tasks as they are called in WBS Schedule Pro, and then to the lowest levels of detail called Tasks.

A Task is the work to be done and a Summary Task is the Rollup of this work to the various levels of the project.

When you first start WBS Schedule Pro, by default, you are placed in a blank WBS Chart to start the planning process.

Creating Tasks in a WBS Chart

In a WBS Chart you add tasks in your project by clicking the Insert button on the Home tab of the Ribbon.

The Insert button contains a drop down list for adding Tasks and Text Boxes in the chart

You can also use the Alt-Arrow keys on your keyboard to add tasks. This is a much quicker way to add Tasks and Summary Tasks in the project. Hold the Alt Key down on your keyboard and then press the Left, Right, Up or Down arrow to create a new task to the Left, Right, Above or Below the currently selected task.

Yet another way to add Tasks is to Right-Click on a Summary Task or Task and choose an Insert command from the popup menu to add a new task relative to the currently selected task.

Creating Summary Tasks and Tasks

As you create a WBS chart you place certain tasks under other tasks to represent that one is a subordinate of another. In WBS Schedule Pro, any task with at least one task beneath it is referred to as a Summary Task. Any task without a subordinate is simply called a Task.

WBS Schedule Pro automatically rolls up certain core Task data to each Summary Task in the project. Each Summary Task summarizes the task information below it all the way up to the top of the WBS Chart. The fields that are rolled up include Cost, Work, Start and Finish dates, and other schedule data. Additionally, you can define custom fields and other data fields to be rolled up (select Fields from the Project tab to customize fields).

Recommended way to break down Tasks

When breaking down your tasks, make sure to use the proper technique. When entering Subtasks to a Summary Task you can have the Tasks listed left-to-right, like this:

In some views or using the List All feature, the Subtasks are listed vertically under their respective Summary Task. This is still correct but simply displaying the Tasks vertically instead of horizontally under their Summary Task. Like this:

However, be careful not to do this:

Doing this makes Summary Tasks out of Task 1 and Task 2. The only real Task is the bottom one, Task 3. This is not the correct way to structure a project and should be avoided.

Entering Information

To enter the name of a Summary Task or Task select that box and type. To enter additional information for the Summary Task or Task, doubleclick it. Doubleclicking displays the Task Information form where you can enter detailed information.

When displaying the Information form for a Summary Task, many fields will be grayed out. This is because these fields are the calculated rollup of information to the Summary Task.

The Rolled up information for a Summary Task is calculated as follows:

Start - The earliest Start date of this Summary Task's Subtasks.

Finish - The latest Finish date of this Summary Task's Subtasks.

Duration - The number of workdays from the Start of the Summary Task to the Finish of the Summary Task. It is not the total of all the Duration amounts for the Subtasks but a count of the workdays for the span of the Summary Task. Use the Work field to roll up a total amount of work for the Tasks in the project.

Work - The total Work for the Subtasks of this Summary Task.

Cost - The total Cost of the Subtasks.

% Complete - The % Complete of a Summary Tasks is the Sum the Actual Durations of its Subtasks divided by the Sum of the Durations of its Subtasks.

Additional features for working with WBS Charts

Moving Tasks - Move a Task by clicking a box and dragging it over another box. Little red arrows indicate where the task will be moved relative to the task you are hovering over. Drag Tasks or Summary Tasks. For more on this, see Moving and Repositioning Tasks in a WBS Chart

Working with Views - A View is a collection of formatting options for each chart type. When in a WBS Chart View, the Format tab has many options for configuring how the WBS Chart is displayed. This includes default spacing between boxes, the default arrangement of tasks, which fields are displayed in the boxes, etc. Use the Views Pane to select a View that suits your needs. Modify a View by selecting the options in the Format tab. For more information on Views, see Working with Views

Arranging Fields in Boxes - You can change which fields are displayed in the WBS Chart boxes on the screen by selecting the Format tab and then Fields. Change the arrangement of Summary Tasks and Tasks separately using the Fields form. For more information on Fields, see Displaying Fields in Task Boxes

Modifying Box Styles - Define the shadow color, fill color and box shapes of items in the WBS Chart by selecting the Format tab and then Boxes. Color items in the WBS Chart based on certain criteria such as Critical Path, Level, Progress or by using the Flag fields. For more information on changing Box Styles, see Boxes


Using the Network Chart

Using the Network Chart

The Network Chart is useful for linking Tasks and for creating the schedule of the project. Tasks can be created in the Network Chart but not Summary Tasks. You can only create Summary Tasks by using the WBS Chart, Gantt Chart or Task Sheet. However, you can display Summary Tasks in the Network Chart and this is a very useful feature for viewing the Tasks in a project organized by the levels you created in the WBS Chart, Gantt Chart or Task Sheet.

The power of the Network Chart is the ability to easily create links between tasks to show the flow of work required in the project.

Scheduling using the Network Chart

To "Link" Tasks means to create a dependency between two or more Tasks. When two Tasks are linked, the first Task drives the schedule of the second Task. In the case of two linked Tasks, the first Task is called the Predecessor and the second Task the Successor. Changes in the Predecessor's schedule impacts the Successor's schedule.

There are several ways to Link Tasks using the Network Chart. They are:

Link Button - Select two or more Tasks in the Network Chart and click the Link button on the Home Tab. This creates a Finish-to-Start dependency between all selected tasks. The order of the links is based on the Task ID from lowest to highest.

Click and Drag between two Tasks - Click from the middle portion of one Task, drag the cursor, place it over another Task and let go. This creates a link between the two Tasks. This is the quickest way to Link to Tasks. This creates a Finish-to-Start dependency between the two and you will instantly see the second Task schedule to occur after the first Task.

Click and Drag from a Task to white space - If you click from the middle of a Task and drag to white space in the Network Chart this will create a New Task that is linked to the first Task you had selected.

One to Many Link - If you select more than two Tasks and click the One to Many Link on the Ribbon it will create a link from the Current Task (with the Red box around it) to any number of Tasks. This is a quick way to specify that one Task links to many. Use the Ctrl key on your keyboard to select any number of Tasks in the Network Chart.

Many to One Link - If you select more than two Tasks and click the Many to One Link on the Ribbon it will create a link from these Tasks to the Current Task (with the Red box around it). This is a quick way to specify that many Tasks like to one. Use the Ctrl key on your keyboard to select any number of Tasks in the Network Chart.

To Unlink Tasks, select any number of Tasks in the Network Chart and click the Unlink button.

Defining other types of Links and Modifying Links

Creating a link using one of the methods above always creates a Finish-to-Start Link meaning that the Predecessor must Finish before the Successor can start. If the Predecessor ends on a Thursday the Successor will start on Friday, if the Predecessor ends on a Friday the Successor will start on Monday, etc.

There are other types of Links that you can define to represent different relationships plus you can add Lag to offset Tasks.

To Modify a Link, doubleclick the Link line that exists between any two Tasks to display the Task Dependency form.

Use this form to change the type of Link and add Lag (positive or negative).

Finish-to-Start (FS) - This means that the Finish of the Predecessor Task determines the Start of the Successor Task.

Start-to-Start (SS) - The Start of the Predecessor Task determines the Start of the Successor Task. This type of dependency frequently contains a Lag to schedule the Successor Task to Start a certain amount of time after the Start of the Predecessor. A Start-to-Start Link with a Lag of 2 days would schedule the Successor Task to Start 2 days after the Start of the Predecessor Task.

Finish-to-Finish (FF) - The Finish of the Predecessor Task determines the Finish of the Successor Task. This type of dependency frequently contains a Lag to schedule the Successor Task to Finish a certain amount of time after the Finish of the Predecessor. A Finish-to-Finish Link with a Lag of 2 days would schedule the Successor Task to Finish 2 days after the Finish of the Predecessor Task.

Start-to-Finish (SF) - The Start of the Predecessor Task determines the Finish of the Successor Task.

Lag - Use the Lag field to enter an amount of time to offset the successor Task. A Lag can be positive or negative. A Lag can also be entered as a Percentage. Examples of Lag and the meaning with various Link Types are:

Finish-to-Start with 2 Day Lag - The Successor Task will start 2 days after the finish of its Predecessor.

Finish-to-Start with -2 Day Lag - The Successor Task will start 2 days before the finish of its predecessor.

Start-to-Start with 2 Day Lag - The Successor Task will start 2 days after the start of its predecessor.

Start-to-Start with 50% Lag - The Successor Task will start halfway through the predecessor Task.

Finish-to-Finish with -2 Day Lag - The Successor Task will finish 2 days before the finish of its predecessor.

Additional features for working with Network Charts

Grouped - The Network Chart is the only View where you can remove the Grouping or Summary Tasks to display a chart with only Tasks. For more information on the Grouped feature, see Grouped

Displaying a Timescale - Display a Timescale across the top or bottom of the Network Chart to show Tasks that Start or Finish within that time frame. For more information on Timescales, see Timescale

Tracing Tasks - Trace the dependencies from a selected Task backwards or Forward through the schedule to see all Tasks that lead up to or follow a certain Task. For more information on Tracing Tasks, see Trace


Using the Gantt Chart

Using the Gantt Chart

The Gantt Chart is a useful tool for adding & modifying Tasks, creating the structure by Indenting/Outdenting to define Summary Tasks and for linking Tasks in a project.

About the Gantt Chart Window

The Gantt View consists of a Task Sheet area on the left side and a Timescale/Gantt Bar area on the right. The Task Sheet area and Gantt Bar area are not two separate windows but one with the Gantt Bars simply the right-most column.

In the Task Sheet area you can Insert and modify the Fields that are displayed by Right-clicking a column header. Click and drag the separator bar between Column Headers to adjust the width of the column. Right-click the Header to modify the field and right-click the column separator bar to "Best Fit" the data.

The Task Sheet can have any number of fields displayed. The Gantt Bar area always occupies the remaining area of the screen to the right of the Task Sheet. The Gantt Timescale can be scrolled left and right to view specific dates in the project.

Doubleclick the Timescale to modify it. Right-click in the Gantt Bar area to change settings specific to this area.

Adding Tasks, Milestones and Creating Summary Tasks

Tasks - Add Tasks in the Gantt Chart by entering information into the Sheet area (left side) of the chart.

By default, adding an item by typing into the Sheet area will create a Task.

Milestones - To change a Task into a Milestone, enter a 0 into the Duration column. By definition, a Milestone takes no time and has no Duration. By default, Milestones appear as a diamonds in the Gantt Bar area.

Summary Tasks - To create a Summary Task, highlight a set of Subtasks and click the Indent button on the Ribbon.

You can also right-click on an item in the Sheet area and select a specific Insert command or click the Insert drop-down arrow on the Home tab to add a specific type of task.

Scheduling using the Gantt Chart

To "Link" Tasks means to create a dependency between two or more Tasks. When two Tasks are linked, the first Task drives the schedule of the second Task. In the case of two linked Tasks, the first Task is called the Predecessor and the second Task the Successor. Changes in the Predecessor's schedule impacts the Successor's schedule.

There are several ways to Link Tasks using the Gantt Chart. They are:

Link Button - Select two or more Tasks in the Gantt Chart and click the Link button on the Home Tab. This creates a Finish-to-Start dependency between all selected tasks. The order of the links is based on the Task ID from lowest to highest.

Click and Drag between two Tasks - Click from the middle portion of a Task bar, drag the cursor, place it over another Task bar and let go. This creates a link between the two Tasks. This is the quickest way to Link to Tasks. This creates a Finish-to-Start dependency between the two and you will instantly see the second Task schedule to occur after the first Task.

One to Many Link - If you select more than two Tasks and click the One to Many Link on the Ribbon it will create a link from the Current Task (with the Red box around it) to any number of Tasks. This is a quick way to specify that one Task links to many. Use the Ctrl key on your keyboard to select any number of Tasks in the Network Chart.

Many to One Link - If you select more than two Tasks and click the Many to One Link on the Ribbon it will create a link from these Tasks to the Current Task (with the Red box around it). This is a quick way to specify that many Tasks like to one. Use the Ctrl key on your keyboard to select any number of Tasks in the Network Chart.

To Unlink Tasks, select any number of Tasks in the Network Chart and click the Unlink button.

Defining other types of Links and Modifying Links

Creating a link using one of the methods above always creates a Finish-to-Start Link meaning that the Predecessor must Finish before the Successor can start. If the Predecessor ends on a Thursday the Successor will start on Friday, if the Predecessor ends on a Friday the Successor will start on Monday, etc.

There are other types of Links that you can define to represent different relationships plus you can add Lag to offset Tasks.

To Modify a Link, doubleclick the Link line that exists between any two Tasks to display the Task Dependency form.

Use this form to change the type of Link and add Lag (positive or negative). The different types of links are described below followed by various ways to use Lag.

Finish-to-Start (FS) - This means that the Finish of the Predecessor Task determines the Start of the Successor Task. Like this:

Start-to-Start (SS) - The Start of the Predecessor Task determines the Start of the Successor Task. This type of dependency frequently contains a Lag to schedule the Successor Task to Start a certain amount of time after the Start of the Predecessor. A Start-to-Start Link with a Lag of 1 day would schedule the Successor Task to Start 1 day after the Start of the Predecessor Task. Like this:

Finish-to-Finish (FF) - The Finish of the Predecessor Task determines the Finish of the Successor Task. This type of dependency frequently contains a Lag to schedule the Successor Task to Finish a certain amount of time after the Finish of the Predecessor. A Finish-to-Finish Link with a Lag of 2 days would schedule the Successor Task to Finish 2 days after the Finish of the Predecessor Task. This pulls the start date of the Successor up to start at a time when it will finish 2 days after the Predecessor. Here is an example:

Start-to-Finish (SF) - The Start of the Predecessor Task determines the Finish of the Successor Task. Changing the Start date of the Predecessor changes the Finish of the Successor. Like this:

Lag - Use the Lag field to enter an amount of time to offset the successor Task. A Lag can be positive or negative. A Lag can also be entered as a Percentage. Examples of Lag and the meaning with various Link Types are:

Finish-to-Start with 2 Day Lag - The Successor Task will start 2 days after the finish of its Predecessor.

Finish-to-Start with -2 Day Lag - The Successor Task will start 2 days before the finish of its predecessor.

Start-to-Start with 2 Day Lag - The Successor Task will start 2 days after the start of its predecessor.

Start-to-Start with 50% Lag - The Successor Task will start halfway through the predecessor Task.

Finish-to-Finish with -2 Day Lag - The Successor Task will finish 2 days before the finish of its predecessor.

Additional features for working with Gantt Charts

Bar Styles - Gantt Chart bars for Tasks, Summary Tasks and Milestones can be many different shapes, sizes and colors. You can even define additional bars to display data such as Baseline, Slack, Early and Late Schedules, etc. For more information on defining these styles, see Bar Styles

Modifying the Timescale - The Timescale across the top of the Gantt Bar area can be modified to show a wide variety of dates and formats. For details, see Timescale

Bar Text - Text can be placed next to or within a Task, Summary Task or Milestone Bar to display data in the Gantt Bar area for each bar type. For information on adding this text, see Bar Text


Using the Task Sheet

The Task Sheet is useful for modifying data in a spreadsheet style grid.

Inserting Columns - Right-Click a column header and select Insert Column... to create a new column to the left of the selected column.

Moving Columns - Click a column header and drag it over another column header to move it.

Removing Columns - Right-Click a column header and select Hide Column to remove the column from the Task Sheet. This does not delete the data from the column it only removes the column from the Task Sheet.

Formatting Column Data - Right-Click a column header and select Column Definition... to configure the data within that column. Here is an example of the Column Definition for the Start field.

Field - Select the Field drop down list to change the field that is displayed in the current column.

Title - Enter text to appear in the column header. If Title is blank then the Field name appears in the column header. This only changes this column Title for the current Task Sheet. To change the Title of a field project-wide, select the Project tab and select Fields. This form allows you to customize a Field Title globally.

Format - Select from various format options depending on the type of Field displayed in the column.

Align Title - Aligns the Title left, center or right in the column header.

Align Data - Aligns the data in the column left, center or right in the column.

Width - Adjust the width to a specific unit by entering a number of using the up or down arrows.

Wrap - Select if you want the field to Wrap within the column if there is more text displayed for the current width of the column.

Best Fit - Select to automatically adjust the width of the column to be as wide as the widest data in the column.

Tip: Doubleclick the separator line between two column headers to Best Fit the column.

Tip #2: Doubleclick the column header to quickly go to the Column Definition.

Adding Tasks, Summary Tasks and Milestones in the Task Sheet

To add a Task in the Task Sheet, just click on a Row and enter information. You can also right-click an existing Task and select one of the Insert options (or click the Insert button on the Home tab).

To create a Summary Task, select a Task or Tasks below what you want to become a Summary Task and click the Indent button on the Home tab or the Format tab.

To create a Milestone, change the Duration of any Task to 0 (zero).


Creating Tasks

Creating Tasks

Add tasks in a project by clicking the Insert button on the Home tab of the Ribbon.

The Insert button contains a drop down list for adding Tasks and Text Boxes in the chart

Tip: In a WBS Chart, add tasks using the Alt-Arrow keys on your keyboard. Press Alt-Down to add a Task as a Subtask to the current one, Alt-Right to add a Task after the current one, etc.

Tip: In a Network Chart, click within a Task and drag to white space to add a new task dependent on the first one.

Tip: In a Gantt Chart or Task Sheet, type in a Row to add a Task and use the Indent/Outdent buttons to create Summary Tasks.

For information on creating tasks and projects using a WBS Chart, see Using the WBS Chart

For information on creating tasks and projects using a Network Chart, see Using the Network Chart

For information on creating tasks and projects using a Gantt Chart, see Using the Gantt Chart

For information on creating tasks and projects using a Task Sheet, see Using the Task Sheet


Linking Tasks/Creating Dependencies

A Link is a relationship that you define between two or more tasks. To specify that the tasks in a project occur in a certain order, you create dependencies or "link" tasks. A dependency/link specifies that one task must follow another task in some way (eg: Start after another Finishes or Start 5 days after another Starts, etc…). Linking tasks determines the overall schedule of a project and is key to creating the Critical Path in a project.

Predecessors and Successors

The first task of two dependent tasks is considered the Predecessor and the second the Successor. In the following example, Task A is a Predecessor to Task B. Conversely, Task B is a Successor to Task A.

Linking Tasks in WBS Schedule Pro

You can create links in any of the Views in WBS Schedule Pro.

WBS Chart - Create links in the WBS Chart by selecting any number of Tasks and clicking the Link buttons on the Home tab. In a WBS Chart there is no way to graphically display links or dependencies. Use the Network Chart or Gantt Chart for this.

Network Chart - Create links in the Network Chart by clicking and dragging between Tasks or by selecting Tasks and clicking the Link buttons. For more on Linking using Network Charts, see Using the Network Chart

Gantt Chart - Create links in the Gantt Chart by clicking and dragging between Tasks in the Gantt Bar area or by selecting Tasks in the Sheet area and clicking the Link buttons. For more on Linking using Gantt Charts, see Using the Gantt Chart

Task Sheet - Create links in the Task Sheet by selecting any number of Tasks and clicking the Link buttons on the Home tab. In a Task Sheet there is no way to graphically display links or dependencies. Use the Network Chart or Gantt Chart for this.


Scheduling

WBS Schedule Pro schedules tasks based on the information you enter. It uses the Project Start Date (or Project Finish Date when scheduling from the Project Finish), Duration, Dependencies and Constraints to calculate when each task must Start and Finish. WBS Schedule Pro also calculates the Critical Path. Below is an explanation of how tasks are scheduled.

Tasks are scheduled based on the following:

By Project Start Date – If a task does not have a dependency, a Constraint Date or an Actual Start then the task is scheduled to start on the Project Start Date and its finish is determined by the Duration of the task.

By Duration – Each task’s finish date is determined by the Start Date plus the Duration, taking into account the Calendar (working and non-working days, hours per day, etc.).

By Dependencies – If a task has a dependency but does not have a Constraint Date or Actual Start then the task is scheduled based on the dependency.

By Constraint Date – If a task has a Constraint Date then it schedules the task based on the Constraint Date and Constraint Type.

By Actual Start/Finish – If a task has an Actual Start or Actual Finish it is scheduled based on these dates.

Each of these concepts is explained below:

Project Start Date and Project Finish Date

The Project Start Date in WBS Schedule Pro is more than just the date on which the project starts. The Project Start Date is used to define the Start date for all tasks that do not have dependencies, Constraint Dates or an Actual Start.

By default, the Project Start Date is set to the current date when you open a New file. To change the Project Start Date use the Properties form:

1. Select the File menu and choose Option and then Settings.

2. Select Schedule from Project Start date.

3. Enter a date into the Project Start date field.

To schedule from the Finish of the project, deselect the Schedule from Project Start date option and enter a date into the Project Finish date.

Duration

The duration is the amount of time it takes to complete a task. Duration for a task can be entered in Minutes, Hours, Days, Weeks, or Months. Duration can be entered into the Duration field of the Task Information dialog box using the following format:

M = Minutes

H = Hours

D = Days

W = Weeks

MO = Months

For example, for a 10 day task you enter 10d in the duration field, a 2 week task would be 2w.

When scheduling from the start of the project the duration is used to calculate the Finish date of a task. When scheduling from the finish of the project the duration is used to calculate the Start date of a task.

Note: The above durations take into account the Calendar (Project-Calendar) when calculating Finish dates. By default, WBS Schedule Pro provides a standard 5 day workweek, 8 hour workday calendar. As you change this calendar your schedule will change accordingly. For example, if a task starts on Wednesday morning and you enter a duration of 5 Days then the task will Finish on the following Tuesday evening (5 working days from Wednesday).

Durations can also be entered in Elapsed Days. Elapsed days override the calendar, and are scheduled based on a 24 hour day, 7 days a week with no non-working days. Elapsed duration units are defined by entering an E prior to the Duration unit for example, 12eh for 12 Elapsed Hours or 5ed for 5 Elapsed Days. A duration of 5 Elapsed Days from Wednesday would make the finish of a task occur on Sunday evening.

To enter the Duration:

1. If the Duration field is displayed in the Task boxes on the screen, click in this field and type the Duration.

or

2. Double-click the task and type the Duration into the Duration field of the Task Information form.

Dependencies

A dependency is a relationship between tasks specifying that one task depends on the start or finish of another task before it can start or finish. When planning projects, many tasks must happen in a certain order. Creating dependencies between tasks (or "linking" tasks) defines this order. For example, a dependency may specify that a particular task must finish before another can start, or that one task can only start after another has worked for 5 days, etc.

When you have a dependency between two tasks, the first task in the chain is called the Predecessor and the second is the Successor. The successor depends on the predecessor.

The easiest way to enter and display dependencies in WBS Schedule Pro is in the Network Chart. In the Network Chart, you click and drag between tasks to create dependencies. See Linking Tasks

As you create the dependencies between tasks in your plan the schedule of the tasks will update according to these links.

Constraint Dates

A Constraint Date is a specific date that you assign to a task. Along with this date is a Constraint Type that determines how the date is used (Must Start On, Must Finish On, Start no Earlier Than, etc.). There are several different types of constraints; all require that you enter a date except As Soon As Possible and As Late as Possible.

To display the Constraint Date and Constraint Type for a task, double-click the task to display the Task Information form. Or, add the Constraint Date and Constraint Type column to the Task Sheet.

Constraint Type

The Constraint Type field allows you to enter the type of constraint. Choose from one of the following:

As Soon As Possible – Schedules the task to happen as soon as possible based on the dependencies that precede the task, the task’s duration and the project start date. The “As Soon As Possible” constraint does not actually constrain a task to a particular date. Set the Constraint Type to “As Soon As Possible” if you no longer wish to have a Constraint Date associated with a task. It will then be scheduled based on the dependencies.

As Late as Possible – Schedules the task to happen as late as possible based on the dependencies that follow the task, the task’s duration and the project finish date. The “As Late As Possible” constraint does not actually constrain a task to a particular date.

Finish No Earlier Than – Schedules the task to finish no earlier than the date specified in the Constraint Date field.

Finish No Later Than – Schedules the task to finish no later than the date specified in the Constraint Date field.

Must Finish On – Schedules the task to finish on the date specified in the Constraint Date field.

Must Start On – Schedules the task to start on the date specified in the Constraint Date field.

Start No Earlier Than – Schedules the task to start no earlier than the date specified in the Constraint Date field.

Start No Later Than – Schedules the task to start no later than the date specified in the Constraint Date field.

Constraint Date

The constraint date is used along with the Constraint Type for scheduling tasks. The “As Soon As Possible” and “As Late As Possible” constraint types do not use a Constraint Date, thus allowing the task to be scheduled based on the dependencies associated with a task.

Note: To remove a Constraint on a task, assign the “As Soon As Possible” constraint to a task. This will remove the Constraint Date and allow the task to schedule based on the dependencies.

Actual Start and Actual Finish

Entering an Actual Start and/or Actual Finish into a Task Information overrides any of the above scheduling options. Once an Actual Start and/or Actual Finish is entered that task will be scheduled on those dates.


Moving & Repositioning Tasks in a WBS Chart

In the WBS Chart, tasks can be rearranged by several different ways. You can Cut (move) or Copy a task or set of tasks from one part of the WBS chart to another area in the WBS chart thus changes the structure of the chart. You can also Reposition tasks in a WBS Chart that does not change the structure of the chart.

The differences between Cutting/Copying tasks and Repositioning tasks are demonstrated in the following examples and explained in greater detail below:

Cut or Copy involves placing the task in a different part of the WBS chart thus changing the structure.

Using Cut or Copy with the above chart… | …Task 2 can be Cut and Pasted below Task 3… | …or Task 2 can be Copied and Pasted below Task 3.

Repositioning involves moving a task or set of tasks without changing the structure of the WBS chart.

Repositioning means to move a task… | …to a new location by dragging the edge of the box.

Cut/Copy and Paste Tasks in WBS Schedule Pro

When working with an unlinked (standalone) WBS Chart you can select a single task, summary task or multiple tasks to be Cut or Copied. WBS Charts that are linked to a Microsoft Project Plan are restricted to Copy and Cut actions on a single task or a single summary task only. Performing a Cut or Copy action on a summary task also includes all of the subtasks under the summary task in the action as well.

There are several ways to Cut and Copy tasks:

Click and Drag - Place the cursor on a task, left-click the mouse, drag and drop over another task. This Cuts the selected task and places it relative to the destination task based on the red directional arrow (the red up/down/left or right arrow you see when you are over the destination task).

Ctrl-Click and Drag - Hold the Ctrl key down, place the cursor on a task, left-click the mouse, drag and drop over another task. This Copies the selected task and places it relative to the destination task based on the red directional arrow (the red up/down/left or right arrow you see when you are over the destination task).

Right-Click – Place your cursor on a task and right-click. This displays a menu allowing you to choose to Cut or Copy the selected task. Right-click on another task to display the menu for Pasting.

Ribbon Buttons – Select a task and choose the Cut or Copy button on the Home tab to Cut or Copy the selected task. Press the Paste button to Paste Before the selected task or choose the drop down arrow below the Paste button to Paste After or as a Subtask to the selected task.

Right-Click and Drag – Place your cursor on a summary task or task, click the Right Mouse button, Drag and place it over the destination task box. This displays the following menu, prompting you to Move or Copy the selected Task relative to the destination task (before, after, or as a subtask). You also have the option of copying the Custom Box Settings from one task box to another. The Custom Box Settings define the box style and color.

Repositioning Tasks in WBS Schedule Pro

Repositioning a task box to another area of the chart means to move it without changing the structure of the chart. To reposition a summary task or task in the WBS chart, position the mouse over the edge of the box in order to get the up-down arrow or left-right arrow, then:

Click and Drag on the top or bottom edge of a Summary Task or Task box to move its position up or down in the chart.

Click and Drag on the left or right edge of a Summary Task or Task box to move its position left or right in the chart.

Note: Summary tasks and tasks are repositioned relative to the task to their left by increasing/decreasing this distance. Therefore, some tasks cannot be repositioned if they are the left-most task at that level.


Moving & Repositioning Tasks in a Network Chart

Automatic vs. Manual Box Positioning

Tasks in a Network Chart are either Automatically or Manually positioned based. Before you begin clicking and dragging to move tasks around, it is a good idea to understand these two concepts.

Automatic Box Positioning

Automatic Box Positioning means that WBS Schedule Pro determines the best location for positioning boxes in the Network Chart based on the dependencies defined in the project. In general it tries to place a Successor task directly to the right of its Predecessor task but there are many other rules for placing boxes to account for tasks without dependencies, multiple successors and different types of dependencies (like Start to Start, etc).

By default, all boxes are positioned Automatically until you manually move a box (by clicking and dragging the box edge). Once you move a box the entire Network Char becomes “locked” and boxes are no longer automatically positioned. When locked, the word LOCKED will appear in the Status Bar at the bottom of the screen.

To Unlock the entire Network Chart and automatically position boxes in the chart, choose the Format tab and select Auto Layout. Or, select a group of tasks on the screen and choose Layout Selected from the Format tab to automatically position only the selected tasks relative to their dependencies.

Note: When you create a Network Chart from Microsoft Project, the tasks are automatically positioned by default. If you move a task and the chart becomes “locked”, any new tasks added in Microsoft Project are automatically placed in the most logical position relative to the locked boxes.

Manual Box Positioning

You can click and drag the edge of a box and place it anywhere in the Network Chart. When you manually position boxes this way the automatic positioning of boxes is turned off and all boxes are locked into position. With a Manually Positioned chart, the schedule is still calculated and the dependency lines are still drawn between boxes, it's just that a task box may not appear next to its predecessor or successor task because it has been moved.

To move a task in a Network Chart:

1. Place the cursor on the edge of a box until you see a four-way arrow.

2. Click and drag this box to a new location in the chart.

You can also highlight and move multiple tasks at once.

Any new tasks that are added are placed in the location where you create them and stay there until you move them or select to Automatically position boxes.

Note: Certain features like Grouping and applying a Timescale may rearrange the tasks in the chart thus overriding any manual box positions. If you have manually positioned tasks in the chart and you wish to apply a Group or Timescale, try making a copy of the current View or try switching Views. Each View maintains box positions separately therefore you can have one view where your boxes are positioned exactly where you want them and another View using the Group or Timescale feature with automatic box positions.

Moving Tasks when Grouped

If the Network Chart is Grouped and you move a task from one group to another it will move that task into the other group and Lock the chart so it no longer automatically positions tasks. Selecting Auto Layout will automatically position tasks including the task that you moved to the new group. In other words, it positions the recently moved tasks around the tasks in its new group.


Moving & Repositioning Tasks in a Task Sheet

Moving and repositioning Tasks in the Task Sheet can be done two ways:

    1. You can Cut/Copy and Paste by clicking the leftmost column in the chart and selecting Cut or Copy from the Ribbon. Then select another task in the Sheet and press Paste to move or copy the tasks above the selected one.

    2. You can click the leftmost column and drag to move tasks from one row in the Task Sheet to another. Select multiple tasks to move more than one.

Once the entire row is selected you can also use Ctrl-C to copy, Ctrl-X to Cut and Ctrl-V to Paste tasks.


Groups and Outlining Defined

Grouping Defined

Grouping is a very powerful feature in WBS Schedule Pro. It offers a completely different way to visually organize, display and manage your projects.

Grouping (also referred to as Outlining) defines the structure or hierarchy of a project. By default a project is grouped by Outline. If you use MS Project, this outline corresponds to the "Indenting" that you do in a Gantt Chart. In WBS Schedule Pro, grouping by Outline looks like this in a WBS Chart:

Like this in a Network Chart:

And like this in the Task Sheet:

Grouping by Outline is the most common way to organize a project. As you define the structure of the project, Summary Tasks are created. A Summary Task is defined as anything with a subordinate. This is the way MS Project works by default and this is the way WBS Schedule Pro works by default.

WBS Schedule Pro can also be used to display a different structure or hierarchy in a project. You can "Group" by a variety of fields to produce a top-down, WBS-style view, a horizontally-banded Network Chart or an indented Task list. As you Group by other fields in WBS Schedule Pro, Summary Tasks are replaced by Group Headers. A Group Header appears like a Summary Task but is not an entity like a Summary Task, it simply represents the items being displayed under it.

As an example, this Task Sheet uses the Text1 field to add Department values:

If you now "Grouped" this Task Sheet by Text1 it would look like this:

As you can see the Summary Tasks are replaced by Group Headers that represent the different Department values.

The WBS Chart would look like this:

And the Network Chart would look like this:

Group Headers behave a lot like Summary Tasks. Information is rolled-up to the Group Headers much like Summary Tasks roll up information. Tasks can be added within the groups. Tasks can even be moved from one group to another. As you move tasks from one group to the next the task is updated with the new group value. This allows you to do things like Group by Resource Names and drag a task from one Resource group to another to reassign it.

Grouping is a great way to visually display the various hierarchies that exist in a project. See the next section on the how to change groups and to work with projects while grouped.


Changing and Editing Groups

Changing the way projects are Grouped

The Grouping dialog allows you to change how the structure of the project is displayed.

There are three ways to Group the data in a project. They are:

1. The Default Outline Structure - This is the standard way to display a hierarchy in WBS Schedule Pro. Creating a WBS Chart or Indenting Tasks in the Gantt Chart or Task Sheet creates Tasks and Summary Tasks. For example,

or

The Default Outline Structure uses the Outline Number field to create the hierarchy. The Outline Number field in WBS Schedule Pro can only be created by Inserting or Moving Tasks and Summary Tasks.

This is the same technique that Microsoft Project uses. Microsoft Project creates the Outline by indenting tasks in a Gantt Chart. In WBS Schedule Pro, creating a WBS Chart or Indenting/Outdenting tasks in the Gantt Chart or Task Sheet creates the same Outline that you would see in Microsoft Project.

2. Using a Single Field - This refers to using a single field to define the structure of the project. This single field must contain hierarchical information such as A, A.1, A.1.1, A.1.2, etc. When you select this field on which to group, WBS Schedule Pro will attempt to parse this field to determine a hierarchy. This is useful if you have defined your own hierarchy using the WBS, Text or Outline Code fields.

3. Using a Series of Fields - This refers to using a non-hierarchical field to display the structure of the project. This can be a single field with many of the same values or several fields with various values to define the structure.

An example of this is the Resource Names field. Grouping on Resource Names would create a hierarchy of Resources and Tasks assigned to these Resources. Like this:

The Text fields are another useful way to utilize this grouping feature. As a example, if you used a Text field to store the Department names you may have information like this:

The current outline of the above uses the Default Outline Level to display the structure. Selecting to Group on the Text 1 field would produce this result in a Task Sheet:

Or this in a WBS Chart:

The above uses a single Text field but you can also use several or a combination of fields that contain the breakdown of information you wish to display.

The Sort by options allow you to change the order in which the detail items appear. The Sort options only apply when you are grouped by a Single non-hierarchical field or Series of Fields.

The Show Empty Groups option displays a group header when there are no items assigned to that group. For example, if you have Resources defined and are Grouped by Resource Names, selecting this checkbox would display all Resources in the chart including Resources that don't have Task assignments. De-selecting this option would only display Resources that have been assigned to Tasks.

The Grouping defined in the Groups dialog applies across WBS Charts, Network Charts, Gantt Charts and Task Sheets unless you select the Independent checkbox in the Home tab. Selecting the Independent checkbox applies the Grouping changes only to the current view.


Transferring a project to Microsoft Project

You can use WBS Schedule Pro to create your projects first and then transfer these to Microsoft Project for further scheduling.

If you create a new project in WBS Schedule Pro it is considered a “standalone” project. This means that the project (the .wbs file) is a self-contained file with all of the data and formatting options embedded into this file.

To transfer the current WBS Schedule Pro standalone project to Microsoft Project, select the MS Project button on the Home tab.

Transferring a standalone WBS Schedule Pro project to Microsoft Project means that the data that exists in the WBS Schedule Pro project chart will be transferred to the Microsoft Project plan. The WBS Schedule Pro project then becomes "linked" to this Microsoft Project plan.

During this process you are prompted to save the data to the Microsoft Project plan. Once this happens you will then have two files; the Microsoft Project file (*.mpp) containing the data and the WBS Schedule Pro project (*.wbs) containing the formatting options. Opening a WBS Schedule Pro file that is linked to a Microsoft Project plan opens the WBS chart with all the formatting and also opens the corresponding Microsoft Project file to which it is linked.

Note: Do not delete a Microsoft Plan that is linked to a WBS Schedule Pro plan. If you do this your data will be lost.

If you have configured Microsoft Project to integrate with WBS Schedule Pro you can also open the Microsoft Project plan first and select the WBS Chart, Network Chart or Task Sheet buttons to go to the saved chart corresponding to the Microsoft Project plan.


Creating charts from Microsoft Project

If you have configured Microsoft Project to include the integration to WBS Schedule Pro you can create WBS Schedule Pro charts from existing Microsoft Project plans.

To set this up:

See: Configuring Microsoft Project 98 to Project 2007

See: Configring Microsoft Project 2010, 2013, 2016 and 2019

To create a WBS Schedule Pro chart from an existing Microsoft Project plan:

1. Start Microsoft Project.

2. Click the WBS Chart, Network Chart, Gantt Chart or Task Sheet button from within MS Project to go to that chart.

WBS Schedule Pro is started and the current project plan from Microsoft Project is displayed in the corresponding chart.

When you create a chart from an existing Microsoft Project plan, that chart is dynamically linked to the Microsoft Project plan. If you add, modify or delete tasks in the chart, this information is immediately sent to Microsoft Project.

Tip: When a chart is dynamically linked to a Microsoft Project plan the word LINKED appears in the lower right corner of the screen.

Saving a WBS Schedule Pro project linked to a Microsoft Project plan

In a WBS Schedule Pro project that is linked to MS Project, keep in mind that the data is stored in Microsoft Project (a .MPP file) and the chart formatting is stored in the WBS Schedule Pro file (a .WBS file). When you save a WBS Schedule Pro project that is linked to a Microsoft Project plan, it saves both the WBS Schedule Pro file (.WBS) and the corresponding Microsoft Project plan (.MPP).

The saved WBS Schedule Pro project contains the formatting of the chart, and a link to the Microsoft Project plan where the data is stored.

To save the WBS Schedule Pro project, select the File menu and choose Save (or Save As). Specify a filename and click OK.

Opening a chart linked to a Microsoft Project plan

There are two ways to open a WBS Schedule Pro project that is linked to a Microsoft Project plan. They are:

1. From within Microsoft Project, click a WBS Schedule Pro button. If you have previously created a project from this Microsoft Project plan and saved it, it will remember this and automatically open this chart for you to continue working. If it does not open the previously saved chart, see the Note below.

2. From within WBS Schedule Pro, if you open the WBS Schedule Pro project (*.WBS file) that is linked to the Microsoft Project plan it will automatically open Microsoft Project and the corresponding Microsoft Project plan.

Note: If you rename or move a Microsoft Project plan that is linked to a WBS Schedule Pro project, Microsoft Project may not be able to locate the WBS Schedule Pro project the next time you try to load it from the Microsoft Project plan. If you move or rename a Microsoft Project plan that is linked to a particular WBS Schedule Pro file, perform the following to relink the MS Project plan to the WBS Schedule Pro file:

    1. Open WBS Schedule Pro.

    2. Select File-Open.

    3. Click on the WBS Schedule Pro file (the .WBS file) that was linked to the Microsoft Project plan.

    4. Select Link to another datasource and click Open.

    5. Locate the Microsoft Project plan and select Open.

When you save the WBS Schedule Pro project it will remember the new name and location of the Microsoft Project plan to which it is linked.


Tips for using WBS Schedule Pro with MS Project

When you create a chart from an existing Microsoft Project plan you must remember that you are dynamically linked to this plan and any changes made in WBS Schedule Pro are immediately reflected in Microsoft Project. If you add or delete tasks in WBS Schedule Pro, these tasks are immediately added or deleted in Microsoft Project.

A chart created from an existing Microsoft Project can be saved but this does not save the data into the .wbs file. All project data is still maintained in Microsoft Project. Saving a chart that is linked to a Microsoft Project plan only saves the link and any chart-specific items that cannot be saved in Microsoft Project like box placement, custom box colors and formatting options.

If you create a chart from an existing Microsoft Project plan and you do not want this chart to be dynamically linked to the corresponding Microsoft Project plan you can Unlink the chart. In WBS Schedule Pro, to Unlink a plan from a MS Project plan, choose Project-Unlink. Unlinking the chart from the Microsoft Project plan will save all of the data to the WBS Schedule Pro file. Once you save as a standalone chart, this chart cannot be linked back to the original Microsoft Project plan from which it was created. You can only use this standalone chart to create a new Microsoft Project plan.

See also Saving charts


Displaying Fields in Task Boxes

WBS Charts

In a WBS Chart a variety of fields can be displayed in the Summary Task and Task boxes on the screen. For example, you could simply have the Name field displayed in the boxes:

Or, you could display the Start and Finish dates for all Tasks in your chart:

Or, you could display Start and Finish dates for both the Summary Tasks in the chart and Tasks in the chart:

The number of fields and arrangement of fields within a box is completely configurable. There are no limits to the numbers of fields you can place in a box. You can even place fields outside of a box. For WBS Charts you can have a different arrangement of fields for Summary Tasks and Tasks.

To change which fields are displayed in the Summary Task and Task boxes on the screen for WBS Charts, go to the Format tab and select Fields-Summary Tasks or Fields-Tasks.

The fields within Summary Task boxes and Task boxes are configured separately. Since the same technique is used to modify the fields within both Summary Task and Task Boxes they are covered in one Help Topic. For more information on how to configure the fields within Summary Task and Task Boxes see Task Boxes

Network Charts

A Network Chart can also have a variety of fields displayed in a box on the screen:

For Network Charts, both Summary Tasks and Tasks use the same field arrangement. To change which fields are displayed in the boxes on the screen for Network Charts, go to the Format tab and select Fields.

See Task Boxes


Working with Views

A View is a collection of formatting options that make up how a WBS Chart, Network Chart, Gantt Chart or Task Sheet is displayed. A View defines things such as which fields are displayed in the boxes, font styles/colors, box colors and styles, default arrangement of boxes, styles of connecting lines between the boxes, etc. The WBS Schedule Pro program comes with several pre-defined Views that you can use and modify, or you can define your own.

Displaying Different Views

The four basic View types in WBS Schedule Pro are WBS Charts, Network Charts, Gantt Charts and Task Sheets. Within these four are Views that show different styles of charts and sheets. Select a View by clicking on the drop down arrow on a View type and selecting the desired View. Or, select a View from the Views Pane.

How Views Work

There are several pre-defined Views installed with the WBS Schedule Pro program (in \Documents\WBS Schedule Pro\Views and Templates). These Views have a .wbv extension. When you create a New project in WBS Schedule Pro or create a chart of a Microsoft Project plan for the first time it copies these Views into the current chart. When you switch Views in the chart and modify the formatting of the chart, this information is saved in two ways:

    1. If you save the project, all Views and changes made to the Views are saved within this chart. The next time you open this saved project all of your Views are as you saved them within the project.

    2. By default, when you close a project, all of the modified Views in this project are automatically saved over the default Views in the folder where the Views are stored. This means that when you open another New project or create another project from a Microsoft Project plan, your project is displayed based on the modified Views from your last project.

Note: If you do not want to automatically save the changed Views in a chart as you close it, select File-Options and change the “When closing a chart” option to “Prompt to save changed Views” or “Do not save changed Views”. Selecting “Do not save changed Views” still saves the Views within the chart, but does not affect the default Views. See Options

Creating and Modifying Views

To modify a View, switch to a View. Once in a View, anything you change in the chart that is not data or program specific is saved within that View. To modify a View, it is best to select a View that is similar to what you want and make additional changes from there.

You can also create new Views. To create a New View, select the WBS Chart, Network Chart, Gantt Chart or Task Sheet drop down arrow and select New...

You can also right-click a View in the Views Pane to create a New View or Copy an existing View.

Use the Organizer to manage the Views in your plan.


Adding Notes to a Task

Adding Notes

Using the Notes field is a great way to add detailed descriptions to the tasks in a project. The Notes field in WBS Schedule Pro can handle a large amount of text and is the only field that supports line feeds so you can press Return to display text on the next line. The Name and the Text fields can wrap in a cell but this is automatic; you cannot manually enter a line feed. For this reason, the Notes field is the recommended way to add lengthy descriptions to tasks in a project.

An example of Notes in the Notes Pane

There are several ways to enter Notes in WBS Schedule Pro. These are:

Notes Pane - Click the Notes tab on the left side of the screen. Try dragging the Notes tab to the middle of the chart so it "floats" and is not docked to the other panes. Select tasks in your project and enter or edit the Notes in the pane. See Notes Pane

Task Information form - Doubleclick a task and select the Notes tab.

Task Sheet - Add the Notes field to a Task Sheet. Or, try switching to the Task Sheet view titled Task Sheet View with Notes. This Task Sheet displays the Notes field as the last column and is a convenient way to see the Notes for several tasks at a time.

You can also add the Notes field to the Task boxes in a WBS or Network Chart but this is not recommended for large amounts of text in the Notes field.

Printing Notes

Print the Notes using one of the following approaches:

From the Task Sheet - Choose the view called Task Sheet View with Notes or add the Notes column to any Task Sheet. Select the Wrap option in the Column Definition to enable wrapping of the Notes field. Task Sheets are automatically sized to fit the width of the page so try to keep the total width of the Task Sheet as narrow as possible.

From the Word Export - The Export to Word feature uses pre-defined templates to create a WBS Dictionary of a project. The WBS Dictionary 1 and WBS Dictionary 2 templates contain the Notes field. Export to one of these or modify and/or create your own template to include the Notes field.

Include the Notes field in a WBS or Network Chart - Use the options in Format-Fields to add the Notes field to the task boxes in the chart. This is not recommended where the Notes field contains a large amount of data.

The Notes field and Microsoft Project

The Notes field is a different type of field in MS Project. Notes in MS Project can contain formatting, embedded objects, bullets, etc. and requires special handling to support.

Notes entered in a standalone WBS Schedule Pro project and transferred to MS Project are transferred exactly as you entered them in WBS Schedule Pro.

Notes entered in MS Project and transferred to WBS Schedule Pro appear unformatted in WBS Schedule Pro. This is due to the fact that there is no way for WBS Schedule Pro or any other program to read or access “formatted” Notes from Project. MS Project can only export plain text from the Notes field so this is how they are displayed in WBS Schedule Pro. For this reason, Notes in a project linked to a MS Project plan become read-only in WBS Schedule Pro. You must return to MS Project to edit the Notes in order to preserve any fancy formatting done in the Notes field.


Adding Text Boxes (Callouts) to a Chart

Add free-form text boxes, referred to as Callouts, to any WBS, Network or Gantt chart. To add a Callout not linked to a Task, right-click in white space and choose Add Callout. To create a Callout that is linked to a Task, right-click a Task and choose Add Linked Callout.

You can even Link a Callout to several Tasks. Like this:

Working with Callouts

Here are some tips for working with Callouts:

Click in the upper half of the Callout and drag it to place it elsewhere in the chart.

Click in the lower half of the Callout and drag to a Task to link it to that Task.

Click the Callout and start typing to enter text. Or, doubleclick in the box to edit the text.

Click and drag the edge of the box to resize it. Unlike Tasks and Summary Tasks in the WBS and Network Charts, Callouts do not automatically resize to the amount of text in the box.

Right-Click the Callout to display the Callout menu. See below.

Text Box Menu

Right-click on a Callout to display the menu.

Box Style - Edit the Box Shape, Color, Fill Color and Shadow for the selected Callout. Choose Reset to remove any custom styles and use the Default style.

Font Style - Edit the Font style for the selected Callout.

Copy Style - Copies the current Box, Font and Link Styles of the selected Callout.

Paste Style - Select a Callout and choose Paste Style on another Callout to paste the attributes of the Copied Callout.

Set Style as Default - Sets the style of the current Callout as the default style for any new Callouts in this chart and all new charts.

Fixed Position - Fixes the Callout to the current location on the chart. As tasks in the chart move around the Callout stays in its original position.

Relative Position - The Callout moves relative to the Task to which it is linked. Relative positioning only applies when a Callout is linked to one task. If you link multiple tasks to a Text Box it switches to Fixed Position and the Text Box does not move with the tasks to which it is linked.

Bring to Front - Callouts placed over tasks in the chart display on top of the tasks.

Send to Back - Callouts placed over tasks in the chart display behind the tasks.

Delete Link - Right-click on the connector link of a Callout to remove that specific link.

Delete All Links - Removes all links associated with the selected Callout.

Delete Callout - Deletes the current Callout.


Custom Box Settings

For Help on Custom Text Box Settings, see Adding Text Boxes to a Chart

Define individual custom box styles for the selected task(s) in a chart. Custom Box Settings override the chart-wide styles defined in Format-Boxes which are based on certain conditions (Critical vs. Noncritical, for example). To automatically set Box Styles based on certain conditions, see Format-Boxes

Access Custom Box Settings by right-clicking on a task or by selecting multiple tasks and right-clicking on any one of them. The Custom Box Setting applies to all selected tasks.

Box

Style – Define the shape of the box by choosing from the various styles in this list.

Width – Define the thickness of the border by choosing Thin, Medium or Thick from the list.

Independent Box Height – If you have chosen to Match Box Heights, you can select this option to not include the selected task(s).

Independent Box Width – If you have chosen the Match Box Widths, you can select this option to not include the selected task(s).

Color – Define the color of the box from the list of colors.

Edge Fill – Define the color of the outside edge of the box. The Edge Fill color only applies if you have defined a Style that contains an area (edge) outside of the box. For example:

Fill – Define the color of the interior of the box. The above example shows a Yellow Fill color on all three boxes.

Shadow

Style – Define the style of the shadow or choose None for no shadow.

Color – Define the shadow color from the list of colors.

Reset – Removes all of the Custom Box Settings and reverts to using the settings defined in Format-Boxes.

Tip: To Reset all of the boxes in the chart and use the chart-wide settings defined in Format-Boxes, press Ctrl-A in your chart, right-click on any task and select Reset. This will remove all Custom Box Settings in the chart.


Saving Projects

To save a project:

    1. Choose File-Save (or File-Save As).

    2. Select a location to save the file and enter a name for this file in the filename field.

    3. Make sure the “Save as type” option is set to WBS Schedule and click OK to save this file.

WBS chart files created in WBS Schedule Pro have an extension of .WBS.

A WBS chart is either saved “standalone” or “linked” to a datasource (such as a Microsoft Project plan, an MPX file. XML file or a Text file).

Saving a project (standalone)

Saving a standalone WBS Schedule Pro project saves all of the project data, box colors, views and formatting options into a single file. This is what happens when you open WBS Schedule Pro, create a project and save it. If you only use WBS Schedule Pro to create your projects then your charts are always saved “standalone” and this file is a completely self-contained file.

Saving a project (linked)

Saving a WBS chart that is “linked” to a datasource saves all of the chart formatting into the WBS file but the data remains in the datasource. For example, if you are using WBS Schedule Pro with Microsoft Project and you create a chart of a Microsoft Project plan, the data is saved in Microsoft Project but the chart formatting is saved in the WBS Schedule Pro file. The .wbs file is then “linked” to this Microsoft Project plan. The data that you see in the WBS Schedule Pro project is not actually in WBS Schedule Pro but a reflection of what is maintained in Microsoft Project. If you make changes to this data in WBS Schedule Pro such as adding new tasks, moving tasks or deleting tasks, this is actually being done dynamically in Microsoft Project.

When you save and close a linked WBS chart and then re-open this WBS chart file, it also opens the Microsoft Project plan to which it is linked.

Note: When you Save a WBS chart that is linked to a Microsoft Project plan this also saves the plan in Microsoft Project.


Opening Projects

Opening a standalone WBS Schedule Pro project

To open a standalone WBS Schedule Pro project, choose the File-Open menu and locate the appropriate project.

Opening a WBS Schedule Pro project linked to a Microsoft Project plan

There are two ways to open a WBS chart that is linked to a Microsoft Project plan:

    1. From within Microsoft Project, click the WBS Schedule Pro toolbar button. If you have previously created a chart from this Microsoft Project plan and saved the chart, it will remember this and automatically open this chart for you to continue working. If it does not open the previously saved WBS chart, see the Note below.
    2. From within WBS Schedule Pro, if you open the project (*.wbs file) that is linked to the Microsoft Project plan it will automatically open Microsoft Project and the corresponding Microsoft Project plan.

Note: If you rename or move a Microsoft Project plan that is linked to a WBS Schedule Pro project it may not be able to locate this WBS file the next time you to create a chart from the Microsoft Project plan. If you move or rename a Microsoft Project plan that is linked to a particular WBS Schedule Pro file, perform the following to link this new MS Project plan to the WBS Schedule Pro file:

    1. Open WBS Schedule Pro.
    2. Select File-Open.
    3. Select the WBS chart file (*.WBS) that was linked to the Microsoft Project plan.
    4. Check "Link to another datasource" and click Open.
    5. Locate the MS Project plan and select Open.

When you save the WBS Schedule Pro project it will remember the name and location of the new Microsoft Project to which it is linked.

See also Open


Printing

For Printing, start with Page Setup (choose the file menu and then Page Setup). The Page Setup dialog is where you configure the orientation of the chart, select Chart options like legends and borders, and enter information into the Headers and Footers of the chart. See Page Setup

It's always a good idea to preview the chart in Print Preview. Select Preview... within Page Setup to see how your chart will look when printed. From Preview you can go back to Page Setup to make additional changes. When you are satisfied with the current chart displayed in Print Preview, press the Print... button to send the chart to the printer.


Fields in WBS Schedule Pro

There are many different data fields in WBS Schedule Pro. Since WBS Schedule Pro integrates seamlessly with Microsoft Project, the fields are similar to the Task fields found in Microsoft Project.

Fields in WBS Schedule Pro

% Complete – Percentage of the task’s duration that has been completed.

% Work Complete – Percentage of the task’s work that has been completed.

Actual Cost – Cost of actual work performed to date by all resources on a task, plus any fixed costs.

Actual Duration – The span of actual working time for a task so far, based on the scheduled duration and current remaining work or completion percentage.

Actual Finish – The date and time a task actually finished.

Actual Overtime Cost – Cost for overtime work already performed on a task by all assigned resources.

Actual Overtime Work – The actual amount of overtime work already performed by all resources assigned to a task.

Actual Start - The date and time a task actually started.

Actual Work – The amount of work that has already been done by the resources assigned to the task.

ACWP – Cost of actual work performed to date on the project, plus any fixed costs.

Assignment – A field calculated by MS Project to indicate if an item is an assignment. The Assignment field for tasks is always No.

Assignment Delay – The amount of time a resource is to wait before starting work on an assignment.

Assignment Units – The percentage or number that represents the assigned resources’ allocation to a task.

Baseline Cost – The total planned costs for a task before any costs have been incurred.

Baseline Duration – The planned duration time for a task to complete.

Baseline Finish – The planned completion date for a task.

Baseline Start – The planned start date for a task.

Baseline Work – The planned amount of work to be performed by all resources for a task.

BCWP – The budgeted cost of work performed, also known as earned value. Refers to the value of the work completed.

BCWS – The budgeted cost of work scheduled is the planned completion percentage multiplied by the planned cost.

Confirmed – Indicates whether all resources assigned to a task have accepted the task assignment.

Constraint Date – The specific date associated with certain constraint types, such as Must Start On, Must Finish On, Start No Earlier Than, Start No Later Than, Finish No Earlier Than, and Finish No Later Than.

Constraint Type – The type of constraint applied when scheduling a task (As Soon As Possible, As Late As Possible, Must Start On, Must Finish On, Start No Earlier Than, Start No Later Than, Finish No Earlier Than, and Finish No Later Than).

Contact – The name of the contact person for a task.

Cost – The cost for a task based on the work performed by all resources assigned to the task, as well as fixed costs.

Cost1-10 – Cost fields 1-10 can be used to show any custom cost information for a task.

Cost Rate Table – The cost rate table to use for the resources assigned to a task.

Cost Variance - The difference between the baseline cost and total cost for a task.

Created – The date and time when a task was added to the project.

Critical – Indicates if a task is on the critical path.

CV – The earned value cost variance shows the difference between the planned costs (baseline costs), and the current cost based on actual costs to date along with the remaining estimated costs (scheduled costs). The difference between these two values produces either a positive (over budget) or negative (under budget) cost variance.

Date1-10 – Date fields 1-10 show any custom date information for a task.

Deadline – A target date specifying when you want a task to complete.

Delay – The amount of time to delay a task.

Duration – The amount of time to complete a task.

Duration1-10 – Duration Fields 1-10 can be used to show any custom duration information for a task.

Duration Variance – The variation between the planned (baseline) duration of a task and the current estimated task duration, based on the work completed to date and the remaining work to be performed.

Early Finish – The earliest date that a task could possibly finish, based on the task’s predecessors, successors and other constraints.

Early Start – The earliest date that a task could possibly begin, based on the task’s predecessors, successors and other constraints.

Effort Driven – Indicates whether the scheduling for the task is effort driven.

External Task – A task that is linked from an external project into the current project.

Finish – The date and time a task is scheduled to complete.

Finish1-10 - Finish fields 1-10 show any custom finish information for a task.

Finish Variance – The time difference between a task’s baseline finish date and its current finish date.

Fixed Cost – A cost that does not increase or decrease based on the amount of time a resource works on a task.

Fixed Cost Accrual – How and when fixed costs are to be charged, or accrued to the cost of the task (start, prorated, or end).

Flag1-20 - Flag fields 1-10 are Yes/No flags that show any custom information for a task.

Free Slack – The amount of time a task can slip before it delays another task.

Hide Bar – A Microsoft Project Yes/No field indicating whether the Gantt bars and Calendar bars are hidden.

Hyperlink – The title for a hyperlink associated with a task.

Hyperlink Address – The address for a hyperlink associated with a task.

Hyperlink Href – The concatenation of the Hyperlink Address and the Hyperlink Subaddress fields associated with a task.

Hyperlink SubAddress – The specific location within a Hyperlink page associated with a task.

ID – The identification number assigned to a task. This is not a static number, and may change with the sequence of the task within the schedule.

Late Finish – The latest date that a task may finish without delaying the finish of the project.

Late Start – The latest date that a task may start without delaying the finish of the project.

Level Assignments – Indicates whether the resource leveling function can delay and split resource assignments within a task in order to resolve overallocations.

Leveling can Split - Indicates whether the resource leveling function can split resource assignments on remaining work for the task.

Linked Fields – Indicates whether there is a task linked to this task.

Marked – A Yes/No field for information.

Milestone – Indicates whether a task is a milestone. If a task has a duration of zero it is a milestone.

Name – The name of the task.

Notes – Displays Notes for the task. Enter a large amount of text into this field. Notes are transferred to Microsoft Project but only up to the number of characters that Microsoft Project can handle which varies by version. Notes are read-only if your WBS Schedule Pro plan is linked to a Microsoft Project plan.

Number1-20 - Number fields 1-20 show any custom numeric information for a task.

Objects – The number of objects attached to a task.

Outline Level – The level number of the task in the outline hierarchy.

Outline Number - The outline number of the task in the hierarchy.

Overallocated – Indicates whether any of the resources assigned to the task are assigned beyond the normal working capacity.

Overtime Cost -The total overtime cost for a task.

Overtime Work – The total overtime work for a task.

Predecessors – The ID number of the task that precedes this task. It is the task that this task depends on before it can start or finish.

Preleveled Finish – The finish date of the task before resource leveling was done.

Preleveled Start – The start date of the task before resource leveling was done.

Priority – The level of importance assigned to a task. This priority is used when determining delays and splits during resource leveling.

Project – The name of the project to which the task belongs.

Recurring – A task that is repeated during the life of a project.

Regular Work – The total amount of nonovertime work scheduled to be performed by all resources assigned to the task.

Remaining Cost – The remaining scheduled cost of a task that will be incurred at the tasks completion.

Remaining Duration – The remaining scheduled amount of time required to complete the task.

Remaining Overtime Cost – The remaining scheduled overtime expense for the task.

Remaining Overtime Work– The remaining scheduled amount of overtime required to complete the task by all assigned resources.

Remaining Work - The remaining scheduled amount work to be performed on a task by all assigned resources.

Resource Group – The list of resource groups to which the resources assigned to a task belong.

Resource Initials – The abbreviations for the names of the resources assigned to a task.

Resource Names – The names of all the resources assigned to a task.

Response Pending – An MS Project field indicating whether an answer has been received from the resources assigned to a task.

Resume – The date the remaining portion of a task is scheduled to resume after a new value is entered for the % complete field.

Resume No Earlier Than - The earliest date the remaining portion of a task is scheduled to resume after a new value is entered for the % complete field.

Rollup – Indicates whether subtask values are rolled up and summarized in a summary task.

Start - The date and time that a task is scheduled to begin.

Start1-10 - Start fields 1-20 show any custom start date information for a task.

Start Variance – The time variance between a task’s baseline start date and its currently scheduled start date.

Stop – The date of the actual end of a portion of a task. Typically used in conjunction with resume.

SubProject – The name of a project inserted into the current project.

Subproject Read Only – Indicates whether the subproject is read-only.

Successors – The task ID numbers of the dependent tasks scheduled to begin after the start or finish of this task.

Summary – Indicates whether a task is a Summary Task.

SV – The earned value schedule variance shows the difference in cost terms between the current progress and the baseline plan of the task (SV = BCWP-BCWS).

TeamStatus Pending – An MS Project indicator whether an answer has been received from assigned resources.

Text1-30 - Text fields 1-30 show any custom text information for a task.

Total Slack – The amount of time a task can be delayed without delaying the project finish date.

Type – Affects the work, resource assignment units, and duration calculations (Fixed Work, Fixed Units, Fixed Duration).

Unique ID – The unique identification number of a task.

Unique ID Predecessors – The unique identification numbers of the predecessor tasks.

Unique ID Successors – The unique identification number of the successor tasks.

Update Needed – Indicates whether an update message should be sent to the assigned resources for the task.

WBS - The work breakdown structure code that represents the task position within the hierarchical structure of the project.

WBS Predecessors – The WBS identification numbers of the predecessor tasks.

WBS Successors – The WBS identification numbers of the successor tasks.

Work – The total amount of time scheduled on a task by all assigned resources.

Work Contour – Determines how work for an assignment is distributed across the duration of the assignment.

Work Variance – The difference between a task’s baseline work and the currently scheduled work.


Exporting to Microsoft Word

The Export to Microsoft Word feature allows you to export projects to a pre-defined Word document. This is useful for creating a "WBS Dictionary" of the project. Use the sample Word templates installed in the WBS Schedule Pro folder, modify one of these templates or create your own templates to meet your needs.

To Export WBS Schedule Pro data and use one of the installed Word templates:

1. Open your project in WBS Schedule Pro.

2. Click the Word button on the WBS Schedule Pro toolbar.

3. Use the selected template or select Browse... to select another.

4. Select formatting options and click OK to create the Word document.

Note: WBS Schedule Pro exports the currently visible items in the chart to the Word document. This means that if you collapse or filter tasks (via MS Project), only the Summary Tasks and Tasks on the screen at the time of the Export will be transferred to Word. This allows you to create WBS Dictionaries of only the items you wish by hiding the ones you don't want to view.

Microsoft Word Template File - Displays the Microsoft Word Template that will be used when exporting. This Word Template file contains field placeholders on a pre-defined page. The project data from the current WBS Schedule Pro plan is merged with this Template file to create a Word document (WBS Dictionary). Select Browse to display a list of available .dot and .dotx templates. Modify the Templates in Word to customize the look and the fields you want to appear in the document.

Date Format - Select the Date Format for any dates that appear in the document.

Duration / Work Format - Select the format for displaying Duration and Work.

Modifying the Word Template

Here are some basic steps for modifying a Word Template to add (or modify) fields. This is not a thorough explanation on how to create a Template from scratch but should give you an idea of how to add and modify fields in an existing Template. We recommend consulting your resident Word expert for further assistance.

Here is an example of how to change a field in the Word Template WBS Dictionary 1.dotx. We will replace the Resource Names field with the Predecessors field. This example uses Microsoft Word 2010.

1. Start Word and open WBS Dictionary 1.dotx.

2. Highlight the Resource_Names field including the left and right brackets.

3. Select the Insert tab, Quick Parts and then Field...

4. In the Field form, select Mail Merge from the Categories drop down list and MergeField from the Field names list.

5. Type Predecessors under Field name. The field name you type here must be a valid WBS Schedule Pro field.

6. Click OK.

7. Rename the Resource Names heading to Predecessors.

7. Save this file with a new name.

You can then select this new file when running the Word Export from WBS Schedule Pro.


Exporting to Microsoft Excel

Export project information from WBS Schedule Pro to Microsoft Excel. Define which fields to export using the "Export to Excel Wizard". Click the Project tab and select the Excel Button to start the process.

Select which fields to export to Excel by listing them in the WBS Field list. Each field listed will appear as a column in Excel.

The data exported to Excel will display Summary Tasks in bold and indent tasks according to the WBS structure in WBS Schedule Pro.


Importing from Microsoft Excel

There are two ways to Import information into WBS Schedule Pro from Microsoft Excel. They are:

Copy and Paste - This is the easiest approach. Copying data from Excel and Pasting this information into WBS Schedule Pro works well under many circumstances. To use this method, Copy the information from Excel, go to the Task Sheet in WBS Schedule Pro and Paste into the appropriate fields. For this to work, the data being pasted must match the type of field in the Task Sheet cells. In other words, Date data must be pasted into Date fields, etc... Data that does not match will be ignored.

When using Copy and Paste from Excel to WBS Schedule Pro you cannot import a hierarchy into the WBS, Outline Level, Outline Codes or Outline Number fields. To export hierarchical data from Excel and import this into WBS Schedule Pro you must use the next approach.

Using the Excel to WBS Wizard

Import information into WBS Schedule Pro using the Excel to WBS Wizard. The Excel Wizard is an add-in tool installed into Excel that steps you through the process of transferring information from Excel to WBS Schedule Pro.

The Excel to WBS Wizard button in Microsoft Excel

To start the Excel Wizard, open your spreadsheet, click the Add-Ins tab and then the WBS Wizard button. To install this button, go to WBS Schedule Pro, click the drop down arrow below the Excel button and click Setup Excel. The first step in the Wizard is displayed below:

Header Row - The header row defines the column data and should match the field names as defined in WBS Schedule Pro. If you have a Header Row, enter the row number or leave it blank if you don't have one.

Data begins on row - Enter the row number of the first row of data.

Data ends on row - Enter the last row of data. If you leave this blank the wizard will attempt to read all of the data in the spreadsheet. Use this to make the Wizard stop at a specified row. The next step allows you to tell WBS Schedule Pro how your data is structured:

There are four different way to import data depending on how this data is structured. Choose the one that best fits how your data is maintained in the spreadsheet.

1. No Outline Structure or Hierarchy defined - Use this option to import a flat file or data that does not contain any hierarchical information. Examples of this would be when importing a simple list of Tasks with no outlining. For this you might be better off doing a Copy and Paste since you have more control over where you are pasting.

2. In a single column - Use this option when you have one column in your data that defines the hierarchy. An example of this is below:

1 | Top Summary Task
1.1 | Summary Task
1.1.1 | Task 1
1.1.2 | Task 2
1.2 | Summary Task 2
1.2.1 | Task 3
1.2.2 | Task 4

Use the first column to define the "Outline" of your data. WBS Schedule Pro will parse the data for hierarchical information and attempt to define the structure from this data. In the subsequent form you would define the first column as your Outline Field and the second column as the Name field.

The results would look like this in a Task Sheet:

Or like this in a WBS Chart:

3. Using a "Parent" or "Reports to" Column - Use this option if you have one column that represents the main item and the other representing the parent of this item or if they "Report to" the other item. For example:

Employee | Reports To
Jeff | Blake
Joe | Blake
Jim | Audrey
John | Audrey
George | Audrey
Michael | Blake
Audrey | Ellen
Blake | Ellen
Ellen |

Using these options:

Produces this:

4. User Defined Groups - Use this option if you have common values in a field (such as a Text field) and you wish to group by these values. For example, if you had a list of parts, colors and locations such as this:

Name | Color | Location
Widget 100 | Red | Texas
Widget 200 | Green | Texas
Widget 300 | Blue | Texas
Widget 400 | Blue | California
Widget 500 | Red | California
Widget 600 | Green | California
Widget 700 | Red | California

You would Map the appropriate columns from the spreadsheet to fields in WBS Schedule Pro using the Field Mapping form:

Map the Color and Location to the Text1 and Text2 fields in WBS Schedule Pro. The Text fields (Text1-Text30) are spare text-based fields that can be used to hold random information. Then, in the next form, define how to initially Group the data.

To produce a WBS Chart like this:

The ability to import hierarchical information into WBS Schedule Pro is a powerful feature and can be used for more than project management but for displaying any kind of structure data in a Top-Down chart.


New

Displays a blank screen for creating a new project.

To create your first task, click the Insert button in the WBS or Network Chart view or type a task name into the Task Sheet.

You can specify which type of View is displayed initially when choosing New by going to File-Options and selecting WBS Chart, Network Chart or Task Sheet in the Initial View Type list.


Open

Displays the File Open dialog box to open a previously saved file.

File Name - Type the name of the file you wish to open or select from the list of files.

File Types:

WBS Schedule Pro files (*.wbs) - The list of WBS Schedule Pro files may include standalone WBS Schedule Pro projects or linked projects. If a WBS Schedule Pro file is linked to a datasource file (a Microsoft Project file, for example), it displays the name of this file in the "Linked to" field plus the version of Microsoft Project in the "Using" field if linked to a Microsoft Project file. If you select a WBS Schedule Pro file from the list and the "Linked to" field is empty then this file is a standalone project.

PERT Chart EXPERT files (*.pce) – Lists all PERT Chart EXPERT files and allows you to open a chart created in PERT Chart EXPERT. Files from PERT Chart EXPERT are converted into a WBS Schedule Pro file and cannot be used again in PERT Chart EXPERT.

Microsoft Project Plans (*mpp, *.mpd) – Lists all Microsoft Project files (.mpp and .mpd). If you open a Microsoft Project Plan in WBS Schedule Pro it opens this file in MS Project (starting MS Project if necessary) and creates a chart of this MS Project plan.

Microsoft Project XML (*xml) – Lists all .xml files. The .xml files must conform to the Microsoft Project XML specification but does not have to be created by Microsoft Project.

MPX (*.mpx)– Lists all MPX files (.mpx). The MPX file format is a text-based version of a Microsoft Project plan that was the standard way of importing and exporting text-based versions of MS Project plans before the XML format. Some applications still use this format and it is supported in WBS Schedule Pro.

Text (*.txt, *.csv) – Lists all Text files (.txt or .csv) and allows you to create a project from a Text file. The text file must be a comma-delimited file, with the first line of the file defining which fields are in the file and the subsequent lines defining the tasks.

Linked to: - Displays the file to which the selected .wbs file is linked. If blank then the .wbs file is a standalone project.

Using: - If the Linked file is a Microsoft Project plan than the version of Microsoft Project that is used to open this project is listed here.

Details... - If the selected .wbs file is linked, this displays the full path to the linked file.

Link to another datasource – If the selected .wbs file is linked to a specific datasource and you need to link this to another datasource then select this option before you open the .wbs file. When selected, you are prompted to pick a new datasource before opening the .wbs file. The .wbs file then becomes linked to this new datasource. This option is useful when you have renamed or moved the datasource and allows a linked .wbs file to “find” its datasource.

Linked - When opening anything other than a Microsoft Project file (.mpp) you have the option to Link to this datasource or open it Unlinked. The difference is determined by whether you want WBS Schedule Pro to calculate the data after the datasource is opened or have WBS Schedule Pro display the data exactly as it is in the datasource.

For example, if you opened an XML file that was created by another Project Management application and you wanted WBS Schedule Pro to display the data exactly as it is maintained in the XML then you would select the Linked option before you opened the XML file in WBS Schedule Pro. This allows WBS Schedule Pro to open the XML and display the Dates, Costs, Hours, etc. exactly as they are in the XML file. Being Linked to the XML file allows you to format charts in WBS Schedule Pro but have the data maintained in the XML file. WBS Schedule Pro may not have the same features or calculate the schedule the same way as the software that produced the XML data.

Important Note: When a file is Linked, any changes made to the data in WBS Schedule Pro immediately forces a calculation and Unlinks from the datasource.


Close

Closes the current project. You are prompted to save if changes have been made to the project since it was opened.


Save

Saves the current project to the same file name. If the project has never been saved it will prompt you for a file name.

To save the current file to a different file name, use the Save As command.

For a complete explanation on Saving WBS charts, see the help topic Saving WBS charts


Save As

Displays the Save As dialog box and allows you to confirm saving the current WBS chart to the same file name or allows you to save the file to a different file name. To save the file to another file name, type this new name into the File name field. To save a WBS chart to the same file name and avoid this dialog box, use the Save command.

File name - Type a file name for the WBS chart. You do not have to include the .wbs extension as long as the Save as type field displays WBS Schedule.

Save as type - Choose the type of file to save. The types of files that can be saved in WBS Schedule Pro are as follows:

WBS Schedule (*.wbs) – Saves the current project to the file name specified with a .wbs extension. A WBS Schedule Pro file may be Standalone or Linked. If you have created the project from scratch in WBS Schedule Pro then it saves all task data and formatting information into a self-contained Standalone .wbs file. If you have created the WBS Schedule Pro project from a datasource (such as a Microsoft Project plan), saving the project stores only the formatting information into the .wbs file with a reference to the datasource where the task data is stored (eg: the Microsoft .mpp file). This .wbs file is then Linked to the datasource.

You do not need to specify whether to save the WBS chart Standalone or Linked, this is determined automatically based on whether you created the WBS chart from scratch or created the WBS chart from a datasource.

Microsoft Project XML (.xml) – Saves the current WBS Schedule Pro project formatted to the Microsoft Project specifications for XML files. This .xml file can be opened in Microsoft Project or other applications that can read Microsoft Project XML files.

MPX – Saves the current WBS chart to a .mpx file. The MPX file format is a text-based version of a Microsoft Project plan that was the standard way of importing and exporting text-based versions of MS Project plans before the XML format. Some applications still use this format and it is supported in WBS Schedule Pro.

MPX(for P3) – Saves the current WBS chart to an MPX file format for Primavera P3.

For more information on Saving WBS Schedule Pro projects, see the help topic Saving Projects


Save As Picture

Saves the current chart to a picture file.

File name - Type in the name of the file.

Save as type - Select to save the picture to the various types of file formats. For best results we recommend using the Windows Enhanced Metafile (*.emf) format. This scalable format is better for pasting images into other applications such as Word or PowerPoint. If you need to use a different format, try the .PNG format.


Print

Select options before printing. Once you select the appropriate options, pressing OK will initiate the print.

Printer

Name – Lists the printers that are set up on your computer.

Status – Shows information about the selected printer.

Type – Displays the type of printer currently selected.

Where – Shows which printer port the printouts will be routed through.

Comment - Shows information about the selected printer.

Properties – Select to set up options for the selected printer. The options available depend on the features of the printer.

Print to file – Prints the chart to a file. The Print to file option is a holdover from earlier days of computing. It doesn't work easily on more common USB printers. You can accomplish many of the same goals by creating a PDF.

Print Range

All – Select to print the entire chart.

Pages from x to y – Select to print a certain range of pages.

Selection – This option is not currently supported in WBS Schedule Pro.

Copies

Numbers of copies – Specify the number of copies that you want to print.

Collate – If you have selected more than one copy, specifies whether you want the copies to be collated.


Print Preview

Displays a sample of what the chart will look like when printed. Print Preview uses the currently selected printer and paper size to display the chart as it will appear when printed.

The information in the lower left corner of the Print Preview window displays useful information regarding the printout. For example, it might display

Scale - Page: 1 of 10 Size: 2 rows by 5 column Scale: 100%

This means that you have selected the “Adjust to” option in Page Setup, it is currently displaying Page 1 of this 10 page chart. The printout is 2 rows and 5 columns of paper and the Scale is 100% as set in the Page Setup dialog box under Scaling.

In the Print Preview window, you can:

Scroll – On a multiple page printout, the buttons in the upper left corner of the Print Preview window allow you to scroll through the different pages of the printout. Click the Left, Right, Up and Down buttons to scroll (a button is only selectable if you can scroll in that direction).

Select a One Page or Two Page window – The One / Two Page button allows you to display the Print Preview window in a single page or double page view. Two pages is the most you can see at a time in Print Preview. If you want to see more than two pages at once, close Print Preview and select View-Page Layout. This displays the entire chart including page breaks (but without the fields around the page as is shown in Print Preview).

Zoom In and Out – The Zoom and Zoom out buttons allow you to see more or less detail in the chart. You can also click anywhere on a page to Zoom In and Out.

Print – Select the Print button to send the chart to the printer. You can also set printer options by clicking the Print button. See also Print

Page Setup – Select the Page Setup button to change paper size, print orientation, margins and to change the Page Layout used for this chart. See also Page Setup

Summary Info – Select the Summary Info button to display the Project Properties dialog, where you can enter information like Title, Manager, Company, etc. See also Properties

Note: You cannot edit the chart in the Print Preview window, however, if you close Print Preview and choose View-Page Layout, you can see (and edit) the chart including where the page breaks appear.


Page

The options in the Page tab are saved with the project and are not specific to any View. All views will use the options set in the Page tab.

Scaling

Adjust to x% normal size – Reduces or enlarges the printed chart. Select 100% if you do not want to reduce or enlarge the chart. When set to 100%, the chart prints to as many pages as necessary depending on the font styles, spacing between boxes, and other chart characteristics. Decreasing this number shrinks the chart and increasing this number enlarges the chart by the percentage specified.

Adjust for page breaks – Repositions boxes that fall on a page break onto the next page. Using the Adjust for page breaks option may make your charts bigger since it needs to add space to avoid page breaks.

Fit to x page(s) wide by y tall – Forces the chart to the specified number of pages. Use the “Fit to page” option (without selecting Enlarge to Fill Page) to shrink the chart proportionally by entering a number of pages smaller than it would normally need.

To increase the size of the chart to the specified number of pages, select the “Enlarge to fill page” option along with the “Fit to page” option and enter a number of pages more than it would normally need.

Note: When using the Fit to x page wide by y tall option there is no corresponding “Adjust for page breaks” option. Since the “Fit to Page” option is forcing it to a certain number of pages it would be impossible to impose the extra space necessary to “Adjust for page breaks”.

Enlarge to fill page – Automatically increases the size of the chart to fill the remaining space in the printout until it reaches one edge of the chart (width or height). For example, suppose your chart is normally 1 ½ pages wide and ½ page tall. If you select Fit to 2 pages wide by 1 page tall and Enlarge to fill page, WBS Schedule Pro enlarges the chart until either the chart is a full 2 pages wide or 1 page tall, whichever is reached first. WBS Schedule Pro only increases the size proportionally so once it reaches the edge of the page it stops enlarging.

Printer

Printer – Select a printer from the list of currently installed printers.

Paper Size – Select a paper size from the list of sizes that your printer supports. If your printer supports a different size than what is listed try going to the Control Panel and define a "Custom Size" for your printer. You should then be able to choose this custom size from this list.

Orientation

Portrait – Select to print the chart in Portrait mode.

Landscape – Select to print the chart in Landscape mode.

Margins - Specify the distance between the left/right/top/bottom edge of the page and the first printed data.

Black and white – Converts the colors in a chart to black and white. All text, lines and shadows are converted to black and all fills are converted to white. This option is useful if you want to print a color chart to a black and white printer and you do not want to convert the colors to shades of gray.


Chart

Page Layout – Select a Page Layout from the list of layouts. Page Layouts save information from the Chart Tab, Header Tab and Footer Tab into an external file that can be used in other Views in this and other projects. It allows you to set up a standard way to display information on a page. The Page Layout selected is saved with the current View. For example, you could have all your WBS charts use the same Page Layout or each WBS chart use a specific Page Layout.

Manage - Select this option to create a New Page Layout, Copy, Rename, Delete, Import or Export a Page Layout.

Chart Align

Vertical - Aligns the chart to the Top, Middle or Bottom of the page.

Horizontal - Aligns the chart to the Left, Center or Right side of the page.

Header / Footer / Legend - Select Across Pages to display the Header, Footer and/or Legend spanning all the pages in the chart. Select On Every Page to display the same Header/Footer and/or Legend on each page of the chart. The On Every Page option support page numbering in the Header and Footer. The Across Pages option does not support Page Numbering since it is really one big page spread out across multiple sheets of paper. To number the pages using the Across Pages option select the Print Sheet Numbers option.

Legends

Box Styles - Displays a legend for the Box Styles defined in Format-Boxes for WBS and Network charts.

Options - Select the following to use with the Box Styles option:

Name Inside - Displays the style of box inside a box in the legend. This option displays every box style defined even if it not used in the chart.

Name Inside, only those used - Displays the style of box inside a box in the legend but only for those styles used in the chart. For example, a Milestone or Non-Critical box style will not be displayed in the legend if there are no Milestones or Non-Critical Tasks in your project.

Name Outside - Displays the style of box outside the box in the legend. This option displays every box style defined even if it not used in the chart.

Name Outside, only those used - Displays the style of box outside a box in the legend but only for those styles used in the chart. For example, a Milestone or Non-Critical box style will not be displayed in the legend if there are no Milestones or Non-Critical Tasks in your project.

Summary Task Fields - Displays a legend of the Fields defined for the Summary Tasks in the project. These are the defined in Format-Fields-Summary Tasks for WBS charts and Format-Fields for Network charts. This does not apply to Task Sheets.

Task Fields - Displays a legend of the Fields defined for the Tasks in the project. These are the defined in Format-Fields-Tasks for WBS charts and Format-Fields for Network charts. This does not apply to Task Sheets.

Legend Placement - Displays the legend directly Above the Footer at the bottom of the chart, Below the Footer at the bottom of the chart or Combined with Footer (to the left of the footer) at the bottom of the chart.

Remove Border - Removes the border that surrounds the outside of the chart.

Remove Separator Lines - Removes the lines between headers, footers and/or legends.

Print Sheet Numbers - Prints a number corresponding to each page in the printout. This option works best if you are displaying the Header, Footer and/or Legend across all pages. See above.


Header

Left/Center/Right – Click the appropriate tab to add information on the Left, Centered or on the Right side of the page. You can type information directly into these fields or add Fields such as Title, Manager, Date or Page Numbers. To add a field, select a field from the Field drop down list and press the Add button. Some fields such as Page Numbers or Date fields have formatting options that you can select using the Format drop down list. To modify a field, click inside the field name in the tab, modify the Format or Field and press the Change button to update how the information is displayed.

Font - Highlight the text in the tabs to change the font styles.


Footer

See Header


Files & Views

Specify the default locations for Documents, Views and Layouts, and the Views to use when starting new projects or creating projects from an external data source.

File Locations

Documents – Specify the default location to store and retrieve your projects. Select the Browse button to select a different Folder. By default, this is initially set to the WBS Schedule Pro subfolder of your Documents folder.

Views & Layouts – Specify the default location to store the Views and Page Layouts used in WBS Schedule Pro. By default, this is initially set to the WBS Schedule Pro subfolder of your Documents folder. Whenever a new project is created all of the Views and Page Layouts are copied from this folder into the WBS chart.

When closing a chart – Specify how Views and Page Layouts are saved when closing a project. This option determines whether or not to overwrite the Default Views stored in the Documents\WBS Schedule Pro folder and is independent of whether or not you save your project. Saving your chart always saves the Views within the project.

Choose one of the following options when closing a project:

Save all changed Views – Automatically saves all of the changed Views and Page Layouts in the project back to the WBS Schedule Pro folder. Any new projects you create will use these new Views and changed Page Layouts.

Do not save changed Views – Discards changes made to the Views and Page Layouts and does not overwrite the Views and Page Layouts in the WBS Schedule Pro folder. Saving your project always saves the Views and Page Layout within the project.

Prompt to save changed Views – Prompts you to save any changed Views and Page Layouts each time you close a project. You then have the option to Save or Discard the changes to the default Views and Page Layouts each time you close a project.

If you accidentally save a View over the default View and wish to restore it back to its original state you can copy the original View from the Backup Views folder. The Backup Views folder is a subfolder of Documents\WBS Schedule Pro.

Views

Initial View Type - Specify the type of View to open when WBS Schedule Pro is first started. Choose from WBS Chart, Network Chart or Task Sheet.

Default WBS Chart - Specify which WBS Chart View to open when WBS Schedule Pro is first started. The default is WBS Planning View as this view is best suited for planning new projects.

WBS Chart from MS Project – Specify which WBS Chart View to use when creating WBS Charts from MS Project. The default is WBS Chart View as this view looks better for displaying existing projects.

Default Network Chart - Specify which Network Chart View to use when displaying Network Charts.

Default Task Sheet - Specify which Task Sheet View to use when displaying Task Sheets.

Created from External Data – Specify the View to use when creating charts from an external datasource. You may want to have a different View when creating charts from an external datasource (like Microsoft Project) as opposed to when you create a new chart.


Properties

Set the Properties in the various fields. These fields can then be displayed in printouts or in a saved web page.

The fields in Properties are similar to the options in Microsoft Project (under File-Properties). If you enter them in Microsoft Project they also appear here in WBS Schedule Pro when you create a chart from Microsoft Project. If you enter the Summary data in WBS Schedule Pro first and then create a Microsoft Project plan from this WBS chart then this information is transferred to the Microsoft Project plan.

Hint: You can also enter this form while you are in Print Preview by selecting the Properties button.


Settings

Modify the settings for the current project.

Scheduling

Calculate multiple critical paths – Select this to have WBS Schedule Pro calculate the critical path to each end point in the project. Each network of tasks (a single task is considered a single network) will calculate its own critical path rather than to a common end point.

Set as default – Select to make the options in the Scheduling section the default for all new projects.

Tasks are critical if slack is less than or equal to: – Set this to the slack amount you wish to use to calculate whether a task is critical or not. By default, a task is considered critical if it has 0 (zero) slack. You can change this to a higher or lower amount.

Show unknown dates as – Converts any unknown date in a date field to the specified value (or converts the unknown date to a blank if this field is left blank). This is useful for removing unwanted values in date fields.

For example, if you display the Microsoft Project field “Actual Start”, it may display the value NA. Use this field to convert the NA to some other text or to a blank field by leaving the “Show unknown dates as” field blank.

Calculate actual costs – Select this if you want Actual and Remaining Costs to be automatically calculated based on the % complete of the task.

Duration Units: – This option applies to the Duration and Duration type fields such as Duration1-Duration10, Baseline Duration, Duration Variance, etc. Select to display Minutes, Hours, Days, Weeks or Months as the default display Unit for all new Tasks and new/existing Summary Tasks in the project. Changing this option does not affect existing Tasks, only new Tasks added after the option has been set. It does affect existing Summary Tasks.

Work Units – This option applies to the Work and Work type fields such Actual Work, Baseline Work, etc. Select to display Minutes, Hours, Days, Weeks or Months as the default display Unit for all new Tasks and new/existing Summary Tasks in the project. Changing this option does not affect existing Tasks, only new Tasks added after the option has been set. It does affect existing Summary Tasks.

Display Language – Certain fields such as Duration Units, Work Units, Dependency Types, Constraint Types and the Flag fields can display in a supported, Non-English language based on Windows System settings or based on the version of Microsoft Project you are using. The Automatic option displays these fields using the language defined by Windows (Region and Language settings in the Control Panel) for all standalone projects. If you are linked to a Microsoft Project plan it automatically displays these fields in the same language of your version of Microsoft Project. If you set this to English the program will display these fields in English regardless of the Windows System settings or the version of Microsoft Project you are using.

Progress is - This option defines how Progress is defined for purposes of Cell Fill by Progress in WBS and Network Charts, Gantt Bar Progress Indicators, and Progress Marks in WBS and Network Charts. Progress can be defined as being % Complete, % Work Complete or Physical % Complete.

Default Project Calendar - Select the Calendar to use project-wide when no specific Calendar is selected for a Task. When you select a Calendar from this list to use as your project-wide calendar the Calendar field for each Task will display Project Default (xxxx) where xxxx is the calendar you have selected in this form to be the Default Project Calendar.

Currency

Symbol – Sets the default currency symbol for the current project.

Placement – Sets the placement of the currency symbol in relation to the currency amount.

Decimal Digits – Specifies the number of decimal digits for the currency.

Project Start date – Set the start date of the current project.

Project Finish date – Set the finish date for the current project.

Schedule from Project Start date – Select this to schedule tasks forward from the Project Start Date. Deselect this to schedule tasks backwards from the Project Finish Date.


Advanced

Modify program-wide settings.

Export additional data from Microsoft Project using:

This setting determines how Microsoft Project transfers Lookup Tables (Value Lists) from Text and Outline Code Fields to WBS Schedule Pro when creating charts from Microsoft Project plans. If you want access to your MS Project Lookup Tables from within WBS Schedule Pro, you need to export this data using "Save as XML" or "Automation". The fastest and most efficient way is to use the Save as XML option. However, there are times when Microsoft Project cannot save XML files so an alternate, but slower, Automation feature is available for this. You can also choose to not export this data.

Save as XML – Select this for faster data transfer when Microsoft Project allows it. If you attempt to create a chart in WBS Schedule Pro from your Microsoft Project plan and WBS Schedule Pro stops and displays the message "Microsoft Project is exporting additional data" in the lower left corner of the screen it means Microsoft Project is having trouble saving XML and you should use one of the other options.

Automation – Select this if Microsoft Project is having trouble transferring data to WBS Schedule Pro and you wish to see the Lookup Table values in WBS Schedule Pro. This is a slower approach but allows charts to be created when the XML approach fails. However, it can be VERY slow and is the reason we don't default to using this method.

Don't fetch additional data - Select this if you want to create a chart in WBS Schedule but don't need access to the Lookup Tables for Text Fields and Outline Codes. Creating charts from MS Project plans should be much faster using this approach. Tasks still display the data entered into the Text Fields and Outline Codes but these fields will be Read-Only with this option selected.

Save AutoRecover information every xx minutes - Select the AutoRecovery option to save copies of all currently open projects to temporary files at defined intervals. If WBS Schedule Pro unexpectedly closes, the last saved versions of these files will be restored when WBS Schedule Pro starts up.

Note that this is not an "AutoSave" feature so you must still save your files!

For reference, the temporary files are stored here: C:\Users\USERNAME\AppData\Local when they are needed. These temporary files are removed upon each successful closing of the program.

Enable Tooltips when Hovering over Tasks and Links - Select to enable or disable the Tooltips that appear when you Hover over a Task in a WBS, Network or Gantt Chart or when you hover over a link line in a Network or Gantt Chart.

Generate Logfile - Select this option to create a text-based logfile that can be used by Critical Tools for diagnostic purposes. You will most likely be instructed by someone at Critical Tools to select this option and save this file. The file is called log.txt and is located in the C:\Users\USERNAME\Documents\WBS Schedule Pro folder.


Views

Organizer

Views

The Views section of the Organizer allows you to manage the WBS, Network, Gantt, and Task Sheet Views installed by the program or that exist in a project. A View defines how various charts look. Several Views of each chart type are installed with WBS Schedule Pro and are placed in the My Documents\WBS Schedule Pro\Views and Templates folder.

To see where WBS Schedule Pro stores these Views, select File-Options-Files & Views.

When you open a New project in WBS Schedule Pro it loads these default Views into the file. Use the Organizer to manage these Views.

Type of View - Use this to display the complete set of WBS Chart Views, Network Chart Views, Gantt Chart Views or Task Sheet Views.

Project Name.wbs - This displays the current list of Views in the currently selected project (shown at the bottom of the form).

New Chart Defaults - This displays the default set of Views that are loaded into a New project.

Views available in: - Displays the Views for the listed project or displays the current New Chart Defaults. Select the drop down arrow to see other projects. Only projects that are currently open are displayed in this list.

Using the Organizer

Copy - Use the <<Copy button to copy a New Chart Default View to an existing project or use the Copy >> button to copy a View from an existing project to make it a Default View.

Example #1 - If you recently installed WBS Schedule Pro with the version that contains all new Views (5.1.0025) this does not affect Views in any existing project. This is by design. To update the Views in an existing project with the new Views, open the project and then from the Organizer select any number of Views in the right column and click the <<Copy button to copy these to the left column to overwrite and/or add the selected Default Views to the existing project.

Example #2 - If you have existing Views in a project and want to make these a New Chart Default, open the project and then in the Organizer select any number of Views in the left column and click the Copy button to copy these to the right column to make these the Views that are loaded into New projects.

Example #3 - If you have existing Views in a project and want to copy these to another project, open both projects, select one in "Views available in" on the left and the other in "Views available in" on the right and copy Views back and forth between the two open projects.

Cancel/Close - Most changes in the Organizer are not reversible. After making changes in the Organizer the Cancel button turns into a Close button.

Rename... - Renames the selected View.

Delete... - Deletes the selected View. If you delete a View in a project and there is a View of the same name in the New Chart Defaults then the New Chart Defaults View will get loaded into the project the next time it is opened. If you delete a View in the New Chart Defaults list this will delete it from disk permanently. Deleting a View in the New Chart Defaults does not affect a View of the same name in any existing project.

Page Layouts

The Page Layouts section of the Organizer allows you to manage the WBS, Network, Gantt, and Task Sheet Page Layouts used for printing. Page Layouts define how charts look when printed including Headers/Footers, Page Breaks, Printed Logos, etc. Several Page Layouts of each chart type are installed with WBS Schedule Pro and are placed in the My Documents\WBS Schedule Pro\Views and Templates folder.

To see where WBS Schedule Pro stores these Page Layouts, select File-Options-Files & Views.

For further help, see the explanation on using Views above.

Calendars

The Calendars section of the Organizer allows you to manage the default Calendars and Calendars in any project. Several default Calendars are installed with WBS Schedule Pro. When you open a New project in WBS Schedule Pro it loads these default Calendars into the file. Use the Organizer to manage these.

For further help, see the explanation on using Views above.


Page Layouts

Organizer

Page Layouts

The Page Layouts section of the Organizer allows you to manage the WBS, Network, Gantt, and Task Sheet Page Layouts used for printing. Page Layouts define how charts look when printed including Headers/Footers, Page Breaks, Printed Logos, etc. Several Page Layouts of each chart type are installed with WBS Schedule Pro and are placed in the My Documents\WBS Schedule Pro\Views and Templates folder.

To see where WBS Schedule Pro stores these Page Layouts, select File-Options-Files & Views.

When you open a New project in WBS Schedule Pro it loads these default Page Layouts into the file. Use the Organizer to manage these.

Project Name.wbs - This displays the current list of Page Layouts in the currently selected project (shown at the bottom of the form).

New Chart Defaults - This displays the default set of Page Layouts that are loaded into a New project.

Page Layouts available in: - Displays the Page Layouts for the listed project or the New Chart Defaults. Select the drop down arrow to see other projects. Only projects that are currently open are displayed in this list.

Using the Organizer

Copy - Use the <<Copy button to copy a New Chart Default Page Layout to an existing project or use the Copy >> button to copy a Page Layout from an existing project to make it a Default Page Layout.

Cancel/Close - Most changes in the Organizer are not reversible. After making changes in the Organizer the Cancel button turns into a Close button.

Rename... - Renames the selected Page Layout.

Delete... - Deletes the selected Page Layout. If you delete a Page Layout in a project and there is a Page Layout of the same name in the New Chart Defaults then the New Chart Defaults Page Layout will get loaded into the project the next time it is opened. If you delete a Page Layout in the New Chart Defaults list this will delete it from disk permanently. Deleting a Page Layout in the New Chart Defaults does not affect a Page Layout of the same name in any existing project.


Calendars

Organizer

Calendars

The Calendars section of the Organizer allows you to manage the default Calendars and Calendars in any project. Several default Calendars are installed with WBS Schedule Pro. When you open a New project in WBS Schedule Pro it loads these default Calendars into the file. Use the Organizer to manage these.

Project Name.wbs - This displays the current list of Calendars in the currently selected project (shown at the bottom of the form).

New Chart Defaults - This displays the default set of Calendars that are loaded into a New project.

Calendars available in: - Displays the Calendars for the listed project or the New Chart Defaults. Select the drop down arrow to see other projects. Only projects that are currently open are displayed in this list.

Using the Organizer

Copy - Use the <<Copy button to copy a New Chart Default Calendar to an existing project or use the Copy >> button to copy a Calendar from an existing project to make it a Default Calendar.

Cancel/Close - Most changes in the Organizer are not reversible. After making changes in the Organizer the Cancel button turns into a Close button.

Rename... - Renames the selected Calendar.

Delete... - Deletes the selected Calendar. If you delete a Calendar in a project and there is a Calendar of the same name in the New Chart Defaults then the New Chart Defaults Calendar will get loaded into the project the next time it is opened. If you delete a Calendar in the New Chart Defaults list this will delete it from disk permanently. Deleting a Calendar in the New Chart Defaults does not affect a Calendar of the same name in any existing project.


WBS Chart

Select the WBS Chart icon to switch to the last used WBS chart. Select the drop down arrow to choose from the list of WBS charts or to choose more options for creating new, copying, renaming or deleting WBS chart views.

For more information on working with Views, see Views


Network Chart

Select the Network Chart icon to switch to the last used Network chart. Select the drop down arrow to choose from the list of Network charts or to choose more options for creating new, copying, renaming or deleting Network chart views.

For more information on working with Views, see Views


Gantt Chart

Select the Gantt Chart icon to switch to the last used Gantt chart. Select the drop down arrow to choose from the list of Gantt charts or to choose more options for creating new, copying, renaming or deleting Gantt chart views.

For more information on working with Views, see Views


Task Sheet

Select the Task Sheet icon to switch to the last used Task Sheet. Select the drop down arrow to choose from the list of Task Sheets or to choose more options for creating new, copying, renaming or deleting Task Sheet views.

For more information on working with Views, see Views


New

Creates a New View.

New View Name - Enter a unique View name.

For initial settings, copy - Pick a View from the list that most resembles the View you ultimately want. This way you may only need to make minor changes. The "default" option in this list is a very generic View and may require a higher level of configuring to get the View you want.

For more information on working with Views, see Views


Paste Before

WBS Charts

Paste Before

Paste Before pastes previously Cut or Copied tasks to the Left of the selected task if tasks are displayed in a left to right fashion or Above if they are listed vertically. For example:

With tasks listed left to right and Task 2 selected, choosing Paste Before… | …pastes the task to the left of Task 2.

With tasks listed vertically and Task 2 selected, choosing Paste Before… | …pastes the task above Task 2.

Tip: You can also Right-Click on a task to paste.

Network Charts

Paste Before - Pastes the previously Cut or Copied tasks before the selected task based on ID. Paste Before is the only paste option available in Network Charts.

Task Sheets

Paste Before - Pastes the previously Cut or Copied tasks above the selected task in the Task Sheet. Paste Before is the only paste option available in Task Sheets.


Paste After

Paste After (only available in WBS Charts)

Paste After pastes previously Cut or Copied tasks to the Right of the selected task if tasks are displayed in a left to right fashion or Below if they are listed vertically. For example:

With tasks listed left to right and Task 2 selected, choosing Paste After… | …pastes the task to the right of Task 2.

With tasks listed vertically and Task 2 selected, choosing Paste After… | …pastes the task below Task 2.

Tip: You can also Right-Click on a task to paste.


Paste Subtask

Paste Subtask (only available in WBS Charts)

Pastes previously Cut or Copied tasks as a subordinate to the selected task. This turns the selected task into a Summary if it is not one already. For example,

With Task 2 selected, the Paste Subtask command… | …pastes the task below Task 2.

Tip: You can also Right-Click on a task to paste.


Cut

Cuts (deletes) the selected task and places it on the Clipboard so you can paste it elsewhere. If you select a Summary Task and choose Cut, it will cut that Summary Task and all tasks below. You can also copy and cut tasks by using the right mouse button.

Select another task in the chart and choose Edit-Paste Before, Edit-Paste After or Edit-Paste Subtask to place the cut task relative to the selected task. You can also Right-Click a task to Paste.


Copy

Copies the selected task and places it on the Clipboard so you can paste it elsewhere. If you select a Summary Task and choose Copy, it will copy that Summary Task and all tasks below. You can also copy and cut tasks by using the right mouse button.

Select another task in the chart and choose Edit-Paste Before, Edit-Paste After or Edit-Paste Subtask to place the copied task relative to the selected task. You can also Right-Click a task to Paste.

The Copy feature does not copy the chart image, only task information. To copy the chart image, see Copy Picture


Copy Picture

Copies the current chart to the Clipboard as an image. You can then Paste the image into another Windows application.

This process is the preferred method of pasting WBS, Network or Gantt Charts into other Windows applications. If you need to send the image as a file we recommend using the File-Save As Picture command and saving as a .PNG file.

Clicking the Copy Picture icon when in a Gantt Charts displays the following form for selecting a range of Tasks and/or Dates:

Copy

All Rows - Copies all Rows of the current Gantt Chart.

Selected Rows - Copies all Rows between the first and last selected row on the screen. This option is only available if you have selected multiple rows on the Gantt Chart. Use CTRL-Click to select multiple rows in the Gantt. The selected rows will include all rows between the first and last selected.

Timescale

Entire Chart - Copies the entire range of dates in the Timescale.

Specific Dates - Copies the specified Timescale range.


Task Before

Inserts a new Task "before" the selected one in the chart. Depending on the current View and arrangement of tasks within a View, the term "before" could mean above or to the left of the selected task.


Task After

Inserts a new Task "after" the selected one in the chart. Depending on the current View and arrangement of tasks within a View, the term "after" could mean below or to the right of the selected task.


Summary Task

Inserts a Summary Task above the selected Task.


Subtask

Inserts a Subtask to the selected Task. This could make the selected task a Summary Task to the newly inserted Task.


Delete

Deletes the selected Summary Task or Task. If you delete a Task you are NOT prompted to confirm this deletion. Select Undo if you want to undo the delete, and you are using WBS Standalone. You cannot undo the delete if you are working with a chart that is linked to a Microsoft Project Plan.

If you delete a Summary Task you are prompted to confirm and are given three options. The options are listed below with an explanation of each:

Delete Summary Task xx and its subtasks – Select this option and press OK to delete the selected Summary Task and all of its subordinates (the Summary Task and everything below it).

Delete Summary Task xx but keep its subtasks – Select this option and press OK to delete the selected Summary Task but not the items below the selected Summary Task.

Cancel – This cancels the Delete operation.


General

General

The Task Information dialog box can be found by selecting Task Info from the Home tab, by double-clicking a task.

The Task Information dialog box is used for both Summary Tasks and Tasks. If you display the Task Information for a Summary Task there may be some fields in the dialog box that cannot be edited due to the fact that they are rolled up (calculated) fields.

Name – Enter a name or description of the task.

Duration – Enter the duration for the task. The duration can be entered in Minutes, Hours, Days, Weeks or Months. Duration can be entered using the following format:

M = Minutes

H = Hours

D = Days

W = Weeks

MO = Months

For example, for a 10 day task you can enter 10d in the duration field, a 2 week task would be 2w.

For more information on Duration, see Scheduling

% Complete – Enter the Percent Complete for the task. This field is also calculated for a task when the appropriate scheduling information is provided such as Actual Start or Actual Finish.

WBS – Enter the WBS for the task. The WBS code is initially derived from that task’s position in the structure of the WBS chart with the top being 1 and the second level 1.1, 1.2, etc… You can let WBS Schedule Pro calculate this for you or you can enter this information yourself. If you enter data into the WBS field yourself, WBS Schedule Pro will no longer update this number for you even if you move the task. To make WBS Schedule Pro calculate the WBS field after you have entered information into this field, remove the data that you entered. WBS Schedule Pro will then calculate this data again.

Work – Enter the Work (Hours) for the task.

Cost – Enter the Cost for the task.

Calendar - Select a Calendar for the Task to use. Define New Calendars and modify existing Calendars by selecting the Project tab and then the Calendars drop down arrow. The Calendar field displays the calendar assigned to the selected task. If the Calendar field displays Project Default (xxxx) it means that the task is using the project-wide calendar as defined in File-Options-Settings where xxxx is the selected project-wide calendar.

Start – The date and time a task is scheduled to begin. You can enter the start date, or it will be calculated based on the Project Start/Finish date, dependencies, Constraint Type and Constraint Date.

Finish – The date and time a task is scheduled to Finish. You can enter the finish date, or it will be calculated based on the Project Start/Finish date, dependencies, Constraint Type and Constraint Date.

Constraint Type – Select a constraint from the list. For more information on how Constraints work, see Scheduling

Constraint Date – Enter a date for the constraint. For more information on how Constraints work, see Scheduling

Resource Names – Lists resources that are assigned to this task. You cannot assign resources into this field directly; you must use the Resources button.

Resources>> - Displays the Assign Resource form. In the Assign Resource form, select a resource (or resources) to assign to this task and press OK. The assigned resources will then appear in the Resource Names field. If the Resources button is not available it means that you do not have resources defined in this project. You must define the list of resources before you can assign them. To define the Resources for this project select the Tools-Resources menu.


Custom

Custom

The Custom Tab allows you to list additional fields for entering data. For example, if you want to enter data into the Actual Start and Actual Finish fields then you could list these fields in the Custom Tab, since they are not fields that appear in the General Tab.

Choose the Add Field button to add a field to the end of the list. Choose Insert Field to insert a field above the selected field. Choose Remove Field to remove the selected field.


Flags

Flags

The Flag Tab allows you to quickly set a Flag field for a task. The Flag fields are simple Yes/No fields that are displayed as checked or non-checked fields (checked means Yes and non-checked means No). If multiple Flags are set on a task, the lowest numbered Flag takes precedence and the others are ignored. The Flag fields in WBS Schedule Pro correspond to the Microsoft Project Flag fields, but you can use them independent of Microsoft Project.

The Flag fields can be used to define task box colors in the WBS chart. To use the Flag fields to define colors, select the Format-Borders menu and select the “Borders Based on Flags” option. Then, define different colors/styles/shadows for each Flag field. Once this is done, select tasks in the WBS chart and use the Flag Tab in the Task Information dialog box to define that a specific task use a specific Flag, as shown below:

For more information on the different ways to color your WBS chart dependent on Critical Path, the Flag fields or Progress, see Borders


Hyperlinks

Hyperlink

The Hyperlink Tab allows you to enter a Hyperlink to go to the specified document or web page from within WBS Schedule Pro. When you enter a Hyperlink file or web page address you can go to this link from within WBS Schedule Pro by clicking the Hyperlink button associated with the task. This button is a small square that appears above and to the left of the task. Clicking this button jumps to the specified link.

There are four Hyperlink fields in the Task Information form. These four fields work together to point to one hyperlink location for a task (you cannot enter more than one hyperlink per task). They are:

Hyperlink – This is the “displayed” name for the Hyperlink. By default when you enter a Hyperlink Address the Hyperlink field copies this information but if you type text into the Hyperlink field after the link is created it will display this text.

Hyperlink Href – This is the full address of the document or web page. It is the concatenation of the Hyperlink Address and Hyperlink Subaddress fields. You can enter the complete address in this field or enter the Hyperlink Address along with the Hyperlink Subaddress and the Hyperlink Href will be the sum of the two.

Hyperlink Address – This is the main document or web page that a task is linked to.

Hyperlink Subaddress – The Hyperlink Subaddress goes to a certain place within the link referred to in the Hyperlink Address field. The most common use for this is to jump to a Bookmark (section within a document or web page).


Notes

Use the Notes tab to enter extensive details about a Task or Summary Task in the project.

For more information on using the Notes field, see Adding Notes to a Task


All

Selects all Summary Tasks and Tasks in the current chart. Once all items have been selected you can perform certain operations on these items depending on the View.

You can also press Ctrl-A to Select All.

Here is an example of Select All in a WBS Chart:


Summary Tasks

Selects all Summary Tasks in the current chart. Once all Summary Tasks have been selected you can perform certain operations on these depending on the View.

Here is an example of Select Summary Tasks in the WBS Chart:


Tasks

Selects all Tasks in the current chart. Once all Tasks have been selected you can perform certain operations on these depending on the View.

Here is an example of Select Tasks in the WBS Chart:


Branch

Selects the current Summary Task and all subtasks. Once the branch has been selected you can perform certain operations on this depending on the View.

Here is an example of Select Branch in the WBS Chart:


Subtasks

Selects all Subtasks to the selected Summary Task. Once all Subtasks have been selected you can perform certain operations on these depending on the View.

Here is an example of Select Subtasks in the WBS Chart:


Level

Selects all Summary Tasks and Tasks at the current level of the selected box. Once all Summary Tasks and Tasks at the current level have been selected you can perform certain operations on these depending on the View.

Here is an example of Select Level in the WBS Chart:


Link

Creates a Finish to Start dependency between the selected tasks in the chart. You can Link tasks in any View (WBS Chart, Network Chart or Task Sheet). However, only the Network Chart shows the dependency lines between tasks. The WBS Chart and Task Sheets can only show the Predecessor and/or Successor fields to display the dependency information about a task.

Select two tasks or any number of tasks before selecting the Link button. Links (dependencies) are made between tasks in ID order regardless of the order the tasks were selected.

WBS Charts

Link tasks in a WBS Chart by selecting tasks and clicking the Link button.

Network Charts

Link tasks in a Network Chart by selecting tasks and clicking the Link button but you can also click and drag between tasks in a Network Chart to create dependencies.

Task Sheets

Link tasks in a Task Sheet by selecting rows and clicking the Link button.

For more information on Linking and creating Dependencies, see Linking


Unlink

Removes the dependency between two or more selected tasks in any View (WBS Chart, Network Chart or Task Sheet).

To modify a Link in a Network Chart, doubleclick the dependency line that exists between any two tasks. This display Task Dependency form where you can modify the dependency.

To modify a Link in a WBS Chart or Task Sheet, display the Predecessor and/or successor field in a WBS Chart or Task Sheet and change the value or the Predecessor or Successor.


One to Many

Creates a Dependency from the active Task (with the red box around it) to the selected Tasks (the highlighted ones). This allows you to create multiple dependencies from a single task at the same time. For example, the following has 4 tasks selected with Task 1 the active task:

Selecting One to Many would link Task 1 to Task 2, Task 3 and Task 4 with one click...

Selecting Multiple Tasks and setting the Active Task

To select multiple tasks in a WBS Chart or Network Chart:

    1. Click in white space and drag around a group of tasks to fully enclose all those that you want to select.
    2. Ctrl-click with your mouse to select any number of tasks. Keep the Ctrl key down while you select various tasks in the chart.

To select multiple tasks in a Task Sheet:

    1. Click and drag across multiple rows to highlight the ones you want to select.
    2. Ctrl-click with your mouse to select any number of tasks. Keep the Ctrl key down while you select various tasks in the chart.

Once the tasks have been highlighted, to set the Active task, hold the Ctrl key down and select the one you want to be the Active task. It may or may not stay highlighted but once the red box is around it then it becomes the Active task.


Many to One

Creates a Dependency from the selected Tasks (the highlighted ones) to the active Task (with the red box around it) . This allows you to create multiple dependencies to a single task at the same time. For example, the following has 4 tasks selected with Task 4 the active task:

Selecting Many to One would link Task 1, Task 2 and Task 3 to Task 4 with one click...

Selecting Multiple Tasks and setting the Active Task

To select multiple tasks in a WBS Chart or Network Chart:

    1. Click in white space and drag around a group of tasks to fully enclose all those that you want to select.
    2. Ctrl-click with your mouse to select any number of tasks. Keep the Ctrl key down while you select various tasks in the chart.

To select multiple tasks in a Task Sheet:

    1. Click and drag across multiple rows to highlight the ones you want to select.
    2. Ctrl-click with your mouse to select any number of tasks. Keep the Ctrl key down while you select various tasks in the chart.

Once the tasks have been highlighted, to set the Active task, hold the Ctrl key down and select the one you want to be the Active task. It may or may not stay highlighted but once the red box is around it then it becomes the Active task.


Indent

In the Task Sheet, makes the current Task (or Tasks) a Subtask (or Subtasks) to the one above it.

The Indent button is only available in the Task Sheet. You can achieve the same results in a WBS Chart by adding Tasks below another. For example, in a Task Sheet you can indent several tasks under another to make the top-most task a Summary Task. Clicking Indent with Task 1, Task 2 and Task 3 selected produces the Task Sheet on the right:

The corresponding WBS Chart would look like this:


Outdent

In the Task Sheet, moves the current Task or Summary Task up one outline level.

The Outdent button is only available in the Task Sheet. You can achieve the same results in a WBS Chart by rearranging tasks and moving them up a level. For example, highlighting Task 1, Task 2 and Task 3 in the Task Sheet on the left and clicking Outdent produces the Task Sheet on the right:

The corresponding WBS Chart would look like this:

In this case you have removed any structure to the project.


Expand

Reveals the hidden subtasks of the selected Summary Task in the chart.

If Outline Symbols are displayed in the chart, you can also press the plus sign (+) for that Summary Task to reveal the subtasks.

To reveal all subtasks in the chart, choose the Expand All button.


Collapse

Hides the subtasks of the selected Summary Task in the chart.

If Outline Symbols are displayed in the chart, you can also press the minus sign (-) for that Summary Task to hide the subtasks.

To hide all subtasks in the chart, choose the Summary Only button.


Expand All

Reveals the hidden subtasks for all Summary Tasks in the chart.


Summary Only

Hides all Tasks in the chart and displays only the Summary Tasks.


Focus

Displays only the selected Summary Task and those items below it while hiding the rest of the chart. This is useful for isolating a section of your WBS chart for display or printing.

Select the Focus button again to restore focus to the entire chart.


Edit Groups

The Grouping dialog allows you to change how the structure of the project is displayed.

There are three ways to Group the data in a project. They are:

1. The Default Outline Structure - This is the standard way to display a hierarchy in WBS Schedule Pro. Creating a WBS Chart or Indenting Tasks in the Gantt Chart or Task Sheet creates Tasks and Summary Tasks. For example,

or

The Default Outline Structure uses the Outline Number field to create the hierarchy. The Outline Number field in WBS Schedule Pro can only be created by Inserting or Moving Tasks and Summary Tasks.

This is the same technique that Microsoft Project uses. Microsoft Project creates the Outline by indenting tasks in a Gantt Chart. In WBS Schedule Pro, creating a WBS Chart or Indenting/Outdenting tasks in the Gantt Chart or Task Sheet creates the same Outline that you would see in Microsoft Project.

2. Using a Single Field - This refers to using a single field to define the structure of the project. This single field must contain hierarchical information such as A, A.1, A.1.1, A.1.2, etc. When you select this field on which to group, WBS Schedule Pro will attempt to parse this field to determine a hierarchy. This is useful if you have defined your own hierarchy using the WBS, Text or Outline Code fields.

3. Using a Series of Fields - This refers to using a non-hierarchical field to display the structure of the project. This can be a single field with many of the same values or several fields with various values to define the structure.

An example of this is the Resource Names field. Grouping on Resource Names would create a hierarchy of Resources and Tasks assigned to these Resources. Like this:

The Text fields are another useful way to utilize this grouping feature. As a example, if you used a Text field to store the Department names you may have information like this:

The current outline of the above uses the Default Outline Level to display the structure. Selecting to Group on the Text 1 field would produce this result in a Task Sheet:

Or this in a WBS Chart:

The above uses a single Text field but you can also use several or a combination of fields that contain the breakdown of information you wish to display.

The Sort by options allow you to change the order in which the detail items appear. The Sort options only apply when you are grouped by a Single non-hierarchical field or Series of Fields.

The Show Empty Groups option displays a group header when there are no items assigned to that group. For example, if you have Resources defined and are Grouped by Resource Names, selecting this checkbox would display all Resources in the chart including Resources that don't have Task assignments. De-selecting this option would only display Resources that have been assigned to Tasks.

The Grouping defined in the Groups dialog applies across WBS Charts, Network Charts, Gantt Charts and Task Sheets unless you select the Independent checkbox in the Home tab. Selecting the Independent checkbox applies the Grouping changes only to the current view.


Grouped

The Grouped option only applies to Network Charts and allows you to select whether or not the current Network Chart is Grouped.

If selected, the current Network Chart uses the Grouping options defined in Edit Groups. By default, Network Charts are Grouped and allow you to see the Horizontal bands across the page that represent the various Groups in the project.

Here is an example of a Network Chart Grouped by Outline:

If not selected, the current Network Chart removes the Group Headers and displays all Tasks in one chart.

Here is an example of that same Network Chart when not Grouped:


Project Summary Task

Turns the Project Summary Task on and off.

The Project Summary Task represents the highest level of the project. It is used to quickly display the highest level of a project (or chart) without adding a “real” task. The Project Summary Task has a WBS code of 0 (zero) and represents the rollup of the entire project. The name of the Project Summary Task is the name of the project.

You cannot delete the Project Summary Task, and other Summary Tasks and Tasks can only be created below the Project Summary task.

If you have already created a project with top level Summary Task at the top then there may not be a need for a Project Summary Task. However, when you place a real task at the top of a project, the WBS code is started at the number 1. Many people like to start with the number 0 at the top and you can use the Project Summary Task for this.

The Project Summary Task is also useful if you create a WBS chart from an external datasource (such as Microsoft Project) where there may not be a single project-wide Summary Task. You can quickly show a top-level box with all of the project information rolled up by selecting the Project Summary Task option.

The Project Summary Task works much like the Project Summary Task option in Microsoft Project.


Independent

Select to make the current View's Grouping independent of all other Views.

By default, Grouping options are applied across the WBS Chart, Network Chart and Task Sheet Views. If you change the way one View is Grouped this applies to all the others where the Independent checkbox is not selected.

By selecting the Independent checkbox, changes made to the way the current View is Grouped does not affect other Views.


Find

Searches the current chart and selects the first occurrence of the text entered in the Find what: field. The Find feature only looks for text that is currently displayed in the chart.

Select the Find Next button to find the next occurrence of the text.

You can also cancel the dialog and press F3 to find the next occurrence of the text.

Enter new text in the Replace with: field and replace the text as you find it or press Replace All to replace all occurrences of the text at once.


Go To

Searches for and selects a task in the current chart based on certain criteria. Type in the ID or WBS number for the task you are looking for and WBS Schedule Pro will select this task.


Spelling

Starts Spell Checking the current Project. Use the drop down arrow to set Spell Check options and specify which fields to Spell Check.


Microsoft Project

Switches to Microsoft Project. If the current WBS Schedule Pro chart is a “standalone” chart (has never been transferred to Microsoft Project) then this button transfers the data in the current chart to Microsoft Project for further scheduling. The data is then stored in Microsoft Project and the chart is “linked” to this Microsoft Project plan.

If the current chart is linked to an open Microsoft Project plan then this button switches to that plan in Microsoft Project.


Zoom In

Increases the size of the chart on the screen. You can also Zoom In using the Zoom Slider in the lower right corner of the screen.


Zoom Out

Decreases the size of the chart on the screen. You can also Zoom Out using the Zoom Slider in the lower right corner of the screen.


Zoom Custom

Displays the Zoom dialog box for adjusting the WBS or Network chart to specific or custom factors. You can also display the Zoom dialog by selecting the Zoom factor displayed in the lower right corner of the screen.Zoom displays the Zoom dialog box for adjusting the WBS chart to specific zoom factors.

Select from one of the preset zoom factors (200% - 25%) to enlarge or shrink the WBS chart on the screen to the size selected.

Select Fit Chart Height to shrink the chart to fit vertically on the screen.

Select Fit Chart Width to shrink the chart to fit horizontally on the screen.

Select Fit Chart to shrink the entire chart to one screen.

Select Custom to enter a specific zoom factor.


Normal

Displays the chart in a regular window without page breaks or other output indicators.


Print Layout

Displays the chart in a window with page breaks as they would appear if printed. Page breaks are displayed based on the currently selected printer and paper size.

The Print Layout mode is useful for moving tasks around to avoid page breaks but you can also have WBS Schedule Pro automatically adjust for page breaks by selecting this option in File-Page Setup.


Tasks Pane

Tasks

Displays all of the Summary Tasks and Tasks in the project. Selecting a Task in this list will also select it in the chart. By default the WBS code is listed next to the Task name. Click the button in the upper left corner of the Tasks Pane to show the Full Codes, Short Code (the last or right-most value of the code) or No Codes preceding the Task Names.

Some tips for working with Panes

When Panes share space, select the tab of the Pane you wish to view.

Click the tab of the desired Pane and drag it to the middle of the chart to make it "float".

Click a floating Pane's title bar and drag it back over the other tabs to make it part of the same group of Panes.

Click the Auto Hide (Push Pin) icon to dock the pane against the side or bottom of the chart. Hover over the hidden tabs to quickly display the Pane. Click the Push Pin to anchor it again so it is always visible.

Click the title bar of a Pane and drag it over the displayed screen location to "dock" it at that location.

If you hide a Pane using the X, go to the View tab on the Ribbon and select the Pane you wish to view.


Notes Pane

Notes

Displays the Notes for the selected Summary Task or Task in the project. Notes are handy for entering extensive descriptions for a task. Notes entered in WBS Schedule Pro can be transferred to MS Project. Notes from MS Project can also be displayed in WBS Schedule Pro, however, Notes from MS Project are read-only in WBS Schedule Pro and cannot be edited*.

Some tips for working with Panes

When Panes share space, select the tab of the Pane you wish to view.

Click the tab of the desired Pane and drag it to the middle of the chart to make it "float".

Click a floating Pane's title bar and drag it back over the other tabs to make it part of the same group of Panes.

Click the Auto Hide (Push Pin) icon to dock the pane against the side or bottom of the chart. Hover over the hidden tabs to quickly display the Pane. Click the Push Pin to anchor it again so it is always visible.

Click the title bar of a Pane and drag it over the displayed screen location to "dock" it at that location.

If you hide a Pane using the X, go to the View tab on the Ribbon and select the Pane you wish to view.

*The Notes field in MS Project can contain formatting, embedded objects, bullets, etc... Due to the limitations of MS Project, there is no way for WBS Schedule Pro or any other program to read or access the formatted Notes from Project. MS Project can only export plain text from the Notes field so rather than removing all of the Formatting from the Notes field that a user may have spent time configuring, we’ve decided to leave them as is. You will only be able to view and print the Notes from MS Project in WBS Schedule Pro as plain text.


Horizontal Split

Splits the screen Horizontally.


Vertical Split

Splits the screen Vertically.


Full Screen

Restores any split screens to one full screen.


Options

Display the same Options dialog found in File-Options. See Options


Unlink

Removes the link to the current datasource.

What it means to be Linked to a datasource

When you are linked to a datasource (such as a Microsoft Project plan), the data displayed in WBS Schedule Pro is actually stored in the datasource and not in the current WBS Schedule Pro project. The current project is only a reflection of the data in the datasource. Saving a WBS Schedule Pro project that is linked to a datasource saves the formatting options into the .wbs file but the data remains in the datasource.

Unlinking from a Microsoft Project plan

If you create a WBS Schedule Pro project from a Microsoft Project plan, this project is linked to the MS Project plan. Any changes made in WBS Schedule Pro are immediately reflected in the Microsoft Project plan. There is a dynamic link between the Microsoft Project plan (the .mpp file) and the .wbs file. As mentioned above, when linked to a Microsoft Project plan, all data is stored in the .mpp file and the formatting options are saved in the .wbs chart file.

Unlinking a WBS Schedule Pro project from a Microsoft Project plan transfers the data into the WBS Schedule Pro project and it becomes a standalone file containing all of the data and formatting.

Important Note #1 - Keep in mind that WBS Schedule Pro does not contain many of the advanced features of MS Project so Unlinking your project from MS Project may not save information like detailed Resource Assignments, Time Phased data, etc. into the standalone .wbs file.

Important Note #2: When you Unlink a WBS Schedule Pro project from a Microsoft Project plan you cannot re-link it to this same Microsoft Project plan. If you unlink a WBS Schedule Pro project from an existing Microsoft Project plan you can only send the data back to Microsoft Project as a New Microsoft Project plan, you cannot use it to modify an existing Microsoft Project plan.

Unlinking from an MPX or Text file

If you create a WBS Schedule Pro project from an, XML, MPX or Text file this project is linked but not dynamically. In other words, you cannot modify the WBS Schedule Project and have this modify the XML, MPX or Text file.

You can select to Unlink from an XML, MPX or Text file by selecting the Unlink command. However, Unlinking from a XML, MPX or Text file happens automatically if you change the data in the linked WBS Schedule Pro project (if you add a task, or change a Duration, for example). WBS Schedule Pro cannot write back to the XML, MPX or Text file, and since you have changed the data it must Unlink from the XML, MPX or Text file to manage the data properly.

See also Creating WBS charts from Microsoft Project plans


Excel

Exports the current project information from WBS Schedule Pro to Microsoft Excel using the "Export to Excel Wizard".


Word

Exports the current project information from WBS Schedule Pro to Microsoft Word.


Resources

Displays the Resources form for defining a list of resources for the project. Resources are the people or things that you assign to a task to perform work on that task. In WBS Schedule Pro you cannot assign a resource to a task until you define the resource in this form.

Toolbar Buttons – Use the buttons in the upper right corner to Cut/Copy and Paste Resources in the list, move Resources Up and Down in the list and Insert and Delete rows in the list.

Resource Name – Enter the resource name in this field. You can enter an individual, category of individual or any other name you want to identify and assign the resource. The Resource Name field corresponds to the Resource Names field in Microsoft Project.

Initials – The initials are automatically created based on the Resource Name entered. You can accept the defaults or type in a new value. You may want to display the Initials field in the task boxes as an alternative to displaying the entire Resource Name field. The Initials field corresponds to the Initials field in Microsoft Project.

Group – The Group field contains the name of the group to which each resource belongs. The Group field corresponds to the Resource Group field in Microsoft Project.

Set as Default – Select to have this list of Resources appear in all New projects.

Import – Import a list of Resources from a currently open project in WBS Schedule Pro or from a Microsoft Project plan.

Note: If the current project is linked to a Microsoft Project plan, these Resource are the same as those listed in the Resource Sheet of Microsoft Project. Any changes made in the Resources form in WBS Schedule Pro are immediately reflected in the Resource Sheet of Microsoft Project.


Import

Resources

Import a list of Resources from a currently open project in WBS Schedule Pro or from an external file such as a Microsoft Project plan.


Calendars

Define the workdays, hours in a workday and non-working days for your project. WBS Schedule Pro supports multiple calendars. You can create different calendars with different work day configurations and assign these to various Tasks in your project. There are 3 built-in calendars in WBS Schedule Pro (Standard, Night Shift and 24 Hours). You can access these by clicking the Calendars drop down arrow and selecting a calendar from the list.

The calendar with "Project Default" next to it is the project-wide calendar. The project-wide calendar is defined in File-Options-Settings. By default the Standard calendar is set to be the project-wide calendar. If you change this in File-Options-Settings all tasks will use this calendar unless that have been assigned a specific calendar to a task.

Assign a calendar to a Task by doubleclicking a Task or by adding the Calendar field to a Task Sheet or Gantt Chart view.

This task uses the Project Default Calendar that is listed in File-Options-Settings.

Task 2 uses the 4 Day Week calendar.

Modifying Calendars

By default, when scheduling tasks, WBS Schedule Pro uses a Monday through Friday workweek and an 8 hour work day from 8:00 AM to 5:00 PM (with an hour for lunch from 12:00 PM to 1:00 PM). Change this using the Modify Calendar form.

Calendar Name - Lists the name of the calendar being displayed. You can rename the calendar by editing the current name.

Normal Working Hours - This option sets the default working hours for the Normal Working Days selected. For example, if your project uses a 10 hour day (with an hour for lunch) you could set the Normal Working Hours to something like:

8:00 AM 1:00 PM

2:00 PM 7:00 PM

Normal Working Days - Select the default working days for your project. If you typically work a 5 day week from Monday through Friday then you would select Monday through Friday. If you typically work a 4 day week you could set it to Monday through Thursday.

For selected days - Select a date (or dates) in the Calendar grid and use the options in the For selected days area to set the hours for these dates by entering From and To times, Reset these dates to the default or set them to be Non-Working days.

Repeat... - Select Repeat if you want to set up a repeating pattern for the selected day. You can only select Repeat if you have modified a day to be different than the default or have set it to be a non-working day.

Set the interval and how many times it repeats. Select the start date of the pattern and when it ends. A summary of this is displayed at the bottom of the form.


New

Create a new calendar for use in your project.

New Calendar Name - Enter the name for your new calendar.

For initial settings, copy - If you select "default normal hours" the new calendar created will be a 5 day workweek, 8 hour workday (8:00am to 12:00pm, 1:00pm to 5:00pm), with no holidays. Select the drop down list to display all of the calendars in your project to make this new calendar a copy of the one selected.


Organizer

The Calendar Organizer lets you copy Calendars from one project to another or a Calendar from the current project to the Default list.

If you modify a calendar within a project these modifications stay with that project unless you copy the changes. The Calendar Organizer will list the calendars of the current project on the left and allow you to copy these to be used as defaults for all new charts or copied to another project.

For example, if you have modified the Standard calendar in the current project to list all of your company holidays (with Repeating patterns), you can select the Standard calendar from the current project in the left column and copy it over the calendar of the same name in the New Chart Defaults column. All New Charts from then on will use this new calendar.

Tip: If you have a Standard calendar in a project that doesn't use the Default and you want it to, open the project and in the Calendar Organizer and Copy the Standard calendar from the right column to the left column.

If you have created a calendar and you want to add it to the list of New Chart Defaults, select it and Copy it from the left column to the right. It will then be available in all new charts.

To copy a calendar from one project to another, open both projects and go to the Calendar Organizer. Select the first project from the drop down list in the lower left corner and select the other project from the list in the lower right corner and Copy the desired calendars.

The Calendar File

Any changes to the calendars in New Chart Defaults are stored in a file called Calenders.ctc in the My Documents\WBS Schedule Pro folder. Use this file to distribute your collection of calendars to others.


Repeat

Select Repeat from the Calendar you are currently editing if you want to set up a repeating pattern for the selected day. You can only select Repeat if you have modified a day to be different than the default or have set that day to be a non-working day.

Repeats - Select to repeat the day configuration every Day, Week, Month or Year.

Repeat every - Select an interval.

Starts on - Select the day on which the repeating pattern will start.

Ends - Select the repeating pattern to never end, end after a certain number of occurrences or on a particular day.

The pattern is summarized at the bottom of the form.


Baseline

About Baselines

A Baseline is a shapshot of your project. When you take a Baseline it records certain information so that you can compare the current schedule to the Baseline Schedule. This is a convenient way to see how your project is doing compared to when you took the Baseline.

When you take a Baseline, the program copies the contents of the following fields into the corresponding Baseline fields:

Start to Baseline Start

Finish to Baseline Finish

Duration to Baseline Duration

Cost to Baseline Cost

Work to Baseline Work

Baseline data is used to calculate Variances in the project. The following are the Variance fields calculated when a Baseline is recorded:

Start Variance - The difference between the Start and Baseline Start.

Finish Variance - The difference between the Finish and Baseline Finish.

Duration Variance - The difference between the Duration and Baseline Duration.

Cost Variance - The difference between the Cost and Baseline Cost.

Work Variance - The difference between the Work and Baseline Work.

You can display Baseline or Variance fields in a WBS Chart, Network Chart, Gantt Chart or Task Sheet. Here is an example of Baseline and Variance fields in a Task Sheet:

Baseline and Variance data can be represented graphically in a Gantt Chart. The following Gantt Chart shows Baseline information as hollow bars and diamonds. This visually shows the Variances from the current schedule.

Taking a Baseline

The following form is used to record Baseline information.

Save Baseline

For all Tasks - This sets the Baseline for the entire project. It copies the current schedule information into the Baseline fields for all Summary Tasks, Tasks and Milestones in the project.

For Selected Tasks - This sets the Baseline for the currently selected Task or Tasks. This is useful if you have added Tasks after taking the original Baseline and you wish to set the Baseline for a certain task (or tasks) without affecting the original Baseline.

Rollup to Summary Tasks - Select this option to update Summary Task Baseline information with the currently selected Task's Baseline data. This will add to or adjust the Summary Task's Baseline with the Baseline data from the selected task or tasks.

Recalculate Summary from Tasks - Select a Summary Task and choose this option to update the Baseline data for the selected Summary Task using the data from all of its subtasks. This is useful if you have moved or deleted Tasks under a Summary Task. Moving or deleting a Task or Tasks does not automatically remove the Baseline data from their respective Summary Tasks (and it shouldn't by definition) but if you wish to update or "Re-Baseline" a Summary Task you can use this option.

Clear All Baseline Data - Select this option to clear all Baseline data in the project. This will remove all data from all of the Baseline fields in the current project.

Tip: If you want to clear certain Baseline fields try using the Task Sheet or Gantt Chart. Insert a column with the Baseline field(s) you want to clear, highlight data and choose Clear from the Format tab (or right-click and choose Clear selection). This will clear only the highlighted data.


WBS Codes

Specify options for the WBS field.

Project Code Prefix - Use this to place a pre-defined prefix in front of the WBS Codes in the project.

Code mask - Use this to force a WBS numbering scheme based on the defined Numbers and/or Characters defined at each level.

Lock WBS to Outline Structure - Use this to make the WBS field match the position in the hierarchy when using default Grouping. This means that when locked, as you move or reposition tasks in your project, the WBS will be updated to match the new position in the project. Unlocking allows you to create custom WBS Codes that do not update as you move tasks around. You can also have duplicate WBS Codes when unlocked.


Fields

Rename fields, Rollup fields and create Value Lists for certain fields.

Show Fields – Select the type of field you wish to customize.

Renaming a field is useful if you are familiar with a certain term for a field and want to display that name instead of the name used in WBS Schedule Pro. For example, if you use the word Task Name instead of the word Name then you could rename the Name field to Task Name. Renaming fields is also useful if you use fields such as the Text fields or Flag fields . If you use the Text1 field to display the Department A then you could rename Text1 to Department.

Title – Enter the new name for this field. This Title will appear anywhere this field is used including in Task Boxes on the screen, in Dialog boxes and on printouts.

Rollup - Select to summarize data to each level of the project. Many fields in WBS Schedule Pro (like the Cost, Duration, Start and Finish) automatically rollup so there is no need to set these (nor is there a way to prevent their rollup). There are other fields in WBS Schedule Pro that you can use to enter your own cost, date, duration or work information into. These fields include Cost1-10, Date1-Date10, Duration1-Duration10, Number1-Number20, Start1-Start10 and, Finish1-Finish10. If you use these fields you can roll information up using the Rollup dropdown list to specify how you want the data to rollup to each Summary level.

Note: A Rolled Up field can no longer be edited in a Summary Task since it is now calculated data at every summary level.

Clear all Titles – Removes all entries from the Title column.

Set as Default – Changes made to the Fields Name form are saved to the current project. Select the Set as Default option to make the current Field Names form the default for all new projects.

Reset – Reverts to the default list of field names. The default list of field names may be blank unless you previously customized this list and chose the Set as Default option.

Value List – Create a pre-set list of values for this field. These values appear as a drop down list of choices in the program wherever this field is displayed.

Using the buttons in the upper right corner of this form, Cut/Copy and Paste values, move them up/down and insert and delete rows in the list. The Load Data from Chart button on the right is useful if you have already entered values into this field before creating the Value List. Clicking the Load Data from Chart button copies all of the contents of this field into the Value List.

Options - Displays additional options for working with the Value List

Type - Limit the values in the Value List to a certain type of character or number.

Length - Limit the values in the Value List to a certain character length.

Default Value - Select one of the values from the Value List to appear by default whenever a new task is created.

Restrict field to items in the value list - Users can only pick from the value list and cannot manually enter information into the the field.

Allow additional items to be entered into the field - User can pick from the value list OR enter information into the field.

Append new entries to the value list - Users can pick from the value list OR enter information into the field with any new values added to the value list.

Prompt before adding new entries - Prompts the user to confirm whether a new value should be added to the value list if additional items are allowed to be appended to the value list.

Display order for dropdown list - Displays the order in which the values are displayed in the dropdown list.


Undo

Removes the last command performed in WBS Schedule Pro. When using WBS Schedule Pro to create a standalone chart, most operations can be undone.

IMPORTANT NOTE: When using WBS Schedule Pro to modify an existing Microsoft Project plan, certain operations cannot be undone. Adding, Deleting or Moving tasks in a chart linked to a Microsoft Project plan cannot be undone. WBS Schedule Pro communicates with Microsoft Project through OLE automation, which does not provide a method to Undo complex operations. However, some simple operations such as renaming a task can be Undone.


Redo

Reverses the action of the Undo command. To undo recent actions one at a time, click Undo. If you didn't want to undo an action click Redo.


Fields - Summary Tasks

See Fields - Tasks


Fields - Tasks

Fields

The Format Fields dialog box allows you to define the arrangement of fields for WBS and Network Charts. You can arrange an unlimited number of fields in and around the boxes in your chart. The concept for defining fields in boxes is the same for Summary Tasks and Tasks and for WBS Charts and Network Charts and are discussed in one topic below...

For WBS Charts, fields are defined separately for Summary Task and Task boxes and are edited using the Fields-Summary Tasks and Fields-Tasks option on the Format tab when in a WBS Chart.

For Network Charts, the arrangement of fields is the same for both Summary Task and Task boxes are are edited using the Fields option on the Format Tab when in a Network Chart.

The Format Fields dialog box allows you to define the arrangement, color, and formatting of fields within the box, however, it is not where you define the box colors, shapes and shadows. For this, see Boxes

Adding/Deleting and Arranging Fields

To add fields, use the Rows and Columns buttons on the right side of form. Rows and Columns are inserted relative to the selected cell in the sample grid in the middle of the form.

Rows

Insert Above – Adds a row above the selected cell.

Insert Below – Adds a row of below the selected cell.

Delete – Removes the entire row containing the selected cell.

Minimize Height – Makes the selected row as short as possible. This option is useful for minimizing the height of certain cells when the cells would otherwise be stretched across the row. Rows are stretched when data in one area of the row causes the entire row to be taller, or when you use the feature to “Match Box Sizes”.

Consider the example below where the text on the side makes the box tall. By making the box taller some rows need to stretch. If you did not select the Minimize Height option on any of the rows then all rows are stretched evenly, like this:

If you select the second and third rows in the grid and select the Minimize Height option then it would look like this:

It minimizes the space in the second and third rows and stretches the first row to fill the remaining space.

Note: If you select the Minimize Height option on all of the rows and rows need to be stretched (as in this example) then it will evenly distribute the space in the rows much like the first picture above.

Columns

Insert Left – Adds a or column to the left of the selected cell.

Insert Right – Adds a column to the right of the selected cell.

Delete – Removes the entire column containing the selected cell.

Minimize Width – Makes the selected column as narrow as possible. This option is useful for minimizing the width of certain cells when the cells would otherwise be stretched across the column. Columns may need to be stretched when data in one area of the column causes the entire column to be wider, or when you use the feature to “Match Box Sizes”.

Consider the example below where the name of the task makes the box wide. By making the box wide some columns need to stretch. If you did not select the Minimize Width option on any of the columns then all columns are stretched evenly, like this:

If you select the first column in the grid and select the Minimize Width option then it would look like this:

It minimizes the space in the first column and evenly spaces the remaining columns.

Note: If you select the Minimize Width option on all of the columns and columns need to be stretched (as in this example) then it will evenly distribute the space in the columns much like the first picture above.

Merge Cells – Makes a field span more than one cell. To merge cells, click and drag to select multiple cells and then select the Merge Cells option. In the example below, the WBS field is added above the Name field and merged into one cell. To do this:

Insert a Row above the Name field.

Click in the WBS field and drag from the WBS cell to the right to highlight both cells.

Select the Merge Cells option. Once merged, align the text in this new space using the Align options.

Box Interior – Defines the box interior so fields can be displayed outside of the box. To define the “Box Interior”, click and drag across the fields (cells) that you want to include inside the box and select Box Interior.

Using the above example, to make the WBS field appear outside of the box, click and drag across the Name, Duration, %Complete, Start and Finish fields to highlight these field. Then, select the Box Interior option.

Highlight the fields that make up the interior of the box. | Click the Box Interior option.

Selecting the Box Interior option removes the box border and any gridlines associated with the cell outside of the box. To replace the border and gridlines, deselect the box interior option and then select the Gridlines option, and choose Set All to restore all of the Gridlines between the cells.

Formatting the Fields

To format a field, select the field (cell) by clicking on the appropriate field in the sample grid in the middle of the form. Then, select the formatting options in the Cell Style area.

Following is an explanation of each of the options in Cell Style:

Field – Select the drop down arrow to display a complete list of fields. Choose a field from this list to display in the selected cell. For a list of fields, see Fields in WBS Schedule Pro .

Label – Enter text to display before or after the data in the selected cell. Leave the After checkbox unchecked to display text to the left of the data in the cell or click the After checkbox to display the label to the right of the data in the cell.

No Labels for the cells. | ID, Start and Finish Labels have been added.

Format – Displays options for formatting the data for the selected cell such as different display formats for date fields. Some fields do not have formatting options and this option is unavailable.

Wrap after xx characters – Specify the number of characters on which to “Word Wrap”. WBS Schedule Pro attempts to wrap the line of text at the number of characters specified. However, it can only wrap on a space and may wrap at more or less than the number of characters specified.

Font – Sets the font type for the selected cell.

Size – Sets the font size for the selected cell.

Rotate – Displays the text in the cell normal (0°), top-to-bottom (90°), or bottom-to-top (270°).

Align – Sets the alignment of the text Horizontally to the Left, Center or Right within the cell.

Vertical – Sets the alignment of the text Vertically to the Top, Center or Bottom within the cell.

Bold/Italic/Underline – Sets the text to Bold, Italic or Underlined for the selected cell.

Text – Sets the color for the text in the cell. Choose the Same as Box Border option to display the text the same color as the box border. This is useful, for example, if you were displaying Critical tasks in the chart as red boxes, and Noncritical tasks in the chart as Blue boxes, and you wanted the text within the boxes to match these colors.

Fill – Sets the background color for the cell.

Progress – Displays a fill pattern within the cell based on the completion (% Complete) of the task.

Margins – Allows you to set the left, right, top and bottom margins around the text in the selected cell.

Additional Options

Gridlines – Select to configure the gridlines between the fields. The separating lines between the fields that are displayed are referred to as Gridlines. You can choose to turn them all off (Clear All), turn them all on (Set All), or individually select which gridlines appear.

Copy – Select to copy the arrangement of fields for pasting into the Summary Task Fields or Task Fields form. For example, if you are currently configuring Task Fields and you wanted to use this same arrangement of fields for your Summary Tasks, select Copy while in the Task Fields form, then go to the Summary Task Fields dialog box and press Paste.

Paste – Select to paste the copy of the fields into the current Summary Task Fields or Task Fields form. You must have previously selected Copy from either the Summary Task Fields or Task Fields dialog box for this to work.


Lines

Defines styles, shapes and colors for the connecting lines in the WBS Chart.

Exiting Summary Tasks - Define an arrowhead style (or none at all) for lines coming out of a summary box. Choose Shape to define the arrowhead type, Size for the thickness of the arrowhead, Edge for the outside edge color of the arrowhead and Fill for the inside color of the arrowhead.

Line – Define the connecting line thickness and style. Choose Style for the various line styles and Color for a list of available colors.

Entering Sub-tasks – Define an arrowhead style (or none at all) for lines going into a task box. Choose Shape to define the arrowhead type, Size for the thickness of the arrowhead, Edge for the outside edge color of the arrowhead and Fill for the inside color of the arrowhead.


Boxes

Specify Box Styles such as Shadow, Background Fill and Borders based on different conditions. Box styles can be based on the following:

    1. By the Critical and Noncritical status of tasks.
    2. Using the Flag Fields set on each task.
    3. By the Progress (% Complete) of the tasks.
    4. By the Level of the Summary Task, Task or Milestone in the chart.

Shadows, Fill and Borders can be based on the same condition or can be combined. An example of combining conditions could be Shadows based on whether a task is Critical or Noncritical and the Fill color based on the Progress of a task.

Tip: You can rename the entries in the Box Styles list by selecting Project-Fields. For example, Critical Task can be renamed to Critical Path Activity. The renamed entries are also used when the Legend for Box Styles is printed.

Tip #2: Tip: If you change settings in Box Styles and some boxes on the screen do not update to the new style you may have set Custom Box Settings on those boxes, see Custom Box Settings . To Reset all of the boxes in the chart and use the chart-wide settings defined in Box Styles, press Ctrl-A in your chart, right-click on any task and select Reset. This will remove all Custom Box Settings in the chart.

The conditions on which to base the Shadows, Fill colors and Borders are described below.

Based on Critical Path

Set the Shadow, Fill and/or Border attributes for Tasks, Summary Tasks and Milestones in the chart based on the Critical or Noncritical status of these items.

To select multiple items in the list, click and drag across these items or Ctrl-Click with your mouse to select multiple items.

Click Remove from Legend to prevent the selected item from appearing the the legend when printed.

Based on Flags

Set the Shadow, Fill and/or Border attributes for items in the chart based on Flag settings. Flags in WBS Schedule Pro are simple Yes/No fields that you can set on a task. There are 20 Flag fields (Flag1 through Flag20). By using the Flag fields, styles can be defined for different flags and then set on specific tasks to apply that style to that task.

Note: The first Flag on a task takes precedence so if you have Flag2 and Flag3 set on a task it will display as Flag2.

For example, if you wanted some boxes in your chart to be Green, some Purple and others Yellow then you could define the Flag1 Fill to be Green, Flag2 Fill to Purple and Flag3 to Yellow. Then for each task that you want to be Green you would double-click that task, select the Flag tab in the Task Information dialog box and click Flag1. For each task that you want to be Purple you would select those tasks, set Flag2 and so on.

If you are using Microsoft Project, the Flag fields in WBS Schedule Pro correspond directly to the Flag fields in Microsoft Project. They can be set in Microsoft Project or in WBS Schedule Pro.

Click Remove from Legend to prevent the selected item from appearing the the legend when printed.

Based on Progress

Set the Shadow, Fill and/or Border attributes for Tasks, Summary Tasks and Milestones in the chart based on the progress of these items.

You can define colors for Summary Tasks, Tasks and Milestones that have not started, are in progress or have completed. The % Complete (percent complete) field is used to determine the progress of a task using the following definition:

    1. If a task has 0 (zero) in the % Complete field then the task is considered Not Started.
    2. If a task has between 1 and 99 in the % Complete field then the task is considered In Progress.
    3. If a task has 100 in the % Complete field then the task is considered to be Completed.

Click Remove from Legend to prevent the selected item from appearing the the legend when printed.

Based on Level

Set the Shadow, Fill and/or Border attributes for Summary Tasks, Tasks (including Milestones) in the chart based on the current Level of these items in the chart.

You can define colors for Summary Tasks and Tasks based on their Level in the current chart.

Click Remove from Legend to prevent the selected item from appearing the the legend when printed.

Shadow Settings

Style – Define the style of the shadow or choose None for no shadow.

Color – Define the shadow color from the list of colors.

Fill Settings

Box Fill – Define the color of the interior of the box.

Edge Fill – Define the color of the outside edge of the box. The Edge Fill color only applies if you have defined a Border Style that contains an area (edge) outside of the box. For example:

Borders Settings

Style – Define the shape of the box by choosing from the various styles in this list.

Width – Define the thickness of the border by choosing Thin, Medium or Thick from the list.

Color – Define the color of the box border from the list of colors.

Individually Changing Box Styles in a chart

If you want to change the box styles of select boxes in a chart, you do not need to use the Box Styles dialog box to do this. Instead, just select a box on the screen, right-click and select Custom Box Settings... The Custom Box Settings dialog box allows you to change the selected box(es) as exceptions to the Box Styles definition described above. The overriding style settings remain a part of that box until you delete the task or Reset it using the Custom Box Settings dialog box. See also Custom Box Settings


Overall Style

Defines the chart-wide arrangement style of Summary Tasks and Tasks in the WBS Chart. The style types are defined below but are applied to the entire WBS Chart rather than individually selected items.


Orientation

Defines the chart-wide direction of boxes in the WBS Chart.


Between Summaries

Click to increase or decrease the distance between the Summary Tasks in the WBS Chart.


Between Tasks

Click to increase or decrease the distance between the Tasks in the WBS Chart.


To Subtasks

Click to increase or decrease the distance between the Summary Tasks and their Subtasks in the WBS Chart.


Org Chart Style

Clicking the Org Chart Style button on the Ribbon changes the way the items immediately below the selected Summary Task are displayed. This button only changes the arrangement of items one level below the selected Summary Task and overrides the chart-wide Overall Style for the Summary Task.

The arrangement of the Tasks below the Summary Task when using the Org Chart Style button is left to right.

To Reset the arrangement of subtasks below a selected Summary Task, right-click on a Summary Task and select Reset-Custom Subtask Arrangement.

The chart-wide arrangement for the entire WBS chart is set in Format-Overall Style. See Overall Style


WBS Chart Style

Clicking the WBS Chart Style button on the Ribbon changes the way the items immediately below the selected Summary Task are displayed. This button only changes the arrangement of items one level below the selected Summary Task and overrides the chart-wide Overall Style for the Summary Task.

The arrangement of the items below a Summary Task when using the WBS Chart Style button is to display Tasks vertically but Summary Tasks left to right.

For example:

This chart has an Overall Style of Org Chart. All boxes are displayed left to right below their respective Summary Tasks.

After selecting the top Summary Task and clicking the WBS Chart Style button it stacks Tasks vertically while leaving the second level Summary Tasks displayed left to right.

To Reset the arrangement of subtasks below a selected Summary Task, right-click on a Summary Task and select Reset-Custom Subtask Arrangement.

The chart-wide arrangement for the entire WBS chart is set in Format-Overall Style. See Overall Style


List All Style

Clicking the List All Style button on the Ribbon changes the way the items immediately below the selected Summary Task are displayed. This button only changes the arrangement of items one level below the selected Summary Task and overrides the chart-wide Overall Style for the Summary Task.

The arrangement of the items below a Summary Task when using the List All Style button is to display all items vertically (Tasks and Summary Tasks).

For example:

This chart has an Overall Style of Org Chart. All boxes are displayed left to right below their respective Summary Tasks.

After selecting the top Summary Task and clicking the List All Style button it stacks the Tasks and Summary Tasks vertically but only those directly below the top box.

To Reset the arrangement of subtasks below a selected Summary Task, right-click on a Summary Task and select Reset-Custom Subtask Arrangement.

The chart-wide arrangement for the entire WBS chart is set in Format-Overall Style. See Overall Style


WBS Style 2 Columns

Clicking the WBS Style 2 Columns button on the Ribbon changes the way the items immediately below the selected Summary Task are displayed. This button only changes the arrangement of items one level below the selected Summary Task and overrides the chart-wide Overall Style for the Summary Task.

The arrangement of the items below a Summary Task when using the WBS Style 2 Columns button is to display Tasks vertically in 2 columns but display Summary Tasks left to right.

For example:

This chart has an Overall Style of Org Chart. All boxes are displayed left to right below their respective Summary Tasks.

After selecting the top Summary Task and clicking the WBS Style 2 Columns button it stacks Tasks vertically in 2 columns while leaving the second level Summary Tasks displayed left to right.

To Reset the arrangement of subtasks below a selected Summary Task, right-click on a Summary Task and select Reset-Custom Subtask Arrangement.

The chart-wide arrangement for the entire WBS chart is set in Format-Overall Style. See Overall Style


List All Style 2 Columns

Clicking the List All Style 2 Columns button on the Ribbon changes the way the items immediately below the selected Summary Task are displayed. This button only changes the arrangement of items one level below the selected Summary Task and overrides the chart-wide Overall Style for the Summary Task.

The arrangement of the items below a Summary Task when using the List All Style 2 Columns button is to display all items vertically in 2 columns (Tasks and Summary Tasks).

For example:

This chart has an Overall Style of Org Chart. All boxes are displayed left to right below their respective Summary Tasks.

After selecting the top Summary Task and clicking the List All Style 2 Columns button it stacks the Tasks and Summary Tasks vertically but only those directly below the top box.

To Reset the arrangement of subtasks below a selected Summary Task, right-click on a Summary Task and select Reset-Custom Subtask Arrangement.

The chart-wide arrangement for the entire WBS chart is set in Format-Overall Style. See Overall Style


Reset

Removes custom box positioning or custom arranging of subtasks from the WBS Chart. Select All to remove both Custom Box Positions and Custom Subtask Arrangements or select one from the list. Each is described below.

All Custom Box Positions

In a WBS Chart you can click and drag boxes to reposition them in the chart. Click the edge of a box to move it. In the example below, Task 2 has been moved down and Task 5 has been moved to the right.

Selecting All Custom Box Positions would move all boxes back to their default positions as defined in the Default Spacing area of the Format tab. Like this:

All Custom Subtask Arrangements

In a WBS Chart you can individually arrange the subtasks for a selected Summary Task. Click a Summary Task and select one of the 5 buttons in the Individually Arrange Subtasks area of the Format tab. In the example below, the top Summary Task was selected when the WBS Chart Style button was selected:

Selecting All Custom Subtask Arrangements would arrange all boxes in the same style as defined in the Overall Style drop down list in the Format tab. In this example, the Overall Style was set to Org Chart which gives this chart when reset:


Left

Overrides the default alignment of a selected Summary Task over it subtasks. The default alignment of Summary Tasks is found by right-clicking in a WBS chart and selecting Format Chart.

An example of Left Align for a Summary Task:


Center

Overrides the default alignment of a selected Summary Task over it subtasks. The default alignment of Summary Tasks is found by right-clicking in a WBS chart and selecting Format Chart.

An example of Center Align for a Summary Task:


Right

Overrides the default alignment of a selected Summary Task over it subtasks. The default alignment of Summary Tasks is found by right-clicking in a WBS chart and selecting Format Chart.

An example of Right Align for a Summary Task:


Align

Aligns the connector of the selected Summary Task with the closest vertical line of its subtasks. This overrides the default behavior of the Align Connectors option found by right-clicking in a WBS chart and selecting Format Chart. For example, selecting Align would place the Summary Task over Task 3 as shown:

Align Boxes toolbar button

Reset Position – Removes any manual alignments made to the selected task(s) and reverts to using the default alignment settings as defined in the Format-Chart dialog box.

Note: You can also align/arrange Tasks in the WBS chart by clicking and dragging the edge of a Task’s box to the desired location. See Copying Moving and Repositioning Tasks for this related topic.


Align Boxes

Lines up all of the selected boxes to be even with the "current" box (the one with the red box around it). For example, with several tasks highlighted but with Task 2 the current task:

Selecting the Align Boxes button displays the following:


Height

Select the way box height is determined throughout the WBS Chart. The available options are:

Don't Match - Box height for all Summary Task and Task boxes are sized independently based on the amount of text in a box, fonts, fields, etc.

Match All – Box height for all Summary Task and Task boxes are made equal in size to the tallest box.

Match Summary Tasks and Tasks Independently – All Summary Task boxes are made equal in height to the tallest Summary Task box and all Task boxes are made equal in height to the tallest Task box.

Match Summary Tasks Only – All Summary Task boxes are made equal in height to the tallest Summary Task box and all Task boxes are sized independently.

Match Tasks Only – All Task boxes are made equal in height to the tallest Task box and all Summary Task boxes are sized independently.


Width

Select the way box width is determined throughout the WBS Chart. The available options are:

Don't Match - Box width for all Summary Task and Task boxes are sized independently based on the amount of text in a box, fonts, fields, etc.

Match All – Box width for all Summary Task and Task boxes are made equal in size to the widest box.

Match Summary Tasks and Tasks Independently – All Summary Task boxes are made equal in width to the widest Summary Task box and all Task boxes are made equal in width to the widest Task box.

Match Summary Tasks Only – All Summary Task boxes are made equal in width to the widest Summary Task box and all Task boxes are sized independently.

Match Tasks Only – All Task boxes are made equal in width to the widest Task box and all Summary Task boxes are sized independently.


Progress

Turns the Progress indicator on and off in the WBS Chart.

The Progress indicator displays the progress of tasks by placing an X or a single diagonal line through the task box based on the Percent Complete of the task. The Progress indicator uses the % Complete field to determine the progress of the tasks in the WBS Chart using the following rules:

    1. Displays an X through the box if the task is 100% complete.
    2. Displays a diagonal line through the box if the task is 1% to 99% Complete (in progress).
    3. Does not display Progress Marks if the task is 0% complete.

The color and thickness of the Progress indicator is always the same as the Box Border.

Here is an example of the Progress indicator:

Progress indicators appear on the screen and are printed.

Using the Progress indicator is one of a number of different ways to display progress in a WBS Chart. You can also show progress using the following features:

Use Colors and Box Styles to display progress for your tasks in the WBS Chart – See Box Style

Color a field background for task boxes based on progress – See Task Boxes


Notes

Turns the Notes indicator on and off in the chart.

The Notes indicator is a small icon that appears above a task if that task has any information in the Notes field.

Hover over the icon to display a small amount of these Notes. Doubleclick the task and select the Notes tab to see the complete Note.

Here is an example of the Notes indicator:

The Notes indicators only appear on the screen and do not print.


Constraints

Turns the Constraints indicator on and off in the chart.

The Constraints indicator is a small icon that appears above a task if that task has a Constraint other than As Soon As Possible or As Late As Possible.

Hover over the icon to display the Constraint. Doubleclick the task and select the General tab to edit the Constraint.

Here is an example of the Constraints indicator:

Notice that for "soft" Constraints like Start No Earlier Than or Finish No Later Than, the indicator is blue and for "hard" Constraints like Must Start On or Must Finish On the indicator is red.

The Constraints indicators only appear on the screen and do not print.


Hyperlinks

Turns the Hyperlinks indicator on and off in the chart.

The Hyperlinks indicator is a small icon that appears above a task if that task has a Hyperlink.

Hover over the icon to display the Hyperlink. Click the Hyperlinks indicator to go to the Hyperlink associated with that task. Doubleclick the task and select the Hyperlink tab to edit the Hyperlink.

Here is an example of the Hyperlinks indicator:

The Hyperlinks indicators only appear on the screen and do not print.


Complete

Turns the Complete indicator on and off in the chart.

The Complete indicator is a small icon that appears above a task if that task has completed (ie: is 100% Complete).

Hover over the icon to display the Complete date.

Here is an example of the Complete indicator:

The Complete indicators only appear on the screen and do not print.


WBS Codes

Turns WBS Codes on and off in the chart.

Selecting WBS Codes places the WBS Code before the Name of each task throughout the chart. It's a quick and easy way to include the WBS field in a chart without having to define the layout of fields in a box.

Here is an example of a chart without WBS Codes:

and after selecting WBS Codes:

The WBS Codes appear on the screen and are printed.


Fields

The Format Fields dialog box allows you to define the arrangement of fields for WBS and Network Charts. You can arrange an unlimited number of fields in and around the boxes in your chart. The concept for defining fields in boxes is the same for Summary Tasks and Tasks and for WBS Charts and Network Charts and are discussed in one topic below...

For WBS Charts, fields are defined separately for Summary Task and Task boxes and are edited using the Fields-Summary Tasks and Fields-Tasks option on the Format tab when in a WBS Chart.

For Network Charts, the arrangement of fields is the same for both Summary Task and Task boxes are are edited using the Fields option on the Format Tab when in a Network Chart.

The Format Fields dialog box allows you to define the arrangement, color, and formatting of fields within the box, however, it is not where you define the box colors, shapes and shadows. For this, see Boxes

Adding/Deleting and Arranging Fields

To add fields, use the Rows and Columns buttons on the right side of form. Rows and Columns are inserted relative to the selected cell in the sample grid in the middle of the form.

Rows

Insert Above – Adds a row above the selected cell.

Insert Below – Adds a row of below the selected cell.

Delete – Removes the entire row containing the selected cell.

Minimize Height – Makes the selected row as short as possible. This option is useful for minimizing the height of certain cells when the cells would otherwise be stretched across the row. Rows are stretched when data in one area of the row causes the entire row to be taller, or when you use the feature to “Match Box Sizes”.

Consider the example below where the text on the side makes the box tall. By making the box taller some rows need to stretch. If you did not select the Minimize Height option on any of the rows then all rows are stretched evenly, like this:

If you select the second and third rows in the grid and select the Minimize Height option then it would look like this:

It minimizes the space in the second and third rows and stretches the first row to fill the remaining space.

Note: If you select the Minimize Height option on all of the rows and rows need to be stretched (as in this example) then it will evenly distribute the space in the rows much like the first picture above.

Columns

Insert Left – Adds a or column to the left of the selected cell.

Insert Right – Adds a column to the right of the selected cell.

Delete – Removes the entire column containing the selected cell.

Minimize Width – Makes the selected column as narrow as possible. This option is useful for minimizing the width of certain cells when the cells would otherwise be stretched across the column. Columns may need to be stretched when data in one area of the column causes the entire column to be wider, or when you use the feature to “Match Box Sizes”.

Consider the example below where the name of the task makes the box wide. By making the box wide some columns need to stretch. If you did not select the Minimize Width option on any of the columns then all columns are stretched evenly, like this:

If you select the first column in the grid and select the Minimize Width option then it would look like this:

It minimizes the space in the first column and evenly spaces the remaining columns.

Note: If you select the Minimize Width option on all of the columns and columns need to be stretched (as in this example) then it will evenly distribute the space in the columns much like the first picture above.

Merge Cells – Makes a field span more than one cell. To merge cells, click and drag to select multiple cells and then select the Merge Cells option. In the example below, the WBS field is added above the Name field and merged into one cell. To do this:

Insert a Row above the Name field.

Click in the WBS field and drag from the WBS cell to the right to highlight both cells.

Select the Merge Cells option. Once merged, align the text in this new space using the Align options.

Box Interior – Defines the box interior so fields can be displayed outside of the box. To define the “Box Interior”, click and drag across the fields (cells) that you want to include inside the box and select Box Interior.

Using the above example, to make the WBS field appear outside of the box, click and drag across the Name, Duration, %Complete, Start and Finish fields to highlight these field. Then, select the Box Interior option.

Highlight the fields that make up the interior of the box. | Click the Box Interior option.

Selecting the Box Interior option removes the box border and any gridlines associated with the cell outside of the box. To replace the border and gridlines, deselect the box interior option and then select the Gridlines option, and choose Set All to restore all of the Gridlines between the cells.

Formatting the Fields

To format a field, select the field (cell) by clicking on the appropriate field in the sample grid in the middle of the form. Then, select the formatting options in the Cell Style area.

Following is an explanation of each of the options in Cell Style:

Field – Select the drop down arrow to display a complete list of fields. Choose a field from this list to display in the selected cell. For a list of fields, see Fields in WBS Schedule Pro .

Label – Enter text to display before or after the data in the selected cell. Leave the After checkbox unchecked to display text to the left of the data in the cell or click the After checkbox to display the label to the right of the data in the cell.

No Labels for the cells. | ID, Start and Finish Labels have been added.

Format – Displays options for formatting the data for the selected cell such as different display formats for date fields. Some fields do not have formatting options and this option is unavailable.

Wrap after xx characters – Specify the number of characters on which to “Word Wrap”. WBS Schedule Pro attempts to wrap the line of text at the number of characters specified. However, it can only wrap on a space and may wrap at more or less than the number of characters specified.

Font – Sets the font type for the selected cell.

Size – Sets the font size for the selected cell.

Rotate – Displays the text in the cell normal (0°), top-to-bottom (90°), or bottom-to-top (270°).

Align – Sets the alignment of the text Horizontally to the Left, Center or Right within the cell.

Vertical – Sets the alignment of the text Vertically to the Top, Center or Bottom within the cell.

Bold/Italic/Underline – Sets the text to Bold, Italic or Underlined for the selected cell.

Text – Sets the color for the text in the cell. Choose the Same as Box Border option to display the text the same color as the box border. This is useful, for example, if you were displaying Critical tasks in the chart as red boxes, and Noncritical tasks in the chart as Blue boxes, and you wanted the text within the boxes to match these colors.

Fill – Sets the background color for the cell.

Progress – Displays a fill pattern within the cell based on the completion (% Complete) of the task.

Margins – Allows you to set the left, right, top and bottom margins around the text in the selected cell.

Additional Options

Gridlines – Select to configure the gridlines between the fields. The separating lines between the fields that are displayed are referred to as Gridlines. You can choose to turn them all off (Clear All), turn them all on (Set All), or individually select which gridlines appear.

Copy – Select to copy the arrangement of fields for pasting into the Summary Task Fields or Task Fields form. For example, if you are currently configuring Task Fields and you wanted to use this same arrangement of fields for your Summary Tasks, select Copy while in the Task Fields form, then go to the Summary Task Fields dialog box and press Paste.

Paste – Select to paste the copy of the fields into the current Summary Task Fields or Task Fields form. You must have previously selected Copy from either the Summary Task Fields or Task Fields dialog box for this to work.


Link Lines

Define dependency line styles plus any text associated with dependency lines in the Network chart.

Line Styles

Define how the dependency lines are displayed in the Network chart.

Diagonal – Draws dependency lines straight from the middle of one task box to another. Dependency lines may cut though other boxes or overlap other dependencies.

Routed – Draws dependency lines around task boxes in separate channels where necessary.

Critical Style – Define the line style and thickness of the critical dependency lines.

Noncritical Style – Define the line style and thickness of the noncritical dependency lines

Line Colors: - Choose to have the line colors based on the Critical Color and Noncritical color lists or choose to Match the line colors based on options in the dop down list.

Critical Color – Define the line color of the critical dependency lines.

Noncritical Color – Define the line color of the noncritical dependency lines.

Arrows – Define the style and size of the arrowhead that is drawn at the end of each dependency line.

Corners – Define the shape of the corners when using the Routed Line Style. Note that some printers do not print the “Curve” corner style properly. We recommend using the Diagonal or Right Angle corner style for best results.

Spacing – Define the amount of space between dependency lines in the chart.

Labels

Select to display information about the dependency directly on the dependency line.

Format: - Choose the format and type of dependency you wish to display on the dependency line.

Font/Size/Color, etc. – Define the text attributes for the dependency line labels. These attributes also apply to the text at the end of Hidden Dependency Lines if you choose that option.

Hidden Tasks

Select this option to show dependency identifiers to tasks that are currently not displayed (hidden) in the chart.

Show dependencies to hidden tasks – Select this option to turn on this feature and to show the dependency plus a node at the end of the dependency line to identify the hidden task.

Show Field – Select the information to include in the node at the end of the dependency line such as the Id or the Name of the task.

Limit text to xx characters – Enter a maximum number of characters to include in the node for hidden tasks. Text will be truncated after the number of characters specified.

Text – Select the color for the text in the node.

Edge – Select the border color of the node.

Fill – Select the color for the interior of the node.


Group Headers

Specify the formatting for the Group Headers in the Network Chart.

Name Format - This only applies if you are Grouped by a Text Field, Outline Code or WBS Code and the Grouping field contains a Value List. A Value List for a field can contain a Value plus a Description and the Name Format drop down list allows you to select to display only the Value, only the Description, the Value + Description or the Description + Value (in brackets) in the Group Header.

If you are Grouped by Summary Tasks then the Name of the Summary Tasks is displayed in the Group Header regardless of what is selected in the Name Format field.

Group Headers - Define font style, size, text color, background fill and margins for the Group Header text. You can choose to apply this to all Group Headers in the Network Chart or select a specific level.

Separator Lines - Define the style and color of the Group Header separator lines.

Draw Group Header on Top - Select to draw the Group Headers over the dependency lines in the Network Chart.


Arrange

Choose a general arrangement of boxes. Network Charts will always place Task boxes from left to right based on their dependencies but you can choose to refine this by selecting the Arrangement option and selecting one of the following:

Top Down from Left - Automatically positions boxes in the chart starting from the upper left corner placing boxes to the right and down without regard to Critical Tasks.

Top Down from Left, Critical First - Automatically positions boxes in the chart starting from the upper left corner placing boxes to the right and down with the Critical Tasks positioned first.

Centered around Critical Path - Attempts to place boxes above and below a central row of Critical Tasks. Based on the complexities of the dependencies and the number of critical paths that may be displayed in your project this option may not always display the desired chart (ie: it's not perfect).


Rows

Click to increase or decrease the spacing between rows in the chart.


Columns

Click to increase or decrease the spacing between columns in the chart.


Timescale

Select to turn On the Timescale or deselect to turn Off the Timescale in the Network Chart.


Format Timescale

Displaying a Timescale in a Network Chart allows you to display tasks that Start or Finish within a certain time period.

Display time units such as Days, Weeks, Months, Quarters or Years (or every 3 days, every two weeks, etc…). You can specify different time units and whether you want to view tasks that Start in this time period or Finish in this time period.

To display a Timescale in the Network Chart:

    1. Select the Format Tab and select the Timescale checkbox. This displays the Timescale with the last used settings.

or

    2. Select the Format Tab and then Format Timescale. Modify the settings and click OK.

To turn off the Timescale in the Network Chart:

    1. Select the Format Tab and deselect the Timescale checkbox.

or

    2. Select the Format Tab and then Format Timescale. Click No Timescale.

or

    3. Right-click on the Timescale and deselect the Show Timescale option.

Time Bands

Band By – Select the field to use when placing a task in the time band. If you select Start, all tasks that Start during the time period are displayed in the time band. If you select Finish then all tasks that finish within that time period are displayed in the time band.

Units – Select to display the timescale by Hour, Day, Week, Month, Quarter, Half Year or Year time units.

Count – Select the time interval between units. Enter 1 to display every time period, 2 to display every other time period and so on. For example, if you were displaying Weeks as the Units, entering 2 in the Count would display a time band every two weeks.

Don’t Show Empty Time Bands – Hides the time bands in the chart that do not contain tasks.

Dividing Lines – Defines the line style and color of the vertical dividing lines.

Labels

Position – Select to display the timescale labels at the Top, Bottom or both Top and Bottom.

Count From – This option only applies when you choose to display dates as Day 1, Day 2… or Week 1, Week 2, etc… The Project Start option uses the Project Start Date to start counting up from this date, eg: Day 1, Day 2, etc. Project Finish uses the Project Finish Date to start counting down from this date eg: Day –5, Day –4, etc... Earliest Task uses the earliest task displayed on the screen to start counting. Latest Task uses the latest task displayed on the screen to start counting down from this date. Today uses today’s date to start counting.

Format – Select the date format for the timescale.

Show Full Date Range – Displays the full range of dates when applicable. For example, if a two week period is selected, the full date range would display dates as Jan 1, 2016 – Jan 14, 2016 instead of Jan 1, 2014.

Font – Select the font size for the timescale labels.

Align – Select to align the labels within the time band either left, right or center.

Size – Select the font size of the timescale label.

Text – Select this to define the color of the timescale label text.

Fill – Select this to define the background color of the timescale labels.

Margins – Select to adjust the margins around the timescale label.


Trace

Select to turn On the Trace feature or deselect to turn Off the Trace feature.


Trace Options

Select a Task or Tasks in the Network Chart and display only those tasks that lead up to and/or follow the selected task(s). You can also specify that only Critical Tasks are included in the trace and that the trace be limited to so many tasks forward or backwards from the selected task(s).

To perform a Trace in the Network Chart:

    1. Select a task or multiple tasks (ctrl-click) in the Network Chart.

    2. Select the Format Tab and select the Trace checkbox. This Traces the selected task(s) with the last used settings.

or

    3. Select the Format Tab and then Trace Options. Modify the settings and click OK.

Direction from selected tasks – Select one of the three options to trace tasks Forward from the selected task, Backwards from the selected task or both Forwards and Backwards from the selected task.

Trace only critical tasks – Select to display only the Critical tasks when the Trace is applied. Deselect this option to include Critical and Noncritical tasks when the Trace is applied.

Limit trace to x tasks forward or backward – Select to display only x number of tasks forward or backward from the selected task when the trace is applied. If you do not select this option then all tasks forward or all tasks backwards are included in the trace.

For example, if you wanted to see only the immediate predecessors and successors to a selected task, select this option and enter a 1 in the number field. Deselect this option to trace all the way forward or back.

Show All Tasks – Select this button to remove the Trace and display all tasks in the chart.


Locked

Select this to "Lock" all boxes in the Network Chart in their current positions. When Locked, boxes are no longer automatically positioned based on their dependencies as you add new tasks.

Although selectable, in most cases the Locked icon is automatically selected if you manually move boxes around in the chart. By default, boxes in the Network Chart are automatically positioned as you add tasks or when you create a chart from Microsoft Project or other software. However, if you click and drag to move a box then the chart becomes Locked and boxes are no longer automatically positioned.

With boxes locked you can move boxes anywhere in the chart or add tasks exactly where you want them and they will stay where you place them. The exception to this is if you try to place a new box or move a box in between a row or column of tasks. In this case, it may create a row or column to accommodate the new task.

To unlock boxed and have them automatically positioned in the chart, deselect the Locked checkbox.

Caution: If you display/modify a Timescale or display/modify Groups in the Network Chart this Unlocks the chart and automatically places boxes in their original positions based on the dependencies defined in the project.

You can also Unlock selected tasks choosing the the Layout Selected option. This automatically positions only the selected tasks in the chart relative to each of their predecessors.

See also Moving & Repositioning Tasks in a Network Chart


Auto Layout

Removes the Locked status of the Network Chart and allows all boxes in the chart to be automatically positioned relative to the dependencies in the project.

See Locked

See Moving & Repositioning Tasks in a Network Chart


Layout Selected

Unlocks the selected task(s). This automatically positions only the selected task(s) in the chart relative to each of their predecessors.

See Locked

See Moving & Repositioning Tasks in a Network Chart


Insert Row

Inserts a blank row above the selected task in the Network Chart.


Insert Column

Inserts a blank column to the left of the selected task in the Network Chart.


Match Height

Makes all boxes in the Network Chart equal in height to the tallest box in the chart.


Match Width

Makes all boxes in the Network Chart equal in width to the widest box in the chart.


Progress

Turns the Progress indicator on and off in the Network Chart.

The Progress indicator displays the progress of tasks by placing an X or a single diagonal line through the task box based on the Percent Complete of the task. The Progress indicator uses the % Complete field to determine the progress of the tasks in the Network chart using the following rules:

    1. Displays an X through the box if the task is 100% complete.
    2. Displays a diagonal line through the box if the task is 1% to 99% Complete (in progress).
    3. Does not display Progress Marks if the task is 0% complete.

The color and thickness of the Progress indicator is always the same as the Box Border.

Here is an example of the Progress indicator:

The Progress indicators appear on the screen and are printed.

Using the Progress indicator is one of a number of different ways to display progress in a Network Chart. You can also show progress using the following features:

Use Colors and Box styles to display progress for your tasks in the Network Chart – See Box Styles

Color a field background for task boxes based on progress – See Task Boxes


Hyperlinks

Hyperlink

Turns the Hyperlinks indicator on and off in the chart.

The Hyperlinks indicator is a small icon that appears above a task if that task has a Hyperlink.

Hover over the icon to display the Hyperlink. Click the Hyperlinks indicator to go to the Hyperlink associated with that task. Doubleclick the task and select the Hyperlink tab to edit the Hyperlink.

Here is an example of the Hyperlinks indicator:

The Hyperlinks indicators only appear on the screen and do not print.


Bar Styles

Modify the bar styles for Tasks, Summary Tasks and Milestones in the Gantt Chart.

Gantt Bars are always drawn from the Start date to the Finish date. In the case of Milestones, the Start and Finish dates are usually the same so you can use either the Left or Right options to create a style for Milestones. If you use the Microsoft Project's "Mark Task as Milestone" feature you can define a left, middle and right shape.

If you want to draw a Gantt Bar using a field other than the Start and Finish, use the Additional Bars feature.

Defining Styles

Based on - Select to display the Gantt Bar styles based on Critical Path (whether Critical or Noncritical), Flags (using Flag1-Flag20), Progress (Not Started, In Progress or Complete) or by Level (WBS Level 1-20). Selecting one of these options determines what type of task is to be configured. Select each one in the list and configure the Left, Middle or Right portion of the Gantt Bar for this type of task.

Left - Define a style for the left edge of the Gantt bar or for Milestones.

Middle - Define a style for the middle part of the Gantt bar.

Right - Define a style for the right edge of the Gantt bar or for Milestones.

Remove from Legend - Select this to remove the currently selected style from appearing in the Legend when printed.


Additional Bars

Create additional Gantt Bars to display above, below or on the same row as the main Gantt Bar. This allow you to compare different sets of data to the Start and Finish dates that are displayed by the main Gantt Bar.

Any Bars defined here are drawn between the From and To fields.

In the case of Milestones, the Start and Finish dates are usually the same so you can use either the Left or Right options to create a style for Milestones. If you use the Microsoft Project's "Mark Task as Milestone" feature you can define a left, middle and right shape.

New - Click to create a new Bar style.

Delete - Click to remove the selected bar style from the chart.

Rename - Click to rename the selected bar style.

Apply to - Select the bar style to apply to either all the Tasks, Summary Tasks or Milestones in the chart.

From - Specify the field to use for the beginning of the bar.

To - Specify the field to use for the end of the bar.

On Row - Specify where to place the additional bar relative to the main bar defined in Bar Styles.

Left - Specify a Shape, Style and Color of the left edge of the bar. This option is useful for defining Milestones.

Middle - Select a Size, where to Align the bar within the row, Style and Color of the main portion of the bar.

Right - Specify a Shape, Style and Color of the right edge of the bar. This option is useful for defining Milestones.

Remove from Legend - Select this to prevent the selected bar style from appearing in the legend when printed.


Bar Text

Display various fields within or around a Summary Task bar, Task bar or Milestone symbol in the Gantt Chart.

Bar Text can be displayed separately in a chart for Summary Tasks, Tasks and Milestones.

The Blue bar or Milestone symbol in the middle of the form represents a Summary Task, Task or Milestone in the chart. Select (Blank) where you wish to place the text and select the Field drop-down list to display a list of Fields available to place next to or within the bar. After selecting the Field you wish to display, select the various options for configuring the text.

To remove a field displayed on a Gantt Bar, click the field in the middle area of the form and select (Blank) from the Field drop-down list (it's at the top).

The following example shows the % Complete field to the right of the Summary Tasks, the Finish date next to Milestones and Resource Names next to the Tasks in the chart.


Text

Change the Text style in the Task Sheet area of the Gantt Chart based on Critical Path, Flags, Progress or Level.

Change the Background (Fill) color of the cells in the Task Sheet based on Critical Path, Flags, Progress or Level.


Fill

Copies the contents of the selected (active) cell into other highlighted cells below (Fill-Down) or above (Fill-Up).

You can also press Ctrl-D to Fill Down and Ctrl-U to Fill Up.

Here is an example of Fill-Down:


All

Selects all Summary Tasks and Tasks in the current project. Once all items have been selected you can perform certain operations on these items depending on the current View.

You can also press Ctrl-A to Select All.

Here is an example of Select All in a WBS Chart:


Clear

Clears the contents of the selected (highlighted) cells.


Task Before

Inserts a new Task above the current task in the Gantt Chart.


Task After

Inserts a new Task below the current task in the Gantt Chart.

You can also press the Insert Key to insert a new task below the current task.


Summary Task

Inserts a Summary Task above the current task in the Gantt Chart and makes the current task a subtask to the new Summary Task.


Subtask

Summary Task

Inserts a subtask to the current task in the Gantt Chart.


Delete

Deletes the selected Row or Rows. This will delete blank rows and rows that contain task data. If the Row contains Task data this information will be deleted.


Indent

In the Task Sheet area of the Gantt Chart, Indenting makes the current Task (or Tasks) a Subtask (or Subtasks) to the one above it.

You can achieve the same results in a WBS Chart by adding Tasks below another. For example, in a Task Sheet you can indent several tasks under another to make the top-most task a Summary Task. Clicking Indent with Task 1, Task 2 and Task 3 selected produces the Task Sheet on the right:

The corresponding WBS Chart would look like this:


Outdent

In the Task Sheet area of the Gantt Chart, Outdenting moves the current Task or Summary Task up one outline level.

You can achieve the same results in a WBS Chart by rearranging tasks and moving them up a level. For example, highlighting Task 1, Task 2 and Task 3 in the Task Sheet on the left and clicking Outdent produces the Task Sheet on the right:

The corresponding WBS Chart would look like this:

In this case you have removed any structure to the project.


Gridlines

Define various Gridlines for the Gantt Chart. Choose a Gridline type to modify and select the Line Style, Color and interval for displaying the lines.

Types of Gridlines

Rows - Displays a horizontal line after each row in the Gantt Bar area.

Current Date - Displays a vertical line in the Gantt Bar area on the Current Date.

Status Date - Displays a vertical line in the Gantt Bar area on the Status Date of the Project. The Status Date only applies when you are linked to a Microsoft Project plan and comes from the Microsoft Project plan.

Project Start Date - Displays a vertical line in the Gantt Bar area on the Project Start Date. The Project Start Date is set in File-Options-Settings.

Project Finish Date - Displays a vertical line in the Gantt Bar area on the Project Finish Date. The Project Start Date is set in File-Options-Settings.

Upper Timescale - Displays a vertical line in the Gantt Bar area between each Unit of the Upper Timescale.

Lower Timescale - Displays a vertical line in the Gantt Bar area between each Unit of the Lower Timescale.

To remove a Gridline, select it from the list and select None in the Line Style drop-down list.

Row Options only apply when setting a Row Gridline. Set it to appear at a chosen interval or before each Summary Task or Group Header in the Gantt Chart.


Timescale

The Gantt Chart Timescale is displayed at the top of the Gantt Bar area and shows Tasks, Summary Tasks and Milestones proportionally sized to the current Timescale settings. Use the Timescale form to change these settings.

The Gantt Chart Timescale is divided into an Upper Tier and Lower Tier. You can turn off the Upper Tier but not the Lower Tier. The Bars in the Gantt Chart are always drawn proportionally to the timescale units of the Lower Tier.

Upper Tier/Lower Tier

Units – Select to display the timescale by Hour, Day, Week, Month, Quarter, Half Year or Year time units.

Align - Select to align the timescale text left, center or right aligned in the available space.

Tick Lines - Select to turn the vertical separator lines between the time units on of off.

Format - Select a date format for the timescale units. The order of the Date and Time formats comes from the system and can be changed using the Windows Control Panel.

Count – Select the time interval between units. Enter 1 to display every time period, 2 to display every other time period and so on. For example, if you were displaying Weeks as the Units, entering 2 in the Count would display a time band every two weeks.

Show Full Date Range – Displays the full range of dates when applicable. For example, if a two week period is selected, the full date range would display dates as Jan 1, 2016 – Jan 14, 2016 instead of Jan 1, 2016.

Count From – This option only applies when you choose to display dates as Day 1, Day 2… or Week 1, Week 2, etc… The Project Start option uses the Project Start Date to start counting up from this date, eg: Day 1, Day 2, etc. Project Finish uses the Project Finish Date to start counting down from this date eg: Day –5, Day –4, etc... Earliest Task uses the earliest task displayed on the screen to start counting. Latest Task uses the latest task displayed on the screen to start counting down from this date. Today uses today’s date to start counting.

Show Upper Tier - Select to show the upper tier along with the lower tier. Deselect to show only the lower tier of the timescale.

Separator between Tiers - select to show the horizontal separator line between the upper and lower tier. Deselect to remove this line.

Non-Working Time

Show Non-Working Time – Select to display vertically coloring representing the times when no work occurs (eg: weekends and non-working days).

Color - Select the color the the Non-Working Time shading.

Timescale Tip: The day of the week the timescale uses to start the week is based on Windows system settings. Change this in the Windows Control Panel in the Region and Language section.


Layout

Specify Gantt Chart layout options.

Dependency Lines

None - Displays Gantt Bars in the chart without drawing the dependency lines.

Simple - Displays a more direct routing of dependency lines between Gantt Bars in the chart.

Complex - Displays a more complex routing of dependency lines between the Gantt Bars in the chart.

Line Colors - Select to color the dependency lines using Critical vs. Noncritical criteria or by matching the color of the Predecessor or Successor task.

Critical Color - Select the color for the Critical dependency lines in the project.

Noncritical Color - Select the color for the Noncritical dependency lines in the project.

Progress

Show on Tasks - Select to show progress (% Complete) on a Task as a thin bar through the middle of the Task. You must also choose the Progress Marks checkbox on the Format tab for this to appear.

Show on Summary Tasks - Select to show progress (% Complete) on a Summary Task as a thin bar through the middle of the Summary Task. You must also choose the Progress Marks checkbox on the Format tab for this to appear.

Show on Milestones - Select to show progress (% Complete) on a Milestone by filling in the Milestone symbol. You must also choose the Progress Marks checkbox on the Format tab for this to appear.

Color - Select the color of the Progress bar or fill.

Round bars to whole days - Select this to draw the Gantt Bars through the entire day when days are displayed in the Timescale.


Insert Blank

Inserts a blank row. A blank row does not contain task information, it is simply a visual way to separate rows in the Task Sheet.

When linked to a Microsoft Project plan, you cannot Insert a Blank row and this option is grayed out in WBS Schedule Pro. Go to Microsoft Project to Insert a blank row.


Delete (Rows)

Deletes the selected Row or Rows. This will delete blank rows and rows that contain task data. If the Row contains Task data this information will be deleted.

When linked to a Microsoft Project plan, you cannot Delete a Blank row. Go to Microsoft Project to Delete a blank row.


Insert (Columns)

Inserts a Column to the left of the currently selected Column in the Task Sheet.


Hide

Removes the currently selected Column or Columns from the Task Sheet. This does not delete any of the data within the selected column(s).

Choose Insert Column to add a column back into the Task Sheet.


Progress

Turns the Progress indicator on and off in the Gantt Chart.

Progress indicators display the progress of tasks, summary tasks and milestones by filling the Gantt Bar from the left to the right based on the % Complete of the task.

You can set the color of Progress Marks and whether they are shown for Tasks, Summary Tasks and/or Milestones by selecting Format-Layout.


WBS Codes

Turns WBS Codes on and off in the chart.

Selecting WBS Codes places the WBS Code before the Name of each task throughout the chart. It's a quick and easy way to include the WBS field in a chart.

Here is an example of a chart without WBS Codes:

and after selecting WBS Codes:


Extended Headers

Extends the left edges of Summary Task/Group Headers down the page. Select a Small, Medium or Large size extension or None to turn this feature off.

This is best used with a Fill color for each Level. To select Fill Colors, click the Format-Text icon, select Fill then Level and choose a Fill color for each Summary Level.


Text

Change the Text style in the Task Sheet based on Critical Path, Flags, Progress or Level.

Change the Background (Fill) color of the cells in the Task Sheet based on Critical Path, Flags, Progress or Level.


Task Before

Inserts a new Task above the current task in the Task Sheet.


Task After

Inserts a new Task below the current task in the Task Sheet.

You can also press the Insert Key to insert a new task below the current task.


Summary Task

Inserts a Summary Task above the current task in the Task Sheet and makes the current task a subtask to the new Summary Task.


Subtask

Inserts a subtask to the current task in the Task Sheet.


Delete

Deletes the selected Row or Rows in the Task Sheet. This will delete blank rows and rows that contain task data. If the Row contains Task data this information will be deleted.


Insert Blank

Inserts a blank row into the Task Sheet. A blank row does not contain task information, it is simply a visual way to separate rows in the Task Sheet.

When linked to a Microsoft Project plan, you cannot Insert a Blank row and this option is grayed out in WBS Schedule Pro. Go to Microsoft Project to Insert a blank row.


Delete (Rows)

Deletes the selected Row or Rows in the Task Sheet. This will delete blank rows and rows that contain task data. If the Row contains Task data this information will be deleted.

When linked to a Microsoft Project plan, you cannot Delete a Blank row. Go to Microsoft Project to Delete a blank row.


WBS Codes

Turns WBS Codes on and off.

Selecting WBS Codes places the WBS Code before the Name of each task.

Here is an example of a chart without WBS Codes:

and after selecting WBS Codes:


How do I to Print to a PDF file?

PDF Files created in WBS Schedule Pro – What are they and how can I create them?

A PDF file created from WBS Schedule Pro can be opened by anyone with a PDF "reader" without having the WBS Schedule Pro software installed. Think of a PDF file as a chart that was printed to a file rather than to paper.

Most computers have a PDF reader installed such as Adobe PDF Reader. You must have this PDF Reader to open PDF files. If you do not have a PDF Reader you can download a free one by searching the Adobe website at ( www.adobe.com ).

You can create a PDF file from WBS Schedule Pro using a PDF "writer". A PDF writer is not included as part of WBS Schedule Pro nor is it included with Microsoft Windows like other printer drivers (as of this writing). You can purchase a PDF writer from Adobe ( www.adobe.com )or download a free PDF writer from the Internet. We have used a free PDF writer for years called CutePDF ( www.cutepdf.com ) but there are many more out there.

The steps to creating a PDF file are the same as printing a chart. Once a PDF writer is installed, you configure the chart, preview it (if you want) but instead of printing directly to a printer you print to a PDF file by selecting the PDF writer as your printer. This produces a file (with a .pdf extension) that can be opened using the PDF reader.

Large Paper Sizes in a PDF file - How to print to a large paper size so it can be printed at another location or at a copy/print shop

Not everyone has a large format printer or it may be that the large printer is not currently connected to your computer. You can print a PDF file to any size paper that can then be taken to a location where the printer is connected.

If you want to print the PDF to a certain size paper you must define this size before the PDF file is created. Once the PDF file is created it can only be printed to that same size paper.

To define a paper size in WBS Schedule Pro, go to the File menu and select Page Setup. Select a PDF Writer from the Printer list and Paper Size to display the sizes supported by the PDF writer. If the list of paper sizes does not include the size you wish to print to then you may have to go to the Printer section of the Control Panel to define a "custom" paper size for the PDF writer driver. This custom size will then appear in the list of Paper Sizes.

Once the paper size is defined we always recommend using Print Preview to verify that the chart prints correctly on this paper. Once the PDF file is created you can take this to a computer that is connected directly to a large paper printer, open it and print it.


What's the best way to Print Large Pages to a File?

See Printing to a PDF File


Why are Dates are Missing in the Chart?

When using WBS Schedule Pro with Microsoft Project 2010, 2013 or 2016, dates are missing or not calculated

This is due to Microsoft Project 2010/2013/2016 being in Manually Scheduled mode. By default, MS Project 2010, 2013 and 2016 operate in Manually Scheduled mode which means that changes made to a MS Project schedule do not create or update dates in the project. To display and calculate dates, turn Auto Scheduled on in MS Project.

To do this:

1. Open Project 2010, Project 2013 or Project 2016.

2. Go to File-Options-Schedule.

3. Select Scheduling options for this project: and choose All New Projects.

4. Select New tasks created and choose Auto Scheduled.

5. Scroll down and turn Calculation to On.


Is the Notes field supported?

See Adding Notes to a Task


Why is the Notes Field Grayed out?

The Notes field is grayed out and not available for editing when the WBS Schedule Pro plan is linked to Microsoft Project.

Here is the complete explanation:

The Notes field and Microsoft Project

The Notes field is a different type of field in Microsoft Project. Notes in Microsoft Project can contain formatting, embedded objects, bullets, etc. and requires special handling to support.

Notes entered in a standalone WBS Schedule Pro project and transferred to Microsoft Project are transferred exactly as you entered them in WBS Schedule Pro.

Notes entered in Microsoft Project and transferred to WBS Schedule Pro appear unformatted in WBS Schedule Pro. This is due to the fact that there is no way for WBS Schedule Pro or any other program to read or access “formatted” Notes from Project. Microsoft Project can only export plain text from the Notes field so this is how they are displayed in WBS Schedule Pro. For this reason, Notes in a project linked to a Microsoft Project plan become read-only in WBS Schedule Pro. You must return to Microsoft Project to edit the Notes in order to preserve any fancy formatting done in the Notes field.


Why are some fields grayed out?

Rolled Up Fields

The Grayed out fields you see in Summary Tasks are the Rolled Up fields.

Fields that are rolled up are automatically calculated from the data in the subtasks below the Summary Tasks and cannot be edited. Certain fields in a Summary Tasks are always rolled up. Duration, % Complete, Work, Start, Finish, Constraint Type, Constraint Date and Resource Names are some of the fields that are always automatically rolled up from the lowest level Tasks up to each Summary Task in the project.

You can also customize certain fields to rollup their subtask information to each Summary Level. For more info on this, see Fields

A typical Summary Task may look like this if you doubleclick it:

The rolled up fields are grayed out and are read-only. You must edit the information in the Subtasks to change the values in the Summary Task.

Task Data is Grayed out = Incorrect Layout of Subtasks in a WBS Chart

If the WBS is configured incorrectly what you think is a Task may really be a Summary Task. Consider the following two WBS Charts:

This is incorrect. In the above chart, Task 1 and Task 2 are Summary Tasks. | Tasks should be placed side by side under their respective Summary Task if you are in a Planning View.

Tasks 1 and 2 should not be added as Subtasks to the Summary Task but added as new tasks below the Summary Task. If you have a WBS Chart like the one on the left you can click and drag the Tasks around until you achieve the WBS Chart on the right.

Tip: If you are working in the WBS Chart View or have arranged subtasks of a Summary Task to display vertically you may have a chart that looks like this:

This is correct. Tasks 1, 2 & 3 are considered Tasks under this Summary Task even though they are listed vertically under the Summary Task. This is a Style of WBS Chart that takes properly configured Tasks and simply displays them vertically. You still want to avoid creating the WBS Chart as described in the incorrect example above.


How do I edit Multiple Tasks at once?

To edit data for multiple tasks at the same time, select as many tasks (and/or summary tasks) as you wish and select the Task Info button on the Home tab. This displays the Task Information form.

Common data among the selected tasks is displayed. The fields where data is different in the selected tasks are blank. Changing any of the fields in the form will update each of the selected tasks with this new information.

If you have a Summary Task in your selection of tasks there may be fields that cannot be modified since these are fields calculated by the Summary Task. These fields will be grayed out and not editable. See Why are some fields grayed out?


How do I add Free-Form Text to a Chart?

See Adding Text Boxes to a Chart


How do I configure a new version of MS Project?

Microsoft Project 98 to Microsoft Project 2019

This version of WBS Schedule Pro is compatible with the following versions of Microsoft Project:

Project 98

Project 2000

Project 2002

Project 2003

Project 2007

Project 2010

Project 2013

Project 2016
Project 2019

This includes Project Standard and Professional versions of each of these and all Service Packs.

If you have WBS Schedule Pro installed and you upgrade your version of Microsoft Project to a supported version (listed above), you do not need to reinstall WBS Schedule Pro. To configure your new version of MS Project, do the following:

1. Start Microsoft Project.

2. Start WBS Schedule Pro and click the Microsoft Project drop down arrow on the Ribbon.

3. Select Setup Microsoft Project.

Follow the instructions to configure your new version of MS Project. If you do not see the WBS Schedule Pro buttons within Project after this try changing the Macro Security settings in MS Project to Low or Medium and repeat the steps above. For more troubleshooting tips, see the FAQ section on our website!

Microsoft Project greater than Project 2019

If you have a version of MS Project greater than Project 2019, go to our website at www.criticaltools.com for an updated version of WBS Schedule Pro that is compatible with this new version.


Why do Text Boxes in a Chart Shift when Printed?

When using the Add Text Box feature you may notice that Text Boxes shift from where you placed them in your chart to a slightly different place when you print the chart. The reason for this is that the Text Box is placed on the chart background and the chart may shift slightly on the page when printed to account for the variations in screen fonts and printer fonts.

Here are some tips:

1. Try displaying the chart using the Print Layout. To do this, click the View tab and choose Print Layout. This approximates the printed output where you can then drag the Text Boxes to better position them.

2. This only happens with Fixed Position Text Boxes. Linked Text Boxes that are associated with a Task will move with that Task as the chart shifts when printed. With that in mind, if the Text Box is not associated with a task but you would like it to appear in a certain location relative to a set of tasks, create a Link from a Task in the chart to the Text Box then doubleclick the Link and set the Link colors to White. This makes the link disappear but the Text Box still moves with the chart.

For more information on working with Text Boxes, see Adding Text Boxes to a Chart


Why won't my characters display correctly?

When your character set won't display properly in WBS Schedule Pro it means that your System Locale is not set.

To fix this:

    1. Open the Control Panel.

    2. Select Region and Language.

    3. Click the Administrative tab.

    4. Select Change system locale and select your system locale from the list.

Reboot and your character set should now display properly in WBS Schedule Pro.


Invalid Data

You have entered data into a field that is not valid for that field. Below are the most common of these messages and a short explanation of each.

Invalid Resource – Enter a valid resource from the list of Resources (as defined in Project-Resources). When assigning resources in the Task Information form, you must enter the exact name of an existing resource or you will receive the “Invalid Resource” message. Try using the Resources button to assign resource instead of typing them. To add, delete or change the names of resources, use the Resources form in the Project tab.

Invalid Currency – Enter a valid currency amount. You don’t have to include the currency symbol but you must enter an amount that can be converted into a currency value.

Invalid Date – Enter a valid date that corresponds to the date format defined in the Control Panel.

Invalid Time – Enter a valid time, including AM or PM if you are using the 12 hour format.

Invalid Number – Enter a valid number. You cannot enter text into a field that only accepts numbers.

Invalid Measurement – Enter a valid measurement.

Invalid Duration – Enter a valid Duration. You must use a valid duration unit such as Minute, Hour, Day, Week or Month or the abbreviations M, H, D, W or MO. For example, type 5d for 5 days, or 2w for 2 weeks.

Invalid Percent – Enter a valid Percent such as .50 or 50%.

Invalid Flag – Enter a valid Flag value. Flag fields can only accept Yes or No. There are several other Yes/No fields and you may get the Invalid Flag message even though they are not Flag fields. If you receive this message and the field you are editing is not a Flag field it means that it is simply a Yes/No field and you can only enter Yes or No into that field.

Invalid File – Enter a valid filename avoiding characters like *, ? or /.

Invalid Folder – Enter a valid folder.

Invalid Dependency – Enter a valid dependency value. If you are entering information directly into the Predecessor or Successor field, you must enter the ID# of the Predecessor or Successor task. Multiple predecessors or successors must be separated by a comma (or by the Windows List Separator). You can also enter the type of dependency by using FS, SS, FF, or SF (finish to start, start to start, finish to finish and start to finish). For example, entering the predecessor for a task you could type:

4 – Makes task #4 the predecessor to the current task with a FS (Finish to Start) dependency. Just entering the dependency number defaults to a Finish to Start dependency.

4,6,10 – Makes tasks #4, #6 and #10 predecessors to the current task.

4SS – Makes task #4 the predecessor to the current task with a Start to Start dependency.

4FS+5d – Makes task number 4 the predecessor to the current task with a FS dependency plus a 5 day lag.


Unable to Start Microsoft Project

This message appears when the WBS Schedule Pro program cannot start Microsoft Project or cannot communicate with Microsoft Project. WBS Schedule Pro uses DDE and OLE to communicate with Microsoft Project and if for some reason this communication is not working, this message will appear.

Here are some things to check and try:

Make sure you are using a supported version of Microsoft Project - If a new version of MS Project was released after the version of WBS Schedule Pro you are using, the two programs may not be compatible. Check our website for an update to WBS Schedule Pro. WBS Schedule Pro can only work with versions of MS Project that it knows about.

Try a Reset and/or Repair - Try closing all open applications and reboot your computer. This may reinitialize the necessary files needed to communicate with Microsoft Project. If this does not work, try repairing or reinstalling Microsoft Project. Microsoft Project should install all of the necessary files for this communication to take place so reinstalling Microsoft Project may help solve this problem.

Permissions must match - Make sure you are running WBS Schedeule Pro and Microsoft Project with the same permissions. If you are running one program as an Administrator the other not as an Administrator then they will not communicate with each other. Right click the icon you use to start each program and go to Properties. There will be an option to "Run this program as an administrator". Make sure both WBS Schedule Pro and Microsoft Project have the same setting.

Turn off Firewall - Ordinarily a firewall will not prevent WBS Schedule Pro and Microsoft Project from communicating but some do so try turning off any firewall or security software that may be interfering with this communication.


Resynchronize Project

This message appears when you are linked to a Microsoft Project plan and this plan is no longer available. This typically happens when you have created a WBS Schedule Pro project from a Microsoft Project plan and then close the Microsoft Project plan before closing the WBS Schedule Pro plan. Since the data for a linked project resides in Microsoft Project this plan must remain open in Microsoft Project to continue working with the WBS Schedule Pro project.

The message offers three options for resolving this. Select one to continue.


Unable to Open Linked Data File

There are two variations of this message, each is explained below.

Unable to Open Linked Data File – This data file is already in use by another chart.

This message appears when you attempt to open a WBS Schedule Pro file that is linked to a datasource and this datasource is already in use by another file.

For example, you cannot open a WBS Schedule Pro file that is linked to Microsoft Project plan xxx.mpp if another WBS Schedule Pro file is currently open and is linked to Microsoft Project xxx.mpp. Close the first file if you wish to open the second file linked to xxx.mpp.

Unable to Open Linked Data File – The data file could not be found.

This message appears when you attempt to open a WBS Schedule Pro file that is linked to a datasource and it can’t find the datasource. It could be that you deleted the datasource file, moved it or renamed it. If you moved or renamed the datasource, you can relink the WBS Schedule Pro file to the appropriate datasource file. Choose Yes to browse for the datasource file or No to cancel the Open operation.


Confirm Unlink

This message allows you to confirm that you want to remove the link to the datasource. For a complete description of this topic, see Unlink


Unable to Save Image

This message appears when you are attempting to save a WBS, Network, or Gantt Chart as a picture (using a .JPG or .PNG file, for example) and WBS Schedule Pro cannot save this image. This message ultimately comes from Windows telling WBS Schedule Pro that it is unable to save the file. There is no known solution to this at this time other than to reduce the size of the chart.

You could also try the Copy Picture button which saves the chart to the Clipboard or printing the chart to a PDF file.


Demo Limits Exceeded

You are currently using the Demonstration version of WBS Schedule Pro and you have exceeded the limits of the Demo version.

The Demo version of WBS Schedule Pro is limited to 50 tasks and expires 30 days after installation. The 50 task limit applies to Creating/Modifying Tasks, Printing, Saving and Transferring WBS Schedule Pro files to Microsoft Project. The 50 task limit does not apply when you create a chart from a Microsoft Project plan. Therefore, you can use the Demo version to test how your large Microsoft Project plans are displayed and you can even use Print Preview to see how they would be printed.

Upon your purchase, the Demo version of WBS Schedule Pro can be turned into the Full version, including while you are currently running the Demo version.

To turn the Demo version of WBS Schedule Pro into the Full version:

    1. Within WBS Schedule Pro, choose the File menu and Register.

    2. Enter your Name, Organization, Email and Purchase Code that you received after your purchase.

You must have a valid Purchase Code to turn the Demo into the Full version. To purchase WBS Schedule Pro and obtain a Purchase Code, visit our website or contact Critical Tools at: Company Address


Company Address

Critical Tools, Inc. makes and distributes the Windows-based project management software, WBS Schedule Pro.

Contact: | Critical Tools, Inc.
 | 7308 West Rim Drive
 | Austin, Texas 78731
 | USA
Phone: | +1 512-342-2232
Website: | www.criticaltools.com

Our website contains a detailed description of WBS Schedule Pro plus a downloadable demo version, online ordering and the latest product announcements.

Sales Email: | sales@criticaltools.com
Support Email: | support@criticaltools.com

Critical Tools, Inc. is a Microsoft Certified Partner. In addition, Critical Tools has fulfilled all requirements and is active in the ISV/Software Solutions Competency of the Microsoft Certified Partner program. As part of this process, Critical Tools' software was independently tested and certified. Testing was conducted independently by VeriTest, a testing service of Lionbridge Technologies.


Support
         Previous Topic

Critical Tools, Inc. offers free support for the current version of the WBS Schedule Pro software. You can obtain support in the following ways:

Phone Support: +1 512-342-2232

Support Hours: 8:00am – 5:00pm US Central Time (Monday – Friday)

Email Support: support@criticaltools.com

The majority of the time we can respond to your email inquiries the same day. Less frequently it will take us up to 24 hours. If you do not hear from us in 24 hours, we suggest you email again or call us at the number above.


Chart

Displays various features used to configure the default options in a WBS Chart.

Style – Specify the general way that tasks are arranged in the chart. The style option selected in the Format Chart dialog box is applied chart wide. To change the style of selected task boxes use the style buttons on the arrange toolbar. The available options plus a sample and description of each is below.

Org Chart Style – Displays all subordinate tasks left to right below their respective Summary Task. This is the recommended style for project planning.

WBS Chart Style – Displays Tasks vertically under their respective Summary Task but other Summary Tasks are displayed left to right under their respective Summary Task.

List All – Lists all subordinate items (Tasks and Summary Tasks) vertically under their respective Summary Task. Although the List All style is available, it may not always be desirable to set this option chart-wide. Try selecting a specific Summary Task and choose this same option on the toolbar.

Selecting the List All option on the Toolbar button applies the feature only to the currently selected Summary Task whereas using the List All option in the Chart menu sets it chart-wide.

WBS Chart Style (2 columns) – Lists tasks WBS Chart Style but tasks are listed below their respective Summary Tasks in 2 columns.

Background Color – Specify the background color of the chart.

Summary Tasks Align – Choose how to display the Summary Tasks in the WBS chart when they are aligned over their respective Tasks. Choose Left to place the Summary Task aligned with the left edge of the Tasks being summarized, Center to align the Summary Task in the middle of the Tasks being summarized, and Right to align the Summary Task with the right edge of the Tasks being summarized.

The Summary Tasks Align option in the Format-Chart menu is chart-wide (applies to all Summary Tasks in the WBS chart). To change the Summary Task alignment for the selected Summary Task, use the Align toolbar buttons as shown below (see also Align ):

Align Summary Task Left toolbar button. | Align Summary Task Center toolbar button. | Align Summary Task Right toolbar button.

Align Connectors – Places the Summary Task directly over the nearest Task. For example:

With the Align Connectors option not selected. | With the Align Connectors option selected.

The Align Connectors option in the Format-Chart menu is chart-wide. To change the Align Connectors status of the selected Summary Task, use the Align Connectors toolbar button as shown below:

Align Connectors Toolbar button

Orientation – Specify the general direction of the chart. The available options (plus an example of each) are:

Top to Bottom

Bottom to Top

Left to Right

Right to Left

Outline Symbols – Choose where to display the Outline Symbols on the Summary Task Boxes (on Top, on the Bottom, on the Left, Centered or on the Right side of the Summary Task box). Outline Symbols display as a small box with a Plus sign (+) or a Minus sign (-) to expand and collapse Tasks for the selected Summary Task. This is not where you turn Outline Symbols On and Off. To turn Outline Symbols On and Off, use the View menu and Select or Deselect the Outline Symbols option.

Hyperlink Symbols – Choose where to display the Hyperlink Symbols on the Summary Task and Task Boxes. Hyperlink Symbols display as a small box next to the Summary Task or Task, select the box to go to the Hyperlink. This is not where you turn Hyperlink Symbols On and Off. To turn Hyperlink Symbols On and Off, use the View menu and Select or Deselect the Hyperlink Symbols option.

Match Box Sizes – Specify the way boxes are sized throughout the WBS chart. The Height and Width of the boxes are controlled separately. The available options for both Height and Width of the boxes are:

§ Match All Boxes – All boxes in the chart are made equal in size to the largest box.

§ Match Tasks and Summary Tasks Independently – All Tasks are made the same size equal to the largest Task box and all Summary Tasks are made the same size equal to the largest Summary Task.

§ Match Tasks Only – All Tasks are made the same size equal to the largest Task box and all Summary Tasks are sized independently.

§ Match Summary Tasks Only – All Summary Tasks are made the same size equal to the largest Summary Task box and all Tasks are sized independently.

§ Don’t Match – All boxes in the WBS chart are sized independently based on the amount of text in the box, fonts sizes, fields, etc.

Spacing – Defines the default spacing between the different task types in the WBS chart. The items below define the minimum amount of space between items; many times the data in the WBS chart will cause the distances to be greater than these amounts. The options are:

§ Before Summary Tasks – Defines the minimum distance between a Summary Task and the Summary Task before it (usually the Summary Task to the left).

§ From Summary Tasks to Sub-Tasks – Defines the distance between a Summary Task and its subordinates.

§ Minimum Stem – Defines the Stem length. The Stem is the part of the connecting line going into a Task or into a Summary Task. This distance is represented by a fraction and allows you to specify how much of the connecting line is used for this stem.

§ Before Tasks – Defines the distance between a Task and the Task before it (usually the Task to the left or the Task above).


Chart

Page Layout – Select a Page Layout from the list of layouts. Page Layouts save information from the Chart Tab, Header Tab and Footer Tab into an external file that can be used in other Views in this and other projects. It allows you to set up a standard way to display information on a page. The Page Layout selected is saved with the current View. For example, you could have all your WBS charts use the same Page Layout or each WBS chart use a specific Page Layout.

Manage - Select this option to create a New Page Layout, Copy, Rename, Delete, Import or Export a Page Layout.

Chart Align

Vertical - Aligns the chart to the Top, Middle or Bottom of the page.

Horizontal - Aligns the chart to the Left, Center or Right side of the page.

Header / Footer / Legend - Select Across Pages to display the Header, Footer and/or Legend spanning all the pages in the chart. Select On Every Page to display the same Header/Footer and/or Legend on each page of the chart. The On Every Page option support page numbering in the Header and Footer. The Across Pages option does not support Page Numbering since it is really one big page spread out across multiple sheets of paper. To number the pages using the Across Pages option select the Print Sheet Numbers option.

Legends

Box Styles - Displays a legend for the Box Styles defined in Format-Boxes for WBS and Network charts.

Options - Select the following to use with the Box Styles option:

Name Inside - Displays the style of box inside a box in the legend. This option displays every box style defined even if it not used in the chart.

Name Inside, only those used - Displays the style of box inside a box in the legend but only for those styles used in the chart. For example, a Milestone or Non-Critical box style will not be displayed in the legend if there are no Milestones or Non-Critical Tasks in your project.

Name Outside - Displays the style of box outside the box in the legend. This option displays every box style defined even if it not used in the chart.

Name Outside, only those used - Displays the style of box outside a box in the legend but only for those styles used in the chart. For example, a Milestone or Non-Critical box style will not be displayed in the legend if there are no Milestones or Non-Critical Tasks in your project.

Summary Task Fields - Displays a legend of the Fields defined for the Summary Tasks in the project. These are the defined in Format-Fields-Summary Tasks for WBS charts and Format-Fields for Network charts. This does not apply to Task Sheets.

Task Fields - Displays a legend of the Fields defined for the Tasks in the project. These are the defined in Format-Fields-Tasks for WBS charts and Format-Fields for Network charts. This does not apply to Task Sheets.

Legend Placement - Displays the legend directly Above the Footer at the bottom of the chart, Below the Footer at the bottom of the chart or Combined with Footer (to the left of the footer) at the bottom of the chart.

Remove Border - Removes the border that surrounds the outside of the chart.

Remove Gridlines - Removes the Gridlines between headers, footers and/or legends.

Print Sheet Numbers - Prints a number corresponding to each page in the printout. This option works best if you are displaying the Header, Footer and/or Legend across all pages. See above.


Clipboard
The holding place for information being copied or cut within WBS Schedule Pro or between WBS Schedule Pro and other programs.


Column Definition

In a Task Sheet or Gantt Chart, the Column Definition form is displayed when you doubleclick a column, right-click a column and select Insert Column or right-click a column and choose Column Definition.

Field - Select the Field drop down list to change the field that is displayed in the current column.

Title - Enter text to appear in the column header. If Title is blank then the Field name appears in the column header. This only changes this column Title for the current Task Sheet. To change the Title of a field project-wide, select the Project tab and select Fields. This form allows you to customize a Field Title globally.

Format - Select from various format options depending on the type of Field displayed in the column.

Align Title - Aligns the Title left, center or right in the column header.

Align Data - Aligns the data in the column left, center or right in the column.

Width - Adjust the width to a specific unit by entering a number of using the up or down arrows.

Wrap - Select if you want the field to Wrap within the column if there is more text displayed for the current width of the column.

Best Fit - Select to automatically adjust the width of the column to be as wide as the widest data in the column.

Tip: Doubleclick the separator line between two column headers to Best Fit the column.

Tip #2: Doubleclick the column header to quickly go to the Column Definition.

Tip #3: Select multiple columns to modify the options for several columns at once.


Cut
To remove a Task from the WBS chart to Paste it into another part of the WBS chart. There are 4 ways to Cut a task, they are:
1. Select a Task (or Summary Task) and choose the Edit-Cut menu.
2. Select a Task (or Summary Task), Right-Click your mouse and choose Cut.
3. Select a Task (or Summary Task), Right-Click and Drag with your mouse, place over another task and let go. You will then be prompted for where to place the Cut task.
4. Select a Task (or Summary Task), Left-Click and drag with your mouse, place over another task to Paste the task before the newly selected task.
If you Cut a Summary Task it will be removed along with all of its subordinate Tasks.


Flag fields
The Flag fields are simple Yes/No fields that can be used in WBS Schedule Pro to "mark" a task. There are 20 Flag fields (Flag1 - Flag20). If you use Microsoft Project, these Flag fields correspond to the Flag fields in Microsoft Project.
You can define box styles (colors and shapes) based on the Flag setting of a task. For example, if you wanted certain tasks to be green and certain other tasks to be yellow you could define the Flag1 style to be green and Flag2 to be Yellow. Then, for each task that you wanted to be green you would double-click that task and the select the Flag1 setting for that task. You would then select other tasks and select the Flag2 setting for these to make them yellow.


Gridlines

Modify the separator lines (gridlines) between the fields in a box. This only applies when there is more than one field defined in a box.

Select the line style and color and then select where to apply these. Or, select the line style and color and select Set All to apply these to all gridlines.

Remove all gridlines by selecting Clear All.


Margins

Define the spacing (margins) around the text in the cell.


Outline in Microsoft Project

Outlining in Microsoft Project
Outlining in Microsoft Project refers to the process of creating Summary Tasks or "Indenting" Tasks in the Gantt chart to show the different levels of detail in a project.


Selecting Multiple Tasks
Select multiple tasks in charts using the following techniques:
  • Click a task with the mouse, then hold down the CTRL key and select any number of additional tasks.
  • Click and drag across the screen to select multiple tasks. Those tasks that are fully enclosed in the displayed rectangle will be selected once you let go.
  • Select the appropriate Selection command from the Edit-Select menu. Or, right click a task and choose the Select command.


Standalone project
A Standalone project is one that is not linked to a datasource. A standalone WBS Schedule Pro project contains all of the task and resource data within the .wbs file.
In other words, if you used WBS Schedule Pro to create a new project and entered all of the data into this project then it would be a Standalone project.
If you used Microsoft Project (or another program) to create the project in WBS Schedule Pro then the data is stored in Microsoft Project (or the other program) and you are "Linked" to this file. The .wbs file contains a link to this datasource plus any WBS-specific data such as colors and box positions.


Text fields
The Text fields are spare fields that you can use to enter any type of information into. There are 30 Text fields (Text1 - Text30). If you are using Microsoft Project, these Text fields correspond to the Text1 - Text30 fields of Microsoft Project.
Use the Text fields for information like Department, Budget Codes, or any other information that doesn't fit into any of the other fields provided.


Text

Change Text styles based on Critical Path, Flags or Progress in the Task Sheet.

Change the Background (Fill) color of the cells for Tasks based on Critical Path, Flags or Progress in the Task Sheet.

Use Ctrl-Click to click a random selection of Tasks or use the Select drop down list to select Tasks, Summary Tasks, by Levels, etc.


What is WBS Schedule Pro?

WBS Schedule Pro is a Windows-based project management software application used to create, display and manage projects using a WBS (Work Breakdown Structure) Chart, Network Chart, Gantt Chart and Task Sheet.

WBS Schedule Pro can be used for Project Planning and Project Management

As a planning tool, you can use WBS Schedule Pro to quickly sketch a project plan on the screen using a “Top-Down” approach. In the WBS Chart, define Phases (Summary Tasks) and Subtasks with a click of the mouse. Double-click a Task to add schedule information like Duration, Start Date, Finish Date, Cost, Work, etc... WBS Schedule Pro automatically rolls up the core task data to each summary level of the project.

An example of a WBS Chart is shown here:

In the Network Chart, define the project's schedule. Link tasks to define the relationships between Tasks and determine the Critical Path.

An example of a Network Chart is shown here:

You can also use the Gantt Chart to create and schedule the project. Create Summary Tasks and Tasks. Link Tasks to create the schedule and Critical Path.

An example of a Gantt Chart is shown here:

Plans can be displayed in a Task Sheet view. An example of a Task Sheet is shown here:

Start Milestone | 0d | 1/1/2014 | 1/1/2014
Design Task 2 | 20d | 1/1/2014 | 1/28/2014
Design Task 1 | 10d | 1/1/2014 | 1/14/2014
Design Task 3 | 10d | 1/29/2014 | 2/11/2014
End Milestone | 0d | 2/11/2014 | 2/11/2014

Projects created in WBS Schedule Pro can be maintained and managed separately, or transferred to Microsoft Project or any program that can read the Microsoft Project XML file format.

WBS Schedule Pro can be used with Microsoft Project

WBS Schedule Pro can be used to generate WBS, Network and Gantt Charts directly from existing Microsoft Project files. WBS Schedule Pro uses the Outline created in Microsoft Project to generate a hierarchical view of the data. Buttons can be installed into Microsoft Project for easy transfer of data. As you organize and change your project in Microsoft Project using the outlining features, a WBS, Network or Gantt Chart of that data is only a click away.

When you create a chart of an existing Microsoft Project plan, all changes made in the chart are immediately reflected in the Microsoft Project plan. You can add/delete/reorganize/update your Microsoft Project plan using WBS Schedule Pro as it contains a seamless integration between the two programs.

Additionally, charts can be created first in WBS Schedule Pro and then transferred directly to Microsoft Project. WBS Schedule Pro can be used as a front-end planning tool for Microsoft Project.


Work Breakdown Structure chart
A Work Breakdown Structure chart (or WBS chart) is a way to plan, manage and display projects using a tree-style diagram. A WBS chart is similar in appearance to an Org chart but shows how a project is organized rather than a corporation.